# Copyright (C) 2021 - 2024 ANSYS, Inc. and/or its affiliates.
# SPDX-License-Identifier: MIT
#
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

"""Module containing mapping from keywords to classes."""
TypeMapping = {
    "*AIRBAG_ADIABATIC_GAS_MODEL": "AirbagAdiabaticGasModel",
    "*AIRBAG_ADIABATIC_GAS_MODEL_ID": "AirbagAdiabaticGasModelId",
    "*AIRBAG_ALE": "AirbagAle",
    "*AIRBAG_FLUID_AND_GAS": "AirbagFluidAndGas",
    "*AIRBAG_FLUID_AND_GAS_ID": "AirbagFluidAndGasId",
    "*AIRBAG_HYBRID": "AirbagHybrid",
    "*AIRBAG_HYBRID_CHEMKIN": "AirbagHybridChemkin",
    "*AIRBAG_HYBRID_CHEMKIN_ID": "AirbagHybridChemkinId",
    "*AIRBAG_HYBRID_ID": "AirbagHybridId",
    "*AIRBAG_HYBRID_JETTING": "AirbagHybridJetting",
    "*AIRBAG_HYBRID_JETTING_CM": "AirbagHybridJettingCm",
    "*AIRBAG_HYBRID_JETTING_CM_ID": "AirbagHybridJettingCmId",
    "*AIRBAG_HYBRID_JETTING_ID": "AirbagHybridJettingId",
    "*AIRBAG_INTERACTION": "AirbagInteraction",
    "*AIRBAG_LINEAR_FLUID": "AirbagLinearFluid",
    "*AIRBAG_LINEAR_FLUID_ID": "AirbagLinearFluidId",
    "*AIRBAG_LOAD_CURVE": "AirbagLoadCurve",
    "*AIRBAG_LOAD_CURVE_ID": "AirbagLoadCurveId",
    "*AIRBAG_PARTICLE": "AirbagParticle",
    "*AIRBAG_PARTICLE_DECOMPOSITION": "AirbagParticleDecomposition",
    "*AIRBAG_PARTICLE_DECOMPOSITION_ID": "AirbagParticleDecompositionId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION": "AirbagParticleDecompositionInflation",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_ID": "AirbagParticleDecompositionInflationId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_SEGMENT": "AirbagParticleDecompositionInflationSegment",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_SEGMENT_ID": "AirbagParticleDecompositionInflationSegmentId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_SEGMENT_TIME": "AirbagParticleDecompositionInflationSegmentTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_SEGMENT_TIME_ID": "AirbagParticleDecompositionInflationSegmentTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_TIME": "AirbagParticleDecompositionInflationTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_INFLATION_TIME_ID": "AirbagParticleDecompositionInflationTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET": "AirbagParticleDecompositionJet",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_ID": "AirbagParticleDecompositionJetId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_SEGMENT": "AirbagParticleDecompositionJetSegment",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_SEGMENT_ID": "AirbagParticleDecompositionJetSegmentId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_SEGMENT_TIME": "AirbagParticleDecompositionJetSegmentTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_SEGMENT_TIME_ID": "AirbagParticleDecompositionJetSegmentTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_TIME": "AirbagParticleDecompositionJetTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_JET_TIME_ID": "AirbagParticleDecompositionJetTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION": "AirbagParticleDecompositionMolefraction",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_ID": "AirbagParticleDecompositionMolefractionId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_SEGMENT": "AirbagParticleDecompositionMolefractionSegment",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_SEGMENT_ID": "AirbagParticleDecompositionMolefractionSegmentId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_SEGMENT_TIME": "AirbagParticleDecompositionMolefractionSegmentTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_SEGMENT_TIME_ID": "AirbagParticleDecompositionMolefractionSegmentTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_TIME": "AirbagParticleDecompositionMolefractionTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_MOLEFRACTION_TIME_ID": "AirbagParticleDecompositionMolefractionTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_SEGMENT": "AirbagParticleDecompositionSegment",
    "*AIRBAG_PARTICLE_DECOMPOSITION_SEGMENT_ID": "AirbagParticleDecompositionSegmentId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_SEGMENT_TIME": "AirbagParticleDecompositionSegmentTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_SEGMENT_TIME_ID": "AirbagParticleDecompositionSegmentTimeId",
    "*AIRBAG_PARTICLE_DECOMPOSITION_TIME": "AirbagParticleDecompositionTime",
    "*AIRBAG_PARTICLE_DECOMPOSITION_TIME_ID": "AirbagParticleDecompositionTimeId",
    "*AIRBAG_PARTICLE_ID": "AirbagParticleId",
    "*AIRBAG_PARTICLE_INFLATION": "AirbagParticleInflation",
    "*AIRBAG_PARTICLE_INFLATION_ID": "AirbagParticleInflationId",
    "*AIRBAG_PARTICLE_INFLATION_SEGMENT": "AirbagParticleInflationSegment",
    "*AIRBAG_PARTICLE_INFLATION_SEGMENT_ID": "AirbagParticleInflationSegmentId",
    "*AIRBAG_PARTICLE_INFLATION_SEGMENT_TIME": "AirbagParticleInflationSegmentTime",
    "*AIRBAG_PARTICLE_INFLATION_SEGMENT_TIME_ID": "AirbagParticleInflationSegmentTimeId",
    "*AIRBAG_PARTICLE_INFLATION_TIME": "AirbagParticleInflationTime",
    "*AIRBAG_PARTICLE_INFLATION_TIME_ID": "AirbagParticleInflationTimeId",
    "*AIRBAG_PARTICLE_JET": "AirbagParticleJet",
    "*AIRBAG_PARTICLE_JET_ID": "AirbagParticleJetId",
    "*AIRBAG_PARTICLE_JET_SEGMENT": "AirbagParticleJetSegment",
    "*AIRBAG_PARTICLE_JET_SEGMENT_ID": "AirbagParticleJetSegmentId",
    "*AIRBAG_PARTICLE_JET_SEGMENT_TIME": "AirbagParticleJetSegmentTime",
    "*AIRBAG_PARTICLE_JET_SEGMENT_TIME_ID": "AirbagParticleJetSegmentTimeId",
    "*AIRBAG_PARTICLE_JET_TIME": "AirbagParticleJetTime",
    "*AIRBAG_PARTICLE_JET_TIME_ID": "AirbagParticleJetTimeId",
    "*AIRBAG_PARTICLE_MOLEFRACTION": "AirbagParticleMolefraction",
    "*AIRBAG_PARTICLE_MOLEFRACTION_ID": "AirbagParticleMolefractionId",
    "*AIRBAG_PARTICLE_MOLEFRACTION_SEGMENT": "AirbagParticleMolefractionSegment",
    "*AIRBAG_PARTICLE_MOLEFRACTION_SEGMENT_ID": "AirbagParticleMolefractionSegmentId",
    "*AIRBAG_PARTICLE_MOLEFRACTION_SEGMENT_TIME": "AirbagParticleMolefractionSegmentTime",
    "*AIRBAG_PARTICLE_MOLEFRACTION_SEGMENT_TIME_ID": "AirbagParticleMolefractionSegmentTimeId",
    "*AIRBAG_PARTICLE_MOLEFRACTION_TIME": "AirbagParticleMolefractionTime",
    "*AIRBAG_PARTICLE_MOLEFRACTION_TIME_ID": "AirbagParticleMolefractionTimeId",
    "*AIRBAG_PARTICLE_MPP": "AirbagParticleMpp",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION": "AirbagParticleMppDecomposition",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_ID": "AirbagParticleMppDecompositionId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION": "AirbagParticleMppDecompositionInflation",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_ID": "AirbagParticleMppDecompositionInflationId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_SEGMENT": "AirbagParticleMppDecompositionInflationSegment",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_SEGMENT_ID": "AirbagParticleMppDecompositionInflationSegmentId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_SEGMENT_TIME": "AirbagParticleMppDecompositionInflationSegmentTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_SEGMENT_TIME_ID": "AirbagParticleMppDecompositionInflationSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_TIME": "AirbagParticleMppDecompositionInflationTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_INFLATION_TIME_ID": "AirbagParticleMppDecompositionInflationTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET": "AirbagParticleMppDecompositionJet",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_ID": "AirbagParticleMppDecompositionJetId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_SEGMENT": "AirbagParticleMppDecompositionJetSegment",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_SEGMENT_ID": "AirbagParticleMppDecompositionJetSegmentId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_SEGMENT_TIME": "AirbagParticleMppDecompositionJetSegmentTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_SEGMENT_TIME_ID": "AirbagParticleMppDecompositionJetSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_TIME": "AirbagParticleMppDecompositionJetTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_JET_TIME_ID": "AirbagParticleMppDecompositionJetTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION": "AirbagParticleMppDecompositionMolefraction",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_ID": "AirbagParticleMppDecompositionMolefractionId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_SEGMENT": "AirbagParticleMppDecompositionMolefractionSegment",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_SEGMENT_ID": "AirbagParticleMppDecompositionMolefractionSegmentId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_SEGMENT_TIME": "AirbagParticleMppDecompositionMolefractionSegmentTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_SEGMENT_TIME_ID": "AirbagParticleMppDecompositionMolefractionSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_TIME": "AirbagParticleMppDecompositionMolefractionTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_MOLEFRACTION_TIME_ID": "AirbagParticleMppDecompositionMolefractionTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_SEGMENT": "AirbagParticleMppDecompositionSegment",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_SEGMENT_ID": "AirbagParticleMppDecompositionSegmentId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_SEGMENT_TIME": "AirbagParticleMppDecompositionSegmentTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_SEGMENT_TIME_ID": "AirbagParticleMppDecompositionSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_TIME": "AirbagParticleMppDecompositionTime",
    "*AIRBAG_PARTICLE_MPP_DECOMPOSITION_TIME_ID": "AirbagParticleMppDecompositionTimeId",
    "*AIRBAG_PARTICLE_MPP_ID": "AirbagParticleMppId",
    "*AIRBAG_PARTICLE_MPP_INFLATION": "AirbagParticleMppInflation",
    "*AIRBAG_PARTICLE_MPP_INFLATION_ID": "AirbagParticleMppInflationId",
    "*AIRBAG_PARTICLE_MPP_INFLATION_SEGMENT": "AirbagParticleMppInflationSegment",
    "*AIRBAG_PARTICLE_MPP_INFLATION_SEGMENT_ID": "AirbagParticleMppInflationSegmentId",
    "*AIRBAG_PARTICLE_MPP_INFLATION_SEGMENT_TIME": "AirbagParticleMppInflationSegmentTime",
    "*AIRBAG_PARTICLE_MPP_INFLATION_SEGMENT_TIME_ID": "AirbagParticleMppInflationSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_INFLATION_TIME": "AirbagParticleMppInflationTime",
    "*AIRBAG_PARTICLE_MPP_INFLATION_TIME_ID": "AirbagParticleMppInflationTimeId",
    "*AIRBAG_PARTICLE_MPP_JET": "AirbagParticleMppJet",
    "*AIRBAG_PARTICLE_MPP_JET_ID": "AirbagParticleMppJetId",
    "*AIRBAG_PARTICLE_MPP_JET_SEGMENT": "AirbagParticleMppJetSegment",
    "*AIRBAG_PARTICLE_MPP_JET_SEGMENT_ID": "AirbagParticleMppJetSegmentId",
    "*AIRBAG_PARTICLE_MPP_JET_SEGMENT_TIME": "AirbagParticleMppJetSegmentTime",
    "*AIRBAG_PARTICLE_MPP_JET_SEGMENT_TIME_ID": "AirbagParticleMppJetSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_JET_TIME": "AirbagParticleMppJetTime",
    "*AIRBAG_PARTICLE_MPP_JET_TIME_ID": "AirbagParticleMppJetTimeId",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION": "AirbagParticleMppMolefraction",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_ID": "AirbagParticleMppMolefractionId",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_SEGMENT": "AirbagParticleMppMolefractionSegment",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_SEGMENT_ID": "AirbagParticleMppMolefractionSegmentId",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_SEGMENT_TIME": "AirbagParticleMppMolefractionSegmentTime",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_SEGMENT_TIME_ID": "AirbagParticleMppMolefractionSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_TIME": "AirbagParticleMppMolefractionTime",
    "*AIRBAG_PARTICLE_MPP_MOLEFRACTION_TIME_ID": "AirbagParticleMppMolefractionTimeId",
    "*AIRBAG_PARTICLE_MPP_SEGMENT": "AirbagParticleMppSegment",
    "*AIRBAG_PARTICLE_MPP_SEGMENT_ID": "AirbagParticleMppSegmentId",
    "*AIRBAG_PARTICLE_MPP_SEGMENT_TIME": "AirbagParticleMppSegmentTime",
    "*AIRBAG_PARTICLE_MPP_SEGMENT_TIME_ID": "AirbagParticleMppSegmentTimeId",
    "*AIRBAG_PARTICLE_MPP_TIME": "AirbagParticleMppTime",
    "*AIRBAG_PARTICLE_MPP_TIME_ID": "AirbagParticleMppTimeId",
    "*AIRBAG_PARTICLE_SEGMENT": "AirbagParticleSegment",
    "*AIRBAG_PARTICLE_SEGMENT_ID": "AirbagParticleSegmentId",
    "*AIRBAG_PARTICLE_SEGMENT_TIME": "AirbagParticleSegmentTime",
    "*AIRBAG_PARTICLE_SEGMENT_TIME_ID": "AirbagParticleSegmentTimeId",
    "*AIRBAG_PARTICLE_TIME": "AirbagParticleTime",
    "*AIRBAG_PARTICLE_TIME_ID": "AirbagParticleTimeId",
    "*AIRBAG_REFERENCE_GEOMETRY": "AirbagReferenceGeometry",
    "*AIRBAG_REFERENCE_GEOMETRY_BIRTH": "AirbagReferenceGeometryBirth",
    "*AIRBAG_REFERENCE_GEOMETRY_BIRTH_ID": "AirbagReferenceGeometryBirthId",
    "*AIRBAG_REFERENCE_GEOMETRY_BIRTH_RDT": "AirbagReferenceGeometryBirthRdt",
    "*AIRBAG_REFERENCE_GEOMETRY_ID": "AirbagReferenceGeometryId",
    "*AIRBAG_REFERENCE_GEOMETRY_RDT": "AirbagReferenceGeometryRdt",
    "*AIRBAG_REFERENCE_GEOMETRY_RDT_BIRTH": "AirbagReferenceGeometryRdtBirth",
    "*AIRBAG_REFERENCE_GEOMETRY_RDT_BIRTH_ID": "AirbagReferenceGeometryRdtBirthId",
    "*AIRBAG_REFERENCE_GEOMETRY_RDT_ID": "AirbagReferenceGeometryRdtId",
    "*AIRBAG_SHELL_REFERENCE_GEOMETRY": "AirbagShellReferenceGeometry",
    "*AIRBAG_SHELL_REFERENCE_GEOMETRY_ID": "AirbagShellReferenceGeometryId",
    "*AIRBAG_SHELL_REFERENCE_GEOMETRY_RDT": "AirbagShellReferenceGeometryRdt",
    "*AIRBAG_SHELL_REFERENCE_GEOMETRY_RDT_ID": "AirbagShellReferenceGeometryRdtId",
    "*AIRBAG_SIMPLE_AIRBAG_MODEL": "AirbagSimpleAirbagModel",
    "*AIRBAG_SIMPLE_AIRBAG_MODEL_ID": "AirbagSimpleAirbagModelId",
    "*AIRBAG_SIMPLE_PRESSURE_VOLUME": "AirbagSimplePressureVolume",
    "*AIRBAG_SIMPLE_PRESSURE_VOLUME_ID": "AirbagSimplePressureVolumeId",
    "*AIRBAG_WANG_NEFSKE": "AirbagWangNefske",
    "*AIRBAG_WANG_NEFSKE_ID": "AirbagWangNefskeId",
    "*AIRBAG_WANG_NEFSKE_JETTING": "AirbagWangNefskeJetting",
    "*AIRBAG_WANG_NEFSKE_JETTING_CM": "AirbagWangNefskeJettingCm",
    "*AIRBAG_WANG_NEFSKE_JETTING_CM_ID": "AirbagWangNefskeJettingCmId",
    "*AIRBAG_WANG_NEFSKE_JETTING_ID": "AirbagWangNefskeJettingId",
    "*AIRBAG_WANG_NEFSKE_JETTING_POP": "AirbagWangNefskeJettingPop",
    "*AIRBAG_WANG_NEFSKE_JETTING_POP_CM": "AirbagWangNefskeJettingPopCm",
    "*AIRBAG_WANG_NEFSKE_JETTING_POP_CM_ID": "AirbagWangNefskeJettingPopCmId",
    "*AIRBAG_WANG_NEFSKE_JETTING_POP_ID": "AirbagWangNefskeJettingPopId",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING": "AirbagWangNefskeMultipleJetting",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM": "AirbagWangNefskeMultipleJettingCm",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_CM_ID": "AirbagWangNefskeMultipleJettingCmId",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_ID": "AirbagWangNefskeMultipleJettingId",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_POP": "AirbagWangNefskeMultipleJettingPop",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_POP_CM": "AirbagWangNefskeMultipleJettingPopCm",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_POP_CM_ID": "AirbagWangNefskeMultipleJettingPopCmId",
    "*AIRBAG_WANG_NEFSKE_MULTIPLE_JETTING_POP_ID": "AirbagWangNefskeMultipleJettingPopId",
    "*AIRBAG_WANG_NEFSKE_POP": "AirbagWangNefskePop",
    "*AIRBAG_WANG_NEFSKE_POP_ID": "AirbagWangNefskePopId",
    "*ALE_AMBIENT_HYDROSTATIC": "AleAmbientHydrostatic",
    "*ALE_BURN_SWITCH_MMG": "AleBurnSwitchMmg",
    "*ALE_COUPLING_NODAL_CONSTRAINT": "AleCouplingNodalConstraint",
    "*ALE_COUPLING_NODAL_CONSTRAINT_ID": "AleCouplingNodalConstraintId",
    "*ALE_COUPLING_NODAL_CONSTRAINT_TITLE": "AleCouplingNodalConstraintTitle",
    "*ALE_COUPLING_NODAL_DRAG": "AleCouplingNodalDrag",
    "*ALE_COUPLING_NODAL_DRAG_ID": "AleCouplingNodalDragId",
    "*ALE_COUPLING_NODAL_DRAG_TITLE": "AleCouplingNodalDragTitle",
    "*ALE_COUPLING_NODAL_PENALTY": "AleCouplingNodalPenalty",
    "*ALE_COUPLING_NODAL_PENALTY_ID": "AleCouplingNodalPenaltyId",
    "*ALE_COUPLING_NODAL_PENALTY_TITLE": "AleCouplingNodalPenaltyTitle",
    "*ALE_COUPLING_RIGID_BODY": "AleCouplingRigidBody",
    "*ALE_ESSENTIAL_BOUNDARY": "AleEssentialBoundary",
    "*ALE_FAIL_SWITCH_MMG": "AleFailSwitchMmg",
    "*ALE_FRAGMENTATION": "AleFragmentation",
    "*ALE_FSI_LOAD_TO_NODE": "AleFsiLoadToNode",
    "*ALE_FSI_PROJECTION": "AleFsiProjection",
    "*ALE_FSI_SWITCH_MMG": "AleFsiSwitchMmg",
    "*ALE_FSI_TO_LOAD_NODE": "AleFsiToLoadNode",
    "*ALE_INJECTION": "AleInjection",
    "*ALE_MAPPING": "AleMapping",
    "*ALE_MAPPING_FROM_LAGRANGIAN": "AleMappingFromLagrangian",
    "*ALE_MESH_INTERFACE": "AleMeshInterface",
    "*ALE_MULTI-MATERIAL_GROUP": "AleMultiMaterialGroup",
    "*ALE_MULTI-MATERIAL_GROUP_PART": "AleMultiMaterialGroupPart",
    "*ALE_MULTI-MATERIAL_GROUP_SET": "AleMultiMaterialGroupSet",
    "*ALE_PRESCRIBED_MOTION": "AlePrescribedMotion",
    "*ALE_REFERENCE_SYSTEM_CURVE": "AleReferenceSystemCurve",
    "*ALE_REFERENCE_SYSTEM_GROUP": "AleReferenceSystemGroup",
    "*ALE_REFERENCE_SYSTEM_NODE": "AleReferenceSystemNode",
    "*ALE_REFERENCE_SYSTEM_SWITCH": "AleReferenceSystemSwitch",
    "*ALE_REFINE": "AleRefine",
    "*ALE_SMOOTHING": "AleSmoothing",
    "*ALE_STRUCTURED_FSI": "AleStructuredFsi",
    "*ALE_STRUCTURED_MESH": "AleStructuredMesh",
    "*ALE_STRUCTURED_MESH_CONTROL_POINTS": "AleStructuredMeshControlPoints",
    "*ALE_STRUCTURED_MESH_MOTION": "AleStructuredMeshMotion",
    "*ALE_STRUCTURED_MESH_REFINE": "AleStructuredMeshRefine",
    "*ALE_STRUCTURED_MESH_TRIM": "AleStructuredMeshTrim",
    "*ALE_STRUCTURED_MESH_VOLUME_FILLING": "AleStructuredMeshVolumeFilling",
    "*ALE_STRUCTURED_MULTI-MATERIAL_GROUP": "AleStructuredMultiMaterialGroup",
    "*ALE_STRUCTURED_MULTI-MATERIAL_GROUP_AXISYM": "AleStructuredMultiMaterialGroupAxisym",
    "*ALE_STRUCTURED_MULTI-MATERIAL_GROUP_PLNEPS": "AleStructuredMultiMaterialGroupPlneps",
    "*ALE_STRUCTURED_MULTI_MATERIAL_GROUP": "AleStructuredMultiMaterialGroup",
    "*ALE_SWITCH_MMG": "AleSwitchMmg",
    "*ALE_TANK_TEST": "AleTankTest",
    "*ALE_UP_SWITCH": "AleUpSwitch",
    "*BATTERY_BA_ECHEM_CONTROL_SOLVER": "BatteryBaEchemControlSolver",
    "*BATTERY_ECHEM_CELL_GEOMETRY": "BatteryEchemCellGeometry",
    "*BATTERY_ECHEM_CONTROL_SOLVER": "BatteryEchemControlSolver",
    "*BATTERY_ECHEM_INITIAL": "BatteryEchemInitial",
    "*BATTERY_ECHEM_MAT_ANODE": "BatteryEchemMatAnode",
    "*BATTERY_ECHEM_MAT_CATHODE": "BatteryEchemMatCathode",
    "*BATTERY_ECHEM_MAT_ELECTROLYTE": "BatteryEchemMatElectrolyte",
    "*BATTERY_ECHEM_PART": "BatteryEchemPart",
    "*BATTERY_ECHEM_THERMAL": "BatteryEchemThermal",
    "*BOUNDARY_ACOUSTIC_COUPLING": "BoundaryAcousticCoupling",
    "*BOUNDARY_ACOUSTIC_COUPLING_MISMATCH": "BoundaryAcousticCouplingMismatch",
    "*BOUNDARY_ACOUSTIC_COUPLING_SPECTRAL": "BoundaryAcousticCouplingSpectral",
    "*BOUNDARY_ACOUSTIC_FREE_SURFACE": "BoundaryAcousticFreeSurface",
    "*BOUNDARY_ACOUSTIC_IMPEDANCE": "BoundaryAcousticImpedance",
    "*BOUNDARY_ACOUSTIC_IMPEDANCE_COMPLEX": "BoundaryAcousticImpedanceComplex",
    "*BOUNDARY_ACOUSTIC_IMPEDANCE_MECHANICAL": "BoundaryAcousticImpedanceMechanical",
    "*BOUNDARY_ACOUSTIC_INTERFACE": "BoundaryAcousticInterface",
    "*BOUNDARY_ACOUSTIC_MAPPING": "BoundaryAcousticMapping",
    "*BOUNDARY_ACOUSTIC_NON_REFLECTING": "BoundaryAcousticNonReflecting",
    "*BOUNDARY_ACOUSTIC_PRESCRIBED_MOTION": "BoundaryAcousticPrescribedMotion",
    "*BOUNDARY_ACOUSTIC_PRESSURE_SPECTRAL": "BoundaryAcousticPressureSpectral",
    "*BOUNDARY_ALE_MAPPING": "BoundaryAleMapping",
    "*BOUNDARY_AMBIENT": "BoundaryAmbient",
    "*BOUNDARY_AMBIENT_EOS": "BoundaryAmbientEos",
    "*BOUNDARY_CONVECTION_SEGMENT": "BoundaryConvectionSegment",
    "*BOUNDARY_CONVECTION_SET": "BoundaryConvectionSet",
    "*BOUNDARY_COUPLED": "BoundaryCoupled",
    "*BOUNDARY_CYCLIC": "BoundaryCyclic",
    "*BOUNDARY_DE_NON_REFLECTING": "BoundaryDeNonReflecting",
    "*BOUNDARY_ELEMENT_METHOD_ACOUSTIC": "BoundaryElementMethodAcoustic",
    "*BOUNDARY_ELEMENT_METHOD_CONTROL": "BoundaryElementMethodControl",
    "*BOUNDARY_ELEMENT_METHOD_FLOW": "BoundaryElementMethodFlow",
    "*BOUNDARY_ELEMENT_METHOD_NEIGHBOR": "BoundaryElementMethodNeighbor",
    "*BOUNDARY_ELEMENT_METHOD_SYMMETRY": "BoundaryElementMethodSymmetry",
    "*BOUNDARY_ELEMENT_METHOD_WAKE": "BoundaryElementMethodWake",
    "*BOUNDARY_FLUX_SEGMENT": "BoundaryFluxSegment",
    "*BOUNDARY_FLUX_SET": "BoundaryFluxSet",
    "*BOUNDARY_FLUX_TRAJECTORY": "BoundaryFluxTrajectory",
    "*BOUNDARY_FREE_FIELD_GROUND_MOTION_NODE": "BoundaryFreeFieldGroundMotionNode",
    "*BOUNDARY_FREE_FIELD_GROUND_MOTION_POINT": "BoundaryFreeFieldGroundMotionPoint",
    "*BOUNDARY_FREE_FIELD_GROUND_MOTION_SET": "BoundaryFreeFieldGroundMotionSet",
    "*BOUNDARY_MCOL": "BoundaryMcol",
    "*BOUNDARY_NON_REFLECTING": "BoundaryNonReflecting",
    "*BOUNDARY_NON_REFLECTING_2D": "BoundaryNonReflecting2D",
    "*BOUNDARY_PAP": "BoundaryPap",
    "*BOUNDARY_PORE_FLUID_PART": "BoundaryPoreFluidPart",
    "*BOUNDARY_PORE_FLUID_SET": "BoundaryPoreFluidSet",
    "*BOUNDARY_PRECRACK": "BoundaryPrecrack",
    "*BOUNDARY_PRESCRIBED_ACCELEROMETER_RIGID": "BoundaryPrescribedAccelerometerRigid",
    "*BOUNDARY_PRESCRIBED_FINAL_GEOMETRY": "BoundaryPrescribedFinalGeometry",
    "*BOUNDARY_PRESCRIBED_MOTION": "BoundaryPrescribedMotion",
    "*BOUNDARY_PRESCRIBED_MOTION_EDGE_UVW": "BoundaryPrescribedMotionEdgeUvw",
    "*BOUNDARY_PRESCRIBED_MOTION_FACE_XYZ": "BoundaryPrescribedMotionFaceXyz",
    "*BOUNDARY_PRESCRIBED_MOTION_NODE": "BoundaryPrescribedMotionNode",
    "*BOUNDARY_PRESCRIBED_MOTION_POINT_UVW": "BoundaryPrescribedMotionPointUvw",
    "*BOUNDARY_PRESCRIBED_MOTION_RIGID": "BoundaryPrescribedMotionRigid",
    "*BOUNDARY_PRESCRIBED_MOTION_RIGID_BNDOUT2DYNAIN": "BoundaryPrescribedMotionRigidBndout2Dynain",
    "*BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL": "BoundaryPrescribedMotionRigidLocal",
    "*BOUNDARY_PRESCRIBED_MOTION_RIGID_LOCAL_BNDOUT2DYNAIN": "BoundaryPrescribedMotionRigidLocalBndout2Dynain",
    "*BOUNDARY_PRESCRIBED_MOTION_SET": "BoundaryPrescribedMotionSet",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_BOX": "BoundaryPrescribedMotionSetBox",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_EDGE_UVW": "BoundaryPrescribedMotionSetEdgeUvw",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_FACE_XYZ": "BoundaryPrescribedMotionSetFaceXyz",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_LINE": "BoundaryPrescribedMotionSetLine",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_POINT_UVW": "BoundaryPrescribedMotionSetPointUvw",
    "*BOUNDARY_PRESCRIBED_MOTION_SET_SEGMENT": "BoundaryPrescribedMotionSetSegment",
    "*BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_ANGLES": "BoundaryPrescribedOrientationRigidAngles",
    "*BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_DIRCOS": "BoundaryPrescribedOrientationRigidDircos",
    "*BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_EULERP": "BoundaryPrescribedOrientationRigidEulerp",
    "*BOUNDARY_PRESCRIBED_ORIENTATION_RIGID_VECTOR": "BoundaryPrescribedOrientationRigidVector",
    "*BOUNDARY_PRESSURE_OUTFLOW_SEGMENT": "BoundaryPressureOutflowSegment",
    "*BOUNDARY_PRESSURE_OUTFLOW_SET": "BoundaryPressureOutflowSet",
    "*BOUNDARY_PWP_NODE": "BoundaryPwpNode",
    "*BOUNDARY_PWP_SET": "BoundaryPwpSet",
    "*BOUNDARY_PWP_TABLE": "BoundaryPwpTable",
    "*BOUNDARY_PWP_TABLE_SET": "BoundaryPwpTableSet",
    "*BOUNDARY_PZEPOT": "BoundaryPzepot",
    "*BOUNDARY_RADIATION_ENCLOSURE": "BoundaryRadiationEnclosure",
    "*BOUNDARY_RADIATION_SEGMENT": "BoundaryRadiationSegment",
    "*BOUNDARY_RADIATION_SEGMENT_VF_CALCULATE": "BoundaryRadiationSegmentVfCalculate",
    "*BOUNDARY_RADIATION_SEGMENT_VF_READ": "BoundaryRadiationSegmentVfRead",
    "*BOUNDARY_RADIATION_SET": "BoundaryRadiationSet",
    "*BOUNDARY_RADIATION_SET_EF_CALCULATE": "BoundaryRadiationSetEfCalculate",
    "*BOUNDARY_RADIATION_SET_EF_READ": "BoundaryRadiationSetEfRead",
    "*BOUNDARY_RADIATION_SET_VF_CALCULATE": "BoundaryRadiationSetVfCalculate",
    "*BOUNDARY_RADIATION_SET_VF_READ": "BoundaryRadiationSetVfRead",
    "*BOUNDARY_SALE_MESH_FACE": "BoundarySaleMeshFace",
    "*BOUNDARY_SLIDING_PLANE": "BoundarySlidingPlane",
    "*BOUNDARY_SPC": "BoundarySpc",
    "*BOUNDARY_SPC_NODE": "BoundarySpcNode",
    "*BOUNDARY_SPC_NODE_BIRTH_DEATH": "BoundarySpcNodeBirthDeath",
    "*BOUNDARY_SPC_SET": "BoundarySpcSet",
    "*BOUNDARY_SPC_SET_BIRTH_DEATH": "BoundarySpcSetBirthDeath",
    "*BOUNDARY_SPC_SYMMETRY_PLANE": "BoundarySpcSymmetryPlane",
    "*BOUNDARY_SPC_SYMMETRY_PLANE_SET": "BoundarySpcSymmetryPlaneSet",
    "*BOUNDARY_SPH_FLOW": "BoundarySphFlow",
    "*BOUNDARY_SPH_NON_REFLECTING": "BoundarySphNonReflecting",
    "*BOUNDARY_SPH_SYMMETRY_PLANE": "BoundarySphSymmetryPlane",
    "*BOUNDARY_SYMMETRY_FAILURE": "BoundarySymmetryFailure",
    "*BOUNDARY_TEMPERATURE_NODE": "BoundaryTemperatureNode",
    "*BOUNDARY_TEMPERATURE_PERIODIC_SET": "BoundaryTemperaturePeriodicSet",
    "*BOUNDARY_TEMPERATURE_RSW": "BoundaryTemperatureRsw",
    "*BOUNDARY_TEMPERATURE_SET": "BoundaryTemperatureSet",
    "*BOUNDARY_TEMPERATURE_TRAJECTORY": "BoundaryTemperatureTrajectory",
    "*BOUNDARY_THERMAL_BULKFLOW_ELEMENT": "BoundaryThermalBulkflowElement",
    "*BOUNDARY_THERMAL_BULKFLOW_SET": "BoundaryThermalBulkflowSet",
    "*BOUNDARY_THERMAL_BULKFLOW_SET_UPWIND": "BoundaryThermalBulkflowSetUpwind",
    "*BOUNDARY_THERMAL_BULKNODE": "BoundaryThermalBulknode",
    "*BOUNDARY_THERMAL_WELD": "BoundaryThermalWeld",
    "*BOUNDARY_THERMAL_WELD_TRAJECTORY": "BoundaryThermalWeldTrajectory",
    "*BOUNDARY_USA_SURFACE": "BoundaryUsaSurface",
    "*CASE_BEGIN": "CaseBegin",
    "*CASE": "Case",
    "*CASE_END": "CaseEnd",
    "*CESE_BOUNDARY_AXISYMMETRIC_MSURF": "CeseBoundaryAxisymmetricMsurf",
    "*CESE_BOUNDARY_AXISYMMETRIC_MSURF_SET": "CeseBoundaryAxisymmetricMsurfSet",
    "*CESE_BOUNDARY_AXISYMMETRIC_PART": "CeseBoundaryAxisymmetricPart",
    "*CESE_BOUNDARY_AXISYMMETRIC_PART_SET": "CeseBoundaryAxisymmetricPartSet",
    "*CESE_BOUNDARY_AXISYMMETRIC_SEGMENT": "CeseBoundaryAxisymmetricSegment",
    "*CESE_BOUNDARY_AXISYMMETRIC_SET": "CeseBoundaryAxisymmetricSet",
    "*CESE_BOUNDARY_AXIS_SYMMETRIC_PART": "CeseBoundaryAxisSymmetricPart",
    "*CESE_BOUNDARY_AXIS_SYMMETRIC_PART_SET": "CeseBoundaryAxisSymmetricPartSet",
    "*CESE_BOUNDARY_AXIS_SYMMETRIC_SEGMENT": "CeseBoundaryAxisSymmetricSegment",
    "*CESE_BOUNDARY_AXIS_SYMMETRIC_SET": "CeseBoundaryAxisSymmetricSet",
    "*CESE_BOUNDARY_BLAST_LOAD_MSURF": "CeseBoundaryBlastLoadMsurf",
    "*CESE_BOUNDARY_BLAST_LOAD_MSURF_SET": "CeseBoundaryBlastLoadMsurfSet",
    "*CESE_BOUNDARY_BLAST_LOAD_SEGMENT": "CeseBoundaryBlastLoadSegment",
    "*CESE_BOUNDARY_BLAST_LOAD_SET": "CeseBoundaryBlastLoadSet",
    "*CESE_BOUNDARY_CONJ_HEAT_MSURF": "CeseBoundaryConjHeatMsurf",
    "*CESE_BOUNDARY_CONJ_HEAT_MSURF_SET": "CeseBoundaryConjHeatMsurfSet",
    "*CESE_BOUNDARY_CONJ_HEAT_SEGMENT": "CeseBoundaryConjHeatSegment",
    "*CESE_BOUNDARY_CONJ_HEAT_SET": "CeseBoundaryConjHeatSet",
    "*CESE_BOUNDARY_CYCLIC_MSURF": "CeseBoundaryCyclicMsurf",
    "*CESE_BOUNDARY_CYCLIC_MSURF_SET": "CeseBoundaryCyclicMsurfSet",
    "*CESE_BOUNDARY_CYCLIC_PART": "CeseBoundaryCyclicPart",
    "*CESE_BOUNDARY_CYCLIC_PART_SET": "CeseBoundaryCyclicPartSet",
    "*CESE_BOUNDARY_CYCLIC_SEGMENT": "CeseBoundaryCyclicSegment",
    "*CESE_BOUNDARY_CYCLIC_SET": "CeseBoundaryCyclicSet",
    "*CESE_BOUNDARY_FSI_PART": "CeseBoundaryFsiPart",
    "*CESE_BOUNDARY_FSI_PART_SET": "CeseBoundaryFsiPartSet",
    "*CESE_BOUNDARY_FSI_SEGMENT": "CeseBoundaryFsiSegment",
    "*CESE_BOUNDARY_FSI_SET": "CeseBoundaryFsiSet",
    "*CESE_BOUNDARY_NON_REFLECTIVE_MSURF": "CeseBoundaryNonReflectiveMsurf",
    "*CESE_BOUNDARY_NON_REFLECTIVE_MSURF_SET": "CeseBoundaryNonReflectiveMsurfSet",
    "*CESE_BOUNDARY_NON_REFLECTIVE_PART": "CeseBoundaryNonReflectivePart",
    "*CESE_BOUNDARY_NON_REFLECTIVE_PART_SET": "CeseBoundaryNonReflectivePartSet",
    "*CESE_BOUNDARY_NON_REFLECTIVE_SEGMENT": "CeseBoundaryNonReflectiveSegment",
    "*CESE_BOUNDARY_NON_REFLECTIVE_SET": "CeseBoundaryNonReflectiveSet",
    "*CESE_BOUNDARY_PRESCRIBED_MSURF": "CeseBoundaryPrescribedMsurf",
    "*CESE_BOUNDARY_PRESCRIBED_MSURF_SET": "CeseBoundaryPrescribedMsurfSet",
    "*CESE_BOUNDARY_PRESCRIBED_PART": "CeseBoundaryPrescribedPart",
    "*CESE_BOUNDARY_PRESCRIBED_PART_SET": "CeseBoundaryPrescribedPartSet",
    "*CESE_BOUNDARY_PRESCRIBED_SEGMENT": "CeseBoundaryPrescribedSegment",
    "*CESE_BOUNDARY_PRESCRIBED_SET": "CeseBoundaryPrescribedSet",
    "*CESE_BOUNDARY_REFLECTIVE_MSURF": "CeseBoundaryReflectiveMsurf",
    "*CESE_BOUNDARY_REFLECTIVE_MSURF_SET": "CeseBoundaryReflectiveMsurfSet",
    "*CESE_BOUNDARY_REFLECTIVE_PART": "CeseBoundaryReflectivePart",
    "*CESE_BOUNDARY_REFLECTIVE_PART_SET": "CeseBoundaryReflectivePartSet",
    "*CESE_BOUNDARY_REFLECTIVE_SEGMENT": "CeseBoundaryReflectiveSegment",
    "*CESE_BOUNDARY_REFLECTIVE_SET": "CeseBoundaryReflectiveSet",
    "*CESE_BOUNDARY_SEGMENT": "CeseBoundarySegment",
    "*CESE_BOUNDARY_SET": "CeseBoundarySet",
    "*CESE_BOUNDARY_SLIDING_MSURF": "CeseBoundarySlidingMsurf",
    "*CESE_BOUNDARY_SLIDING_MSURF_SET": "CeseBoundarySlidingMsurfSet",
    "*CESE_BOUNDARY_SLIDING_PART": "CeseBoundarySlidingPart",
    "*CESE_BOUNDARY_SLIDING_PART_SET": "CeseBoundarySlidingPartSet",
    "*CESE_BOUNDARY_SLIDING_SEGMENT": "CeseBoundarySlidingSegment",
    "*CESE_BOUNDARY_SLIDING_SET": "CeseBoundarySlidingSet",
    "*CESE_BOUNDARY_SOLID_WALL_MSURF": "CeseBoundarySolidWallMsurf",
    "*CESE_BOUNDARY_SOLID_WALL_MSURF_ROTATE": "CeseBoundarySolidWallMsurfRotate",
    "*CESE_BOUNDARY_SOLID_WALL_MSURF_SET": "CeseBoundarySolidWallMsurfSet",
    "*CESE_BOUNDARY_SOLID_WALL_MSURF_SET_ROTATE": "CeseBoundarySolidWallMsurfSetRotate",
    "*CESE_BOUNDARY_SOLID_WALL_PART": "CeseBoundarySolidWallPart",
    "*CESE_BOUNDARY_SOLID_WALL_PART_ROTATE": "CeseBoundarySolidWallPartRotate",
    "*CESE_BOUNDARY_SOLID_WALL_PART_SET": "CeseBoundarySolidWallPartSet",
    "*CESE_BOUNDARY_SOLID_WALL_PART_SET_ROTATE": "CeseBoundarySolidWallPartSetRotate",
    "*CESE_BOUNDARY_SOLID_WALL_SEGMENT": "CeseBoundarySolidWallSegment",
    "*CESE_BOUNDARY_SOLID_WALL_SEGMENT_ROTATE": "CeseBoundarySolidWallSegmentRotate",
    "*CESE_BOUNDARY_SOLID_WALL_SET": "CeseBoundarySolidWallSet",
    "*CESE_BOUNDARY_SOLID_WALL_SET_ROTATE": "CeseBoundarySolidWallSetRotate",
    "*CESE_CHEMISTRY_D3PLOT": "CeseChemistryD3Plot",
    "*CESE_CONTROL_LIMITER": "CeseControlLimiter",
    "*CESE_CONTROL_MESH_MOV": "CeseControlMeshMov",
    "*CESE_CONTROL_SOLVER": "CeseControlSolver",
    "*CESE_CONTROL_TIMESTEP": "CeseControlTimestep",
    "*CESE_DATABASE_ELOUT": "CeseDatabaseElout",
    "*CESE_DATABASE_FLUXAVG": "CeseDatabaseFluxavg",
    "*CESE_DATABASE_FSIDRAG": "CeseDatabaseFsidrag",
    "*CESE_DATABASE_POINTOUT": "CeseDatabasePointout",
    "*CESE_DATABASE_SSETDRAG": "CeseDatabaseSsetdrag",
    "*CESE_DEFINE_NONINERTIAL": "CeseDefineNoninertial",
    "*CESE_DEFINE_POINT": "CeseDefinePoint",
    "*CESE_DRAG": "CeseDrag",
    "*CESE_EOS_CAV_HOMOG_EQUILIB": "CeseEosCavHomogEquilib",
    "*CESE_EOS_IDEAL_GAS": "CeseEosIdealGas",
    "*CESE_EOS_INFLATOR1": "CeseEosInflator1",
    "*CESE_EOS_INFLATOR2": "CeseEosInflator2",
    "*CESE_FSI_EXCLUDE": "CeseFsiExclude",
    "*CESE_INITIAL": "CeseInitial",
    "*CESE_INITIAL_CHEMISTRY": "CeseInitialChemistry",
    "*CESE_INITIAL_CHEMISTRY_ELEMENT": "CeseInitialChemistryElement",
    "*CESE_INITIAL_CHEMISTRY_PART": "CeseInitialChemistryPart",
    "*CESE_INITIAL_CHEMISTRY_SET": "CeseInitialChemistrySet",
    "*CESE_INITIAL_ELEMENT": "CeseInitialElement",
    "*CESE_INITIAL_SET": "CeseInitialSet",
    "*CESE_MAT_001": "CeseMat001",
    "*CESE_MAT_002": "CeseMat002",
    "*CESE_MAT_GAS": "CeseMatGas",
    "*CESE_PART": "CesePart",
    "*CESE_SURFACE_MECHSSID_D3PLOT": "CeseSurfaceMechssidD3Plot",
    "*CESE_SURFACE_MECHVARS_D3PLOT": "CeseSurfaceMechvarsD3Plot",
    "*CHANGE_BOUNDARY_CONDITION": "ChangeBoundaryCondition",
    "*CHANGE_CONTACT_SMALL_PENETRATION": "ChangeContactSmallPenetration",
    "*CHANGE_CURVE_DEFINITION": "ChangeCurveDefinition",
    "*CHANGE_OUTPUT": "ChangeOutput",
    "*CHANGE_RIGIDWALL_GEOMETRIC": "ChangeRigidwallGeometric",
    "*CHANGE_RIGIDWALL_PLANAR": "ChangeRigidwallPlanar",
    "*CHANGE_RIGID_BODY_CONSTRAINT": "ChangeRigidBodyConstraint",
    "*CHANGE_RIGID_BODY_INERTIA": "ChangeRigidBodyInertia",
    "*CHANGE_RIGID_BODY_STOPPER": "ChangeRigidBodyStopper",
    "*CHANGE_STATUS_REPORT_FREQUENCY": "ChangeStatusReportFrequency",
    "*CHANGE_THERMAL_PARAMETERS": "ChangeThermalParameters",
    "*CHANGE_VELOCITY": "ChangeVelocity",
    "*CHANGE_VELOCITY_GENERATION": "ChangeVelocityGeneration",
    "*CHANGE_VELOCITY_NODE": "ChangeVelocityNode",
    "*CHANGE_VELOCITY_NODE_ONLY": "ChangeVelocityNodeOnly",
    "*CHANGE_VELOCITY_RIGID_BODY": "ChangeVelocityRigidBody",
    "*CHANGE_VELOCITY_ZERO": "ChangeVelocityZero",
    "*CHEMISTRY_COMPOSITION": "ChemistryComposition",
    "*CHEMISTRY_CONTROL_0D": "ChemistryControl0D",
    "*CHEMISTRY_CONTROL_1D": "ChemistryControl1D",
    "*CHEMISTRY_CONTROL_BLAST1D": "ChemistryControlBlast1D",
    "*CHEMISTRY_CONTROL_CSP": "ChemistryControlCsp",
    "*CHEMISTRY_CONTROL_FULL": "ChemistryControlFull",
    "*CHEMISTRY_CONTROL_HGI_PART": "ChemistryControlHgiPart",
    "*CHEMISTRY_CONTROL_HGI_SET": "ChemistryControlHgiSet",
    "*CHEMISTRY_CONTROL_INFLATOR": "ChemistryControlInflator",
    "*CHEMISTRY_CONTROL_PYRPTECHNIC": "ChemistryControlPyrptechnic",
    "*CHEMISTRY_CONTROL_TBX": "ChemistryControlTbx",
    "*CHEMISTRY_CONTROL_ZND": "ChemistryControlZnd",
    "*CHEMISTRY_DET_INITIATION": "ChemistryDetInitiation",
    "*CHEMISTRY_INFLATOR_PROPERTIES": "ChemistryInflatorProperties",
    "*CHEMISTRY_MODEL": "ChemistryModel",
    "*CHEMISTRY_PATH": "ChemistryPath",
    "*COMMENT": "Comment",
    "*COMPONENT_GEBOD_CHILD": "ComponentGebodChild",
    "*COMPONENT_GEBOD_FEMALE": "ComponentGebodFemale",
    "*COMPONENT_GEBOD_JOINT_LEFT_ANKLE": "ComponentGebodJointLeftAnkle",
    "*COMPONENT_GEBOD_JOINT_LEFT_ELBOW": "ComponentGebodJointLeftElbow",
    "*COMPONENT_GEBOD_JOINT_LEFT_HIP": "ComponentGebodJointLeftHip",
    "*COMPONENT_GEBOD_JOINT_LEFT_KNEE": "ComponentGebodJointLeftKnee",
    "*COMPONENT_GEBOD_JOINT_LEFT_SHOULDER": "ComponentGebodJointLeftShoulder",
    "*COMPONENT_GEBOD_JOINT_LOWER_NECK": "ComponentGebodJointLowerNeck",
    "*COMPONENT_GEBOD_JOINT_PELVIS": "ComponentGebodJointPelvis",
    "*COMPONENT_GEBOD_JOINT_RIGHT_ANKLE": "ComponentGebodJointRightAnkle",
    "*COMPONENT_GEBOD_JOINT_RIGHT_ELBOW": "ComponentGebodJointRightElbow",
    "*COMPONENT_GEBOD_JOINT_RIGHT_HIP": "ComponentGebodJointRightHip",
    "*COMPONENT_GEBOD_JOINT_RIGHT_KNEE": "ComponentGebodJointRightKnee",
    "*COMPONENT_GEBOD_JOINT_RIGHT_SHOULDER": "ComponentGebodJointRightShoulder",
    "*COMPONENT_GEBOD_JOINT_UPPER_NECK": "ComponentGebodJointUpperNeck",
    "*COMPONENT_GEBOD_JOINT_WAIST": "ComponentGebodJointWaist",
    "*COMPONENT_GEBOD_MALE": "ComponentGebodMale",
    "*COMPONENT_HYBRIDIII": "ComponentHybridiii",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_ANKLE": "ComponentHybridiiiJointLeftAnkle",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_ELBOW": "ComponentHybridiiiJointLeftElbow",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_HIP": "ComponentHybridiiiJointLeftHip",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_KNEE": "ComponentHybridiiiJointLeftKnee",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_SHOULDER": "ComponentHybridiiiJointLeftShoulder",
    "*COMPONENT_HYBRIDIII_JOINT_LEFT_WRIST": "ComponentHybridiiiJointLeftWrist",
    "*COMPONENT_HYBRIDIII_JOINT_LOWER_NECK": "ComponentHybridiiiJointLowerNeck",
    "*COMPONENT_HYBRIDIII_JOINT_LUMBAR": "ComponentHybridiiiJointLumbar",
    "*COMPONENT_HYBRIDIII_JOINT_RIBCAGE": "ComponentHybridiiiJointRibcage",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_ANKLE": "ComponentHybridiiiJointRightAnkle",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_ELBOW": "ComponentHybridiiiJointRightElbow",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_HIP": "ComponentHybridiiiJointRightHip",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_KNEE": "ComponentHybridiiiJointRightKnee",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_SHOULDER": "ComponentHybridiiiJointRightShoulder",
    "*COMPONENT_HYBRIDIII_JOINT_RIGHT_WRIST": "ComponentHybridiiiJointRightWrist",
    "*COMPONENT_HYBRIDIII_JOINT_UPPER_NECK": "ComponentHybridiiiJointUpperNeck",
    "*CONSTRAINED_ADAPTIVITY": "ConstrainedAdaptivity",
    "*CONSTRAINED_BEAM_IN_SOLID": "ConstrainedBeamInSolid",
    "*CONSTRAINED_BEAM_IN_SOLID_PENALTY": "ConstrainedBeamInSolidPenalty",
    "*CONSTRAINED_BUTT_WELD": "ConstrainedButtWeld",
    "*CONSTRAINED_COORDINATE": "ConstrainedCoordinate",
    "*CONSTRAINED_COORDINATE_LOCAL": "ConstrainedCoordinateLocal",
    "*CONSTRAINED_EULER_IN_EULER": "ConstrainedEulerInEuler",
    "*CONSTRAINED_EXTRA_NODES_NODE": "ConstrainedExtraNodesNode",
    "*CONSTRAINED_EXTRA_NODES_SET": "ConstrainedExtraNodesSet",
    "*CONSTRAINED_FEM_PERI_TIE": "ConstrainedFemPeriTie",
    "*CONSTRAINED_FEM_PERI_TIE_BREAK": "ConstrainedFemPeriTieBreak",
    "*CONSTRAINED_GENERALIZED_WELD_BUTT": "ConstrainedGeneralizedWeldButt",
    "*CONSTRAINED_GENERALIZED_WELD_COMBINED": "ConstrainedGeneralizedWeldCombined",
    "*CONSTRAINED_GENERALIZED_WELD_CROSS_FILLET": "ConstrainedGeneralizedWeldCrossFillet",
    "*CONSTRAINED_GENERALIZED_WELD_FILLET": "ConstrainedGeneralizedWeldFillet",
    "*CONSTRAINED_GENERALIZED_WELD_SPOT": "ConstrainedGeneralizedWeldSpot",
    "*CONSTRAINED_GLOBAL": "ConstrainedGlobal",
    "*CONSTRAINED_IMMERSED_IN_SPG": "ConstrainedImmersedInSpg",
    "*CONSTRAINED_INTERPOLATION": "ConstrainedInterpolation",
    "*CONSTRAINED_INTERPOLATION_LOCAL": "ConstrainedInterpolationLocal",
    "*CONSTRAINED_INTERPOLATION_SPOTWELD": "ConstrainedInterpolationSpotweld",
    "*CONSTRAINED_JOINT_CONSTANT_VELOCITY": "ConstrainedJointConstantVelocity",
    "*CONSTRAINED_JOINT_COOR_CONSTANT_VELOCITY": "ConstrainedJointCoorConstantVelocity",
    "*CONSTRAINED_JOINT_COOR_CYLINDRICAL": "ConstrainedJointCoorCylindrical",
    "*CONSTRAINED_JOINT_COOR_GEARS": "ConstrainedJointCoorGears",
    "*CONSTRAINED_JOINT_COOR_LOCKING": "ConstrainedJointCoorLocking",
    "*CONSTRAINED_JOINT_COOR_PLANAR": "ConstrainedJointCoorPlanar",
    "*CONSTRAINED_JOINT_COOR_PULLEY": "ConstrainedJointCoorPulley",
    "*CONSTRAINED_JOINT_COOR_RACK_AND_PINION": "ConstrainedJointCoorRackAndPinion",
    "*CONSTRAINED_JOINT_COOR_REVOLUTE": "ConstrainedJointCoorRevolute",
    "*CONSTRAINED_JOINT_COOR_ROTATIONAL_MOTOR": "ConstrainedJointCoorRotationalMotor",
    "*CONSTRAINED_JOINT_COOR_SCREW": "ConstrainedJointCoorScrew",
    "*CONSTRAINED_JOINT_COOR_SPHERICAL": "ConstrainedJointCoorSpherical",
    "*CONSTRAINED_JOINT_COOR_TRANSLATIONAL": "ConstrainedJointCoorTranslational",
    "*CONSTRAINED_JOINT_COOR_TRANSLATIONAL_MOTOR": "ConstrainedJointCoorTranslationalMotor",
    "*CONSTRAINED_JOINT_COOR_UNIVERSAL": "ConstrainedJointCoorUniversal",
    "*CONSTRAINED_JOINT_CYLINDRICAL": "ConstrainedJointCylindrical",
    "*CONSTRAINED_JOINT_GEARS": "ConstrainedJointGears",
    "*CONSTRAINED_JOINT_LOCKING": "ConstrainedJointLocking",
    "*CONSTRAINED_JOINT_PLANAR": "ConstrainedJointPlanar",
    "*CONSTRAINED_JOINT_PULLEY": "ConstrainedJointPulley",
    "*CONSTRAINED_JOINT_RACK_AND_PINION": "ConstrainedJointRackAndPinion",
    "*CONSTRAINED_JOINT_REVOLUTE": "ConstrainedJointRevolute",
    "*CONSTRAINED_JOINT_ROTATIONAL_MOTOR": "ConstrainedJointRotationalMotor",
    "*CONSTRAINED_JOINT_SCREW": "ConstrainedJointScrew",
    "*CONSTRAINED_JOINT_SPHERICAL": "ConstrainedJointSpherical",
    "*CONSTRAINED_JOINT_STIFFNESS_CYLINDRICAL": "ConstrainedJointStiffnessCylindrical",
    "*CONSTRAINED_JOINT_STIFFNESS_FLEXION-TORSION": "ConstrainedJointStiffnessFlexionTorsion",
    "*CONSTRAINED_JOINT_STIFFNESS_GENERAL": "ConstrainedJointStiffnessGeneral",
    "*CONSTRAINED_JOINT_STIFFNESS_GENERALIZED": "ConstrainedJointStiffnessGeneralized",
    "*CONSTRAINED_JOINT_STIFFNESS_TRANSLATIONAL": "ConstrainedJointStiffnessTranslational",
    "*CONSTRAINED_JOINT_TRANSLATIONAL": "ConstrainedJointTranslational",
    "*CONSTRAINED_JOINT_TRANSLATIONAL_MOTOR": "ConstrainedJointTranslationalMotor",
    "*CONSTRAINED_JOINT_UNIVERSAL": "ConstrainedJointUniversal",
    "*CONSTRAINED_JOINT_USER_FORCE": "ConstrainedJointUserForce",
    "*CONSTRAINED_LAGRANGE_IN_SOLID": "ConstrainedLagrangeInSolid",
    "*CONSTRAINED_LAGRANGE_IN_SOLID_EDGE": "ConstrainedLagrangeInSolidEdge",
    "*CONSTRAINED_LAGRANGE_IN_SOLID_EDGES": "ConstrainedLagrangeInSolidEdges",
    "*CONSTRAINED_LINEAR_GLOBAL": "ConstrainedLinearGlobal",
    "*CONSTRAINED_LINEAR_LOCAL": "ConstrainedLinearLocal",
    "*CONSTRAINED_LOCAL": "ConstrainedLocal",
    "*CONSTRAINED_MULTIPLE_GLOBAL": "ConstrainedMultipleGlobal",
    "*CONSTRAINED_NODAL_RIGIDBODY": "ConstrainedNodalRigidbody",
    "*CONSTRAINED_NODAL_RIGID_BODY": "ConstrainedNodalRigidBody",
    "*CONSTRAINED_NODAL_RIGID_BODY_INERTIA": "ConstrainedNodalRigidBodyInertia",
    "*CONSTRAINED_NODAL_RIGID_BODY_INERTIA_OVERRIDE": "ConstrainedNodalRigidBodyInertiaOverride",
    "*CONSTRAINED_NODAL_RIGID_BODY_INERTIA_SPC": "ConstrainedNodalRigidBodyInertiaSpc",
    "*CONSTRAINED_NODAL_RIGID_BODY_OVERRIDE": "ConstrainedNodalRigidBodyOverride",
    "*CONSTRAINED_NODAL_RIGID_BODY_SPC": "ConstrainedNodalRigidBodySpc",
    "*CONSTRAINED_NODAL_RIGID_BODY_SPC_INERTIA": "ConstrainedNodalRigidBodySpcInertia",
    "*CONSTRAINED_NODAL_RIGID_BODY_SPC_INERTIA_MASTER": "ConstrainedNodalRigidBodySpcInertiaMaster",
    "*CONSTRAINED_NODAL_RIGID_BODY_SPC_INERTIA_OVERRIDE": "ConstrainedNodalRigidBodySpcInertiaOverride",
    "*CONSTRAINED_NODAL_RIGID_BODY_SPC_OVERRIDE": "ConstrainedNodalRigidBodySpcOverride",
    "*CONSTRAINED_NODE_INTERPOLATION": "ConstrainedNodeInterpolation",
    "*CONSTRAINED_NODE_SET": "ConstrainedNodeSet",
    "*CONSTRAINED_NODE_TO_NURBS_PATCH": "ConstrainedNodeToNurbsPatch",
    "*CONSTRAINED_NODE_TO_NURBS_PATCH_SET": "ConstrainedNodeToNurbsPatchSet",
    "*CONSTRAINED_POINTS": "ConstrainedPoints",
    "*CONSTRAINED_RIGID_BODIES": "ConstrainedRigidBodies",
    "*CONSTRAINED_RIGID_BODIES_SET": "ConstrainedRigidBodiesSet",
    "*CONSTRAINED_RIGID_BODY_INSERT": "ConstrainedRigidBodyInsert",
    "*CONSTRAINED_RIGID_BODY_STOPPERS": "ConstrainedRigidBodyStoppers",
    "*CONSTRAINED_RIVET": "ConstrainedRivet",
    "*CONSTRAINED_SHELL_IN_SOLID": "ConstrainedShellInSolid",
    "*CONSTRAINED_SHELL_IN_SOLID_PENALTY": "ConstrainedShellInSolidPenalty",
    "*CONSTRAINED_SHELL_TO_SOLID": "ConstrainedShellToSolid",
    "*CONSTRAINED_SOIL_PILE": "ConstrainedSoilPile",
    "*CONSTRAINED_SOIL_PILE_CONSTANTS": "ConstrainedSoilPileConstants",
    "*CONSTRAINED_SOIL_PILE_CONSTANTS_SET": "ConstrainedSoilPileConstantsSet",
    "*CONSTRAINED_SOIL_PILE_CURVES": "ConstrainedSoilPileCurves",
    "*CONSTRAINED_SOIL_PILE_CURVES_SET": "ConstrainedSoilPileCurvesSet",
    "*CONSTRAINED_SOIL_PILE_SET": "ConstrainedSoilPileSet",
    "*CONSTRAINED_SOLID_IN_SOLID": "ConstrainedSolidInSolid",
    "*CONSTRAINED_SOLID_IN_SOLID_PENALTY": "ConstrainedSolidInSolidPenalty",
    "*CONSTRAINED_SPLINE": "ConstrainedSpline",
    "*CONSTRAINED_SPOTWELD": "ConstrainedSpotweld",
    "*CONSTRAINED_SPOTWELD_FILTERED_FORCE": "ConstrainedSpotweldFilteredForce",
    "*CONSTRAINED_SPR2": "ConstrainedSpr2",
    "*CONSTRAINED_TIE-BREAK": "ConstrainedTieBreak",
    "*CONSTRAINED_TIED_NODES": "ConstrainedTiedNodes",
    "*CONSTRAINED_TIED_NODES_FAILURE": "ConstrainedTiedNodesFailure",
    "*CONTACT_1D": "Contact1D",
    "*CONTACT_2D_AUTOMATIC_NODE_TO_SURFACE": "Contact2DAutomaticNodeToSurface",
    "*CONTACT_2D_AUTOMATIC_NODE_TO_SURFACE_THERMAL": "Contact2DAutomaticNodeToSurfaceThermal",
    "*CONTACT_2D_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE": "Contact2DAutomaticOneWaySurfaceToSurface",
    "*CONTACT_2D_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_THERMAL": "Contact2DAutomaticOneWaySurfaceToSurfaceThermal",
    "*CONTACT_2D_AUTOMATIC_SINGLE_SURFACE": "Contact2DAutomaticSingleSurface",
    "*CONTACT_2D_AUTOMATIC_SINGLE_SURFACE_MORTAR": "Contact2DAutomaticSingleSurfaceMortar",
    "*CONTACT_2D_AUTOMATIC_SINGLE_SURFACE_MORTAR_THERMAL": "Contact2DAutomaticSingleSurfaceMortarThermal",
    "*CONTACT_2D_AUTOMATIC_SINGLE_SURFACE_THERMAL": "Contact2DAutomaticSingleSurfaceThermal",
    "*CONTACT_2D_AUTOMATIC_SURFACE_IN_CONTINUUM": "Contact2DAutomaticSurfaceInContinuum",
    "*CONTACT_2D_AUTOMATIC_SURFACE_IN_CONTINUUM_THERMAL": "Contact2DAutomaticSurfaceInContinuumThermal",
    "*CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE": "Contact2DAutomaticSurfaceToSurface",
    "*CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR": "Contact2DAutomaticSurfaceToSurfaceMortar",
    "*CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR_THERMAL": "Contact2DAutomaticSurfaceToSurfaceMortarThermal",
    "*CONTACT_2D_AUTOMATIC_SURFACE_TO_SURFACE_THERMAL": "Contact2DAutomaticSurfaceToSurfaceThermal",
    "*CONTACT_2D_AUTOMATIC_TIED": "Contact2DAutomaticTied",
    "*CONTACT_2D_AUTOMATIC_TIED_ONE_WAY": "Contact2DAutomaticTiedOneWay",
    "*CONTACT_2D_AUTOMATIC_TIED_ONE_WAY_THERMAL": "Contact2DAutomaticTiedOneWayThermal",
    "*CONTACT_2D_AUTOMATIC_TIED_THERMAL": "Contact2DAutomaticTiedThermal",
    "*CONTACT_2D_FORCE_TRANSDUCER": "Contact2DForceTransducer",
    "*CONTACT_2D_NODE_TO_SOLID": "Contact2DNodeToSolid",
    "*CONTACT_2D_NODE_TO_SOLID_TIED": "Contact2DNodeToSolidTied",
    "*CONTACT_2D_PENALTY": "Contact2DPenalty",
    "*CONTACT_2D_PENALTY_FRICTION": "Contact2DPenaltyFriction",
    "*CONTACT_2D_SLIDING_ONLY": "Contact2DSlidingOnly",
    "*CONTACT_2D_SLIDING_VOIDS": "Contact2DSlidingVoids",
    "*CONTACT_2D_TIED_SLIDING": "Contact2DTiedSliding",
    "*CONTACT_ADD_WEAR": "ContactAddWear",
    "*CONTACT_AIRBAG_SINGLE_SURFACE": "ContactAirbagSingleSurface",
    "*CONTACT_AUTOMATIC_BEAMS_TO_SURFACE": "ContactAutomaticBeamsToSurface",
    "*CONTACT_AUTOMATIC_GENERAL": "ContactAutomaticGeneral",
    "*CONTACT_AUTOMATIC_GENERAL_EDGEONLY": "ContactAutomaticGeneralEdgeonly",
    "*CONTACT_AUTOMATIC_GENERAL_INTERIOR": "ContactAutomaticGeneralInterior",
    "*CONTACT_AUTOMATIC_GENERAL_TIEBREAK": "ContactAutomaticGeneralTiebreak",
    "*CONTACT_AUTOMATIC_GENERAL_TIEBREAK_BEAM_OFFSET": "ContactAutomaticGeneralTiebreakBeamOffset",
    "*CONTACT_AUTOMATIC_NODES_TO_SURFACE": "ContactAutomaticNodesToSurface",
    "*CONTACT_AUTOMATIC_NODES_TO_SURFACE_SMOOTH": "ContactAutomaticNodesToSurfaceSmooth",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE": "ContactAutomaticOneWaySurfaceToSurface",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_ORTHO_FRICTION": "ContactAutomaticOneWaySurfaceToSurfaceOrthoFriction",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH": "ContactAutomaticOneWaySurfaceToSurfaceSmooth",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK": "ContactAutomaticOneWaySurfaceToSurfaceTiebreak",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK_DAMPING": "ContactAutomaticOneWaySurfaceToSurfaceTiebreakDamping",
    "*CONTACT_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE_TIEBREAK_USER": "ContactAutomaticOneWaySurfaceToSurfaceTiebreakUser",
    "*CONTACT_AUTOMATIC_SINGLE": "ContactAutomaticSingle",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE": "ContactAutomaticSingleSurface",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE_MORTAR": "ContactAutomaticSingleSurfaceMortar",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE_SMOOTH": "ContactAutomaticSingleSurfaceSmooth",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE_TIEBREAK": "ContactAutomaticSingleSurfaceTiebreak",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE_TIEBREAK_BEAM_OFFSET": "ContactAutomaticSingleSurfaceTiebreakBeamOffset",
    "*CONTACT_AUTOMATIC_SINGLE_SURFACE_TIED": "ContactAutomaticSingleSurfaceTied",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE": "ContactAutomaticSurfaceToSurface",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_COMPOSITE": "ContactAutomaticSurfaceToSurfaceComposite",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR": "ContactAutomaticSurfaceToSurfaceMortar",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR_TIED": "ContactAutomaticSurfaceToSurfaceMortarTied",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR_TIED_WELD": "ContactAutomaticSurfaceToSurfaceMortarTiedWeld",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_ORTHO_FRICTION": "ContactAutomaticSurfaceToSurfaceOrthoFriction",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_SMOOTH": "ContactAutomaticSurfaceToSurfaceSmooth",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK": "ContactAutomaticSurfaceToSurfaceTiebreak",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK_DAMPING": "ContactAutomaticSurfaceToSurfaceTiebreakDamping",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK_MORTAR": "ContactAutomaticSurfaceToSurfaceTiebreakMortar",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK_USER": "ContactAutomaticSurfaceToSurfaceTiebreakUser",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIEBREAK_USER_MORTAR": "ContactAutomaticSurfaceToSurfaceTiebreakUserMortar",
    "*CONTACT_AUTOMATIC_SURFACE_TO_SURFACE_TIED_WELD": "ContactAutomaticSurfaceToSurfaceTiedWeld",
    "*CONTACT_AUTO_MOVE": "ContactAutoMove",
    "*CONTACT_CONSTRAINT_NODES_TO_SURFACE": "ContactConstraintNodesToSurface",
    "*CONTACT_CONSTRAINT_SURFACE_TO_SURFACE": "ContactConstraintSurfaceToSurface",
    "*CONTACT_COUPLING": "ContactCoupling",
    "*CONTACT_DRAWBEAD": "ContactDrawbead",
    "*CONTACT_DRAWBEAD_BENDING": "ContactDrawbeadBending",
    "*CONTACT_DRAWBEAD_INITIALIZE": "ContactDrawbeadInitialize",
    "*CONTACT_ENTITY": "ContactEntity",
    "*CONTACT_ERODING_NODES_TO_SURFACE": "ContactErodingNodesToSurface",
    "*CONTACT_ERODING_SINGLE_SURFACE": "ContactErodingSingleSurface",
    "*CONTACT_ERODING_SURFACE_TO_SURFACE": "ContactErodingSurfaceToSurface",
    "*CONTACT_EXCLUDE_INTERACTION": "ContactExcludeInteraction",
    "*CONTACT_FORCE_TRANSDUCER": "ContactForceTransducer",
    "*CONTACT_FORCE_TRANSDUCER_CONSTRAINT": "ContactForceTransducerConstraint",
    "*CONTACT_FORCE_TRANSDUCER_PENALTY": "ContactForceTransducerPenalty",
    "*CONTACT_FORMING_NODES_TO_SURFACE": "ContactFormingNodesToSurface",
    "*CONTACT_FORMING_NODES_TO_SURFACE_SMOOTH": "ContactFormingNodesToSurfaceSmooth",
    "*CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE": "ContactFormingOneWaySurfaceToSurface",
    "*CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE_ORTHO_FRICTION": "ContactFormingOneWaySurfaceToSurfaceOrthoFriction",
    "*CONTACT_FORMING_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH": "ContactFormingOneWaySurfaceToSurfaceSmooth",
    "*CONTACT_FORMING_SURFACE_TO_SURFACE": "ContactFormingSurfaceToSurface",
    "*CONTACT_FORMING_SURFACE_TO_SURFACE_MORTAR": "ContactFormingSurfaceToSurfaceMortar",
    "*CONTACT_FORMING_SURFACE_TO_SURFACE_SMOOTH": "ContactFormingSurfaceToSurfaceSmooth",
    "*CONTACT_GEBOD_HEAD": "ContactGebodHead",
    "*CONTACT_GEBOD_LEFT_FOOT": "ContactGebodLeftFoot",
    "*CONTACT_GEBOD_LEFT_HAND": "ContactGebodLeftHand",
    "*CONTACT_GEBOD_LEFT_LOWER_ARM": "ContactGebodLeftLowerArm",
    "*CONTACT_GEBOD_LEFT_LOWER_LEG": "ContactGebodLeftLowerLeg",
    "*CONTACT_GEBOD_LEFT_SHOULDER": "ContactGebodLeftShoulder",
    "*CONTACT_GEBOD_LEFT_UPPER_ARM": "ContactGebodLeftUpperArm",
    "*CONTACT_GEBOD_LEFT_UPPER_LEG": "ContactGebodLeftUpperLeg",
    "*CONTACT_GEBOD_LOWER_TORSO": "ContactGebodLowerTorso",
    "*CONTACT_GEBOD_MIDDLE_TORSO": "ContactGebodMiddleTorso",
    "*CONTACT_GEBOD_NECK": "ContactGebodNeck",
    "*CONTACT_GEBOD_RIGHT_FOOT": "ContactGebodRightFoot",
    "*CONTACT_GEBOD_RIGHT_HAND": "ContactGebodRightHand",
    "*CONTACT_GEBOD_RIGHT_LOWER_ARM": "ContactGebodRightLowerArm",
    "*CONTACT_GEBOD_RIGHT_LOWER_LEG": "ContactGebodRightLowerLeg",
    "*CONTACT_GEBOD_RIGHT_SHOULDER": "ContactGebodRightShoulder",
    "*CONTACT_GEBOD_RIGHT_UPPER_ARM": "ContactGebodRightUpperArm",
    "*CONTACT_GEBOD_RIGHT_UPPER_LEG": "ContactGebodRightUpperLeg",
    "*CONTACT_GEBOD_UPPER_TORSO": "ContactGebodUpperTorso",
    "*CONTACT_GUIDED_CABLE": "ContactGuidedCable",
    "*CONTACT_GUIDED_CABLE_SET": "ContactGuidedCableSet",
    "*CONTACT_INTERIOR": "ContactInterior",
    "*CONTACT_NODES_TO_SURFACE": "ContactNodesToSurface",
    "*CONTACT_NODES_TO_SURFACE_INTERFERENCE": "ContactNodesToSurfaceInterference",
    "*CONTACT_NODES_TO_SURFACE_SMOOTH": "ContactNodesToSurfaceSmooth",
    "*CONTACT_NURBS_TIED_EDGE_TO_EDGE": "ContactNurbsTiedEdgeToEdge",
    "*CONTACT_NURBS_TIED_EDGE_TO_SURFACE": "ContactNurbsTiedEdgeToSurface",
    "*CONTACT_NURBS_TIED_NODES_TO_SURFACE": "ContactNurbsTiedNodesToSurface",
    "*CONTACT_ONE_WAY_SURFACE_TO_SURFACE": "ContactOneWaySurfaceToSurface",
    "*CONTACT_ONE_WAY_SURFACE_TO_SURFACE_INTERFERENCE": "ContactOneWaySurfaceToSurfaceInterference",
    "*CONTACT_ONE_WAY_SURFACE_TO_SURFACE_SMOOTH": "ContactOneWaySurfaceToSurfaceSmooth",
    "*CONTACT_RIGID_BODY_ONE_WAY_TO_RIGID_BODY": "ContactRigidBodyOneWayToRigidBody",
    "*CONTACT_RIGID_BODY_TWO_WAY_TO_RIGID_BODY": "ContactRigidBodyTwoWayToRigidBody",
    "*CONTACT_RIGID_NODES_TO_RIGID_BODY": "ContactRigidNodesToRigidBody",
    "*CONTACT_RIGID_SURFACE": "ContactRigidSurface",
    "*CONTACT_SINGLE_EDGE": "ContactSingleEdge",
    "*CONTACT_SINGLE_SURFACE": "ContactSingleSurface",
    "*CONTACT_SLIDING_ONLY": "ContactSlidingOnly",
    "*CONTACT_SLIDING_ONLY_PENALTY": "ContactSlidingOnlyPenalty",
    "*CONTACT_SPG": "ContactSpg",
    "*CONTACT_SPOTWELD": "ContactSpotweld",
    "*CONTACT_SPOTWELD_BEAM_OFFSET": "ContactSpotweldBeamOffset",
    "*CONTACT_SPOTWELD_WITH_TORSION": "ContactSpotweldWithTorsion",
    "*CONTACT_SURFACE_TO_SURFACE": "ContactSurfaceToSurface",
    "*CONTACT_SURFACE_TO_SURFACE_CONTRACTION_JOINT": "ContactSurfaceToSurfaceContractionJoint",
    "*CONTACT_SURFACE_TO_SURFACE_INTERFERENCE": "ContactSurfaceToSurfaceInterference",
    "*CONTACT_SURFACE_TO_SURFACE_SMOOTH": "ContactSurfaceToSurfaceSmooth",
    "*CONTACT_SURFACE_TO_SURFACE_THERMAL_FRICTION": "ContactSurfaceToSurfaceThermalFriction",
    "*CONTACT_TIEBREAK_NODES_ONLY": "ContactTiebreakNodesOnly",
    "*CONTACT_TIEBREAK_NODES_TO_SURFACE": "ContactTiebreakNodesToSurface",
    "*CONTACT_TIEBREAK_SURFACE_TO_SURFACE": "ContactTiebreakSurfaceToSurface",
    "*CONTACT_TIEBREAK_SURFACE_TO_SURFACE_ONLY": "ContactTiebreakSurfaceToSurfaceOnly",
    "*CONTACT_TIED_NODES_TO_SURFACE": "ContactTiedNodesToSurface",
    "*CONTACT_TIED_NODES_TO_SURFACE_CONSTRAINED_OFFSET": "ContactTiedNodesToSurfaceConstrainedOffset",
    "*CONTACT_TIED_NODES_TO_SURFACE_OFFSET": "ContactTiedNodesToSurfaceOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO": "ContactTiedShellEdgeTo",
    "*CONTACT_TIED_SHELL_EDGE_TO_SOLID": "ContactTiedShellEdgeToSolid",
    "*CONTACT_TIED_SHELL_EDGE_TO_SOLID_BEAM_OFFSET": "ContactTiedShellEdgeToSolidBeamOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO_SOLID_CONSTRAINED_OFFSET": "ContactTiedShellEdgeToSolidConstrainedOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO_SOLID_OFFSET": "ContactTiedShellEdgeToSolidOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO_SURFACE": "ContactTiedShellEdgeToSurface",
    "*CONTACT_TIED_SHELL_EDGE_TO_SURFACE_BEAM_OFFSET": "ContactTiedShellEdgeToSurfaceBeamOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO_SURFACE_CONSTRAINED_OFFSET": "ContactTiedShellEdgeToSurfaceConstrainedOffset",
    "*CONTACT_TIED_SHELL_EDGE_TO_SURFACE_OFFSET": "ContactTiedShellEdgeToSurfaceOffset",
    "*CONTACT_TIED_SURFACE_TO_SURFACE": "ContactTiedSurfaceToSurface",
    "*CONTACT_TIED_SURFACE_TO_SURFACE_CONSTRAINED_OFFSET": "ContactTiedSurfaceToSurfaceConstrainedOffset",
    "*CONTACT_TIED_SURFACE_TO_SURFACE_FAILURE": "ContactTiedSurfaceToSurfaceFailure",
    "*CONTACT_TIED_SURFACE_TO_SURFACE_OFFSET": "ContactTiedSurfaceToSurfaceOffset",
    "*CONTROLLER_PLANT": "ControllerPlant",
    "*CONTROL_2D_REMESHING_REGION": "Control2DRemeshingRegion",
    "*CONTROL_ACCURACY": "ControlAccuracy",
    "*CONTROL_ACOUSTIC": "ControlAcoustic",
    "*CONTROL_ACOUSTIC_COUPLING": "ControlAcousticCoupling",
    "*CONTROL_ACOUSTIC_SPECTRAL": "ControlAcousticSpectral",
    "*CONTROL_ADAPSTEP": "ControlAdapstep",
    "*CONTROL_ADAPT": "ControlAdapt",
    "*CONTROL_ADAPTIVE": "ControlAdaptive",
    "*CONTROL_ADAPTIVE_CURVE": "ControlAdaptiveCurve",
    "*CONTROL_AIRBAG": "ControlAirbag",
    "*CONTROL_ALE": "ControlAle",
    "*CONTROL_BULK_VISCOSITY": "ControlBulkViscosity",
    "*CONTROL_CHECK": "ControlCheck",
    "*CONTROL_CHECK_SHELL": "ControlCheckShell",
    "*CONTROL_COARSEN": "ControlCoarsen",
    "*CONTROL_CONSTRANINED": "ControlConstranined",
    "*CONTROL_CONTACT": "ControlContact",
    "*CONTROL_COUPLING": "ControlCoupling",
    "*CONTROL_CPM": "ControlCpm",
    "*CONTROL_CPU": "ControlCpu",
    "*CONTROL_CR_MPP_DECOMPOSITION_DEFORMED_GEOMETRY": "ControlCrMppDecompositionDeformedGeometry",
    "*CONTROL_CR_MPP_DECOMPOSITION_FLAG_STRESS_STRAIN_CURVE": "ControlCrMppDecompositionFlagStressStrainCurve",
    "*CONTROL_CR_MPP_MATERIAL_MODEL_DRIVER": "ControlCrMppMaterialModelDriver",
    "*CONTROL_DAMPING": "ControlDamping",
    "*CONTROL_DEBUG": "ControlDebug",
    "*CONTROL_DISCRETE_ELEMENT": "ControlDiscreteElement",
    "*CONTROL_DYNAMIC_RELAXATION": "ControlDynamicRelaxation",
    "*CONTROL_EFG": "ControlEfg",
    "*CONTROL_ENERGY": "ControlEnergy",
    "*CONTROL_EOS_USER_LIBRARY": "ControlEosUserLibrary",
    "*CONTROL_EXPLICIT_THERMAL_ALE_COUPLING": "ControlExplicitThermalAleCoupling",
    "*CONTROL_EXPLICIT_THERMAL_BOUNDARY": "ControlExplicitThermalBoundary",
    "*CONTROL_EXPLICIT_THERMAL_CONTACT": "ControlExplicitThermalContact",
    "*CONTROL_EXPLICIT_THERMAL_INITIAL": "ControlExplicitThermalInitial",
    "*CONTROL_EXPLICIT_THERMAL_OUTPUT": "ControlExplicitThermalOutput",
    "*CONTROL_EXPLICIT_THERMAL_PROPERTIES": "ControlExplicitThermalProperties",
    "*CONTROL_EXPLICIT_THERMAL_SOLVER": "ControlExplicitThermalSolver",
    "*CONTROL_EXPLOSIVE_SHADOW": "ControlExplosiveShadow",
    "*CONTROL_FORMING_AUTOCHECK": "ControlFormingAutocheck",
    "*CONTROL_FORMING_AUTOPOSITION_PARAMETER": "ControlFormingAutopositionParameter",
    "*CONTROL_FORMING_AUTOPOSITION_PARAMETER_POSITIVE": "ControlFormingAutopositionParameterPositive",
    "*CONTROL_FORMING_AUTOPOSITION_PARAMETER_SET": "ControlFormingAutopositionParameterSet",
    "*CONTROL_FORMING_AUTOPOSITION_PARAMETER_SET_POSITIVE": "ControlFormingAutopositionParameterSetPositive",
    "*CONTROL_FORMING_AUTO_NET": "ControlFormingAutoNet",
    "*CONTROL_FORMING_BESTFIT": "ControlFormingBestfit",
    "*CONTROL_FORMING_BESTFIT_VECTOR": "ControlFormingBestfitVector",
    "*CONTROL_FORMING_BLANKMESH": "ControlFormingBlankmesh",
    "*CONTROL_FORMING_GENERATE_BLANKMESH": "ControlFormingGenerateBlankmesh",
    "*CONTROL_FORMING_HOME_GAP": "ControlFormingHomeGap",
    "*CONTROL_FORMING_INITIAL_THICKNESS": "ControlFormingInitialThickness",
    "*CONTROL_FORMING_MAXID": "ControlFormingMaxid",
    "*CONTROL_FORMING_ONESTEP": "ControlFormingOnestep",
    "*CONTROL_FORMING_ONESTEP_AUTO_CONSTRAINT": "ControlFormingOnestepAutoConstraint",
    "*CONTROL_FORMING_ONESTEP_DRAWBEAD": "ControlFormingOnestepDrawbead",
    "*CONTROL_FORMING_ONESTEP_FRICTION": "ControlFormingOnestepFriction",
    "*CONTROL_FORMING_ONESTEP_ORTHO": "ControlFormingOnestepOrtho",
    "*CONTROL_FORMING_ONESTEP_QUAD": "ControlFormingOnestepQuad",
    "*CONTROL_FORMING_ONESTEP_QUAD2": "ControlFormingOnestepQuad2",
    "*CONTROL_FORMING_ONESTEP_TRIA": "ControlFormingOnestepTria",
    "*CONTROL_FORMING_OUTPUT": "ControlFormingOutput",
    "*CONTROL_FORMING_OUTPUT_INTFOR": "ControlFormingOutputIntfor",
    "*CONTROL_FORMING_PARAMETER_READ": "ControlFormingParameterRead",
    "*CONTROL_FORMING_POSITION": "ControlFormingPosition",
    "*CONTROL_FORMING_PRE_BENDING": "ControlFormingPreBending",
    "*CONTROL_FORMING_PRE_BENDING_LOCAL": "ControlFormingPreBendingLocal",
    "*CONTROL_FORMING_PROJECTION": "ControlFormingProjection",
    "*CONTROL_FORMING_REMOVE_ADAPTIVE_CONSTRAINTS": "ControlFormingRemoveAdaptiveConstraints",
    "*CONTROL_FORMING_SCRAP_FALL": "ControlFormingScrapFall",
    "*CONTROL_FORMING_SHELL_TO_TSHELL": "ControlFormingShellToTshell",
    "*CONTROL_FORMING_STONING": "ControlFormingStoning",
    "*CONTROL_FORMING_STRAIN_RATIO_SMOOTH": "ControlFormingStrainRatioSmooth",
    "*CONTROL_FORMING_TEMPLATE": "ControlFormingTemplate",
    "*CONTROL_FORMING_TIPPING": "ControlFormingTipping",
    "*CONTROL_FORMING_TOLERANC": "ControlFormingToleranc",
    "*CONTROL_FORMING_TRAVEL": "ControlFormingTravel",
    "*CONTROL_FORMING_TRIMMING": "ControlFormingTrimming",
    "*CONTROL_FORMING_TRIM_MERGE": "ControlFormingTrimMerge",
    "*CONTROL_FORMING_TRIM_SOLID_REFINEMENT": "ControlFormingTrimSolidRefinement",
    "*CONTROL_FORMING_UNFLANGING": "ControlFormingUnflanging",
    "*CONTROL_FORMING_UNFLANGING_OUTPUT": "ControlFormingUnflangingOutput",
    "*CONTROL_FORMING_USER": "ControlFormingUser",
    "*CONTROL_FREQUENCY_DOMAIN": "ControlFrequencyDomain",
    "*CONTROL_FREQUENCY_RESPONSE_FUNCTION": "ControlFrequencyResponseFunction",
    "*CONTROL_HOURGLASS": "ControlHourglass",
    "*CONTROL_HOURGLASS_936": "ControlHourglass936",
    "*CONTROL_IMPLICIT_AUTO": "ControlImplicitAuto",
    "*CONTROL_IMPLICIT_AUTO_DYN": "ControlImplicitAutoDyn",
    "*CONTROL_IMPLICIT_AUTO_SPR": "ControlImplicitAutoSpr",
    "*CONTROL_IMPLICIT_BUCKLE": "ControlImplicitBuckle",
    "*CONTROL_IMPLICIT_CONSISTENT_MASS": "ControlImplicitConsistentMass",
    "*CONTROL_IMPLICIT_DYNAMIC": "ControlImplicitDynamic",
    "*CONTROL_IMPLICIT_DYNAMICS": "ControlImplicitDynamics",
    "*CONTROL_IMPLICIT_DYNAMICS_DYN": "ControlImplicitDynamicsDyn",
    "*CONTROL_IMPLICIT_DYNAMICS_SPR": "ControlImplicitDynamicsSpr",
    "*CONTROL_IMPLICIT_EIGENVALUE": "ControlImplicitEigenvalue",
    "*CONTROL_IMPLICIT_EIGENVALUES": "ControlImplicitEigenvalues",
    "*CONTROL_IMPLICIT_FORMING": "ControlImplicitForming",
    "*CONTROL_IMPLICIT_FORMING_DYN": "ControlImplicitFormingDyn",
    "*CONTROL_IMPLICIT_FORMING_SPR": "ControlImplicitFormingSpr",
    "*CONTROL_IMPLICIT_GENERAL": "ControlImplicitGeneral",
    "*CONTROL_IMPLICIT_GENERAL_DYN": "ControlImplicitGeneralDyn",
    "*CONTROL_IMPLICIT_GENERAL_SPR": "ControlImplicitGeneralSpr",
    "*CONTROL_IMPLICIT_INERTIA_RELIEF": "ControlImplicitInertiaRelief",
    "*CONTROL_IMPLICIT_JOINTS": "ControlImplicitJoints",
    "*CONTROL_IMPLICIT_LINEAR": "ControlImplicitLinear",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC": "ControlImplicitModalDynamic",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC_DAMPING": "ControlImplicitModalDynamicDamping",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC_DAMPING_FREQUENCY_RANGE": "ControlImplicitModalDynamicDampingFrequencyRange",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC_DAMPING_SPECIFIC": "ControlImplicitModalDynamicDampingSpecific",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC_MODE_GENERATE": "ControlImplicitModalDynamicModeGenerate",
    "*CONTROL_IMPLICIT_MODAL_DYNAMIC_MODE_LIST": "ControlImplicitModalDynamicModeList",
    "*CONTROL_IMPLICIT_MODES": "ControlImplicitModes",
    "*CONTROL_IMPLICIT_MODES_BINARY": "ControlImplicitModesBinary",
    "*CONTROL_IMPLICIT_NONLINEAR": "ControlImplicitNonlinear",
    "*CONTROL_IMPLICIT_ORDERING": "ControlImplicitOrdering",
    "*CONTROL_IMPLICIT_RESIDUAL_VECTOR": "ControlImplicitResidualVector",
    "*CONTROL_IMPLICIT_ROTATIONAL_DYNAMICS": "ControlImplicitRotationalDynamics",
    "*CONTROL_IMPLICIT_SOLUTION": "ControlImplicitSolution",
    "*CONTROL_IMPLICIT_SOLUTION_DYN": "ControlImplicitSolutionDyn",
    "*CONTROL_IMPLICIT_SOLUTION_SPR": "ControlImplicitSolutionSpr",
    "*CONTROL_IMPLICIT_SOLVER": "ControlImplicitSolver",
    "*CONTROL_IMPLICIT_SOLVER_DYN": "ControlImplicitSolverDyn",
    "*CONTROL_IMPLICIT_SOLVER_SPR": "ControlImplicitSolverSpr",
    "*CONTROL_IMPLICIT_SSD_DIRECT": "ControlImplicitSsdDirect",
    "*CONTROL_IMPLICIT_STABILISATION": "ControlImplicitStabilisation",
    "*CONTROL_IMPLICIT_STABILIZATION": "ControlImplicitStabilization",
    "*CONTROL_IMPLICIT_STABILIZATION_DYN": "ControlImplicitStabilizationDyn",
    "*CONTROL_IMPLICIT_STABILIZATION_SPR": "ControlImplicitStabilizationSpr",
    "*CONTROL_IMPLICIT_STATIC_CONDENSATION": "ControlImplicitStaticCondensation",
    "*CONTROL_IMPLICIT_STATIC_CONDENSATION_BINARY": "ControlImplicitStaticCondensationBinary",
    "*CONTROL_IMPLICIT_TERMINATION": "ControlImplicitTermination",
    "*CONTROL_LSDA": "ControlLsda",
    "*CONTROL_MAT": "ControlMat",
    "*CONTROL_MPP_CONTACT_GROUPABLE": "ControlMppContactGroupable",
    "*CONTROL_MPP_DECOMPOSITION_ADAPTIVE": "ControlMppDecompositionAdaptive",
    "*CONTROL_MPP_DECOMPOSITION_ARRANGE_PARTS": "ControlMppDecompositionArrangeParts",
    "*CONTROL_MPP_DECOMPOSITION_AUTOMATIC": "ControlMppDecompositionAutomatic",
    "*CONTROL_MPP_DECOMPOSITION_BAGREF": "ControlMppDecompositionBagref",
    "*CONTROL_MPP_DECOMPOSITION_CHECK_SPEED": "ControlMppDecompositionCheckSpeed",
    "*CONTROL_MPP_DECOMPOSITION_CONTACT_DISTRIBUTE": "ControlMppDecompositionContactDistribute",
    "*CONTROL_MPP_DECOMPOSITION_CONTACT_ISOLATE": "ControlMppDecompositionContactIsolate",
    "*CONTROL_MPP_DECOMPOSITION_DISABLE_UNREF_CURVES": "ControlMppDecompositionDisableUnrefCurves",
    "*CONTROL_MPP_DECOMPOSITION_DISTRIBUTE_ALE_ELEMENT": "ControlMppDecompositionDistributeAleElement",
    "*CONTROL_MPP_DECOMPOSITION_DISTRIBUTE_ALE_ELEMENTS": "ControlMppDecompositionDistributeAleElements",
    "*CONTROL_MPP_DECOMPOSITION_DISTRIBUTE_SPH_ELEMENT": "ControlMppDecompositionDistributeSphElement",
    "*CONTROL_MPP_DECOMPOSITION_DISTRIBUTE_SPH_ELEMENTS": "ControlMppDecompositionDistributeSphElements",
    "*CONTROL_MPP_DECOMPOSITION_ELCOST": "ControlMppDecompositionElcost",
    "*CONTROL_MPP_DECOMPOSITION_FILE": "ControlMppDecompositionFile",
    "*CONTROL_MPP_DECOMPOSITION_FILE_READ": "ControlMppDecompositionFileRead",
    "*CONTROL_MPP_DECOMPOSITION_FILE_WRITE": "ControlMppDecompositionFileWrite",
    "*CONTROL_MPP_DECOMPOSITION_METHOD": "ControlMppDecompositionMethod",
    "*CONTROL_MPP_DECOMPOSITION_NODISTRIBUTE_DES_ELEMENTS": "ControlMppDecompositionNodistributeDesElements",
    "*CONTROL_MPP_DECOMPOSITION_NUMPROC": "ControlMppDecompositionNumproc",
    "*CONTROL_MPP_DECOMPOSITION_OUTDECOMP": "ControlMppDecompositionOutdecomp",
    "*CONTROL_MPP_DECOMPOSITION_PARTSET_DISTRIBUTE": "ControlMppDecompositionPartsetDistribute",
    "*CONTROL_MPP_DECOMPOSITION_PARTS_DISTRIBUTE": "ControlMppDecompositionPartsDistribute",
    "*CONTROL_MPP_DECOMPOSITION_RCBLOG": "ControlMppDecompositionRcblog",
    "*CONTROL_MPP_DECOMPOSITION_REDECOMPOSITION": "ControlMppDecompositionRedecomposition",
    "*CONTROL_MPP_DECOMPOSITION_REDECOMPOSITION_ONCE": "ControlMppDecompositionRedecompositionOnce",
    "*CONTROL_MPP_DECOMPOSITION_SCALE_CONTACT_COST": "ControlMppDecompositionScaleContactCost",
    "*CONTROL_MPP_DECOMPOSITION_SCALE_FACTOR_SPH": "ControlMppDecompositionScaleFactorSph",
    "*CONTROL_MPP_DECOMPOSITION_SHOW": "ControlMppDecompositionShow",
    "*CONTROL_MPP_DECOMPOSITION_TRANSFORMATION": "ControlMppDecompositionTransformation",
    "*CONTROL_MPP_IO_BINOUTONLY": "ControlMppIoBinoutonly",
    "*CONTROL_MPP_IO_LSTC_REDUCE": "ControlMppIoLstcReduce",
    "*CONTROL_MPP_IO_NOBEAMOUT": "ControlMppIoNobeamout",
    "*CONTROL_MPP_IO_NOD3DUMP": "ControlMppIoNod3Dump",
    "*CONTROL_MPP_IO_NODUMP": "ControlMppIoNodump",
    "*CONTROL_MPP_IO_NOFULL": "ControlMppIoNofull",
    "*CONTROL_MPP_IO_SWAPBYTES": "ControlMppIoSwapbytes",
    "*CONTROL_MPP_PFILE": "ControlMppPfile",
    "*CONTROL_MPP_REBALANCE": "ControlMppRebalance",
    "*CONTROL_NONLOCAL": "ControlNonlocal",
    "*CONTROL_OUTPUT": "ControlOutput",
    "*CONTROL_PARALLEL": "ControlParallel",
    "*CONTROL_PORE_AIR": "ControlPoreAir",
    "*CONTROL_PORE_FLUID": "ControlPoreFluid",
    "*CONTROL_PZELECTRIC": "ControlPzelectric",
    "*CONTROL_REFERENCE_CONFIGURATION": "ControlReferenceConfiguration",
    "*CONTROL_REFERENCE_CONFIGURAION_ITER": "ControlReferenceConfiguraionIter",
    "*CONTROL_REFERENCE_CONTROL_VOLUME_COORDINATES": "ControlReferenceControlVolumeCoordinates",
    "*CONTROL_REFINE_ALE": "ControlRefineAle",
    "*CONTROL_REFINE_ALE2D": "ControlRefineAle2D",
    "*CONTROL_REFINE_MPP_DISTRIBUTION": "ControlRefineMppDistribution",
    "*CONTROL_REFINE_SHELL": "ControlRefineShell",
    "*CONTROL_REFINE_SOLID": "ControlRefineSolid",
    "*CONTROL_REMESHING": "ControlRemeshing",
    "*CONTROL_REMESHING_EFG": "ControlRemeshingEfg",
    "*CONTROL_REQUIRE_REVISION": "ControlRequireRevision",
    "*CONTROL_RIGID": "ControlRigid",
    "*CONTROL_SEGMENTS_IN_ALE_COUPLING": "ControlSegmentsInAleCoupling",
    "*CONTROL_SHELL": "ControlShell",
    "*CONTROL_SOLID": "ControlSolid",
    "*CONTROL_SOLUTION": "ControlSolution",
    "*CONTROL_SPH": "ControlSph",
    "*CONTROL_SPH_INCOMPRESSIBLE": "ControlSphIncompressible",
    "*CONTROL_SPOTWELD_BEAM": "ControlSpotweldBeam",
    "*CONTROL_STAGED_CONSTRUCTION": "ControlStagedConstruction",
    "*CONTROL_START": "ControlStart",
    "*CONTROL_STEADY_STATE_ROLLING": "ControlSteadyStateRolling",
    "*CONTROL_STRUCTURED": "ControlStructured",
    "*CONTROL_STRUCTURED_TERM": "ControlStructuredTerm",
    "*CONTROL_SUBCYCLE": "ControlSubcycle",
    "*CONTROL_SUBCYCLE_MASS_SCALED_PART": "ControlSubcycleMassScaledPart",
    "*CONTROL_SUBCYCLE_MASS_SCALED_PART_SET": "ControlSubcycleMassScaledPartSet",
    "*CONTROL_TERMINATION": "ControlTermination",
    "*CONTROL_THERMAL_EIGENVALUE": "ControlThermalEigenvalue",
    "*CONTROL_THERMAL_FORMING": "ControlThermalForming",
    "*CONTROL_THERMAL_NONLINEAR": "ControlThermalNonlinear",
    "*CONTROL_THERMAL_SOLVER": "ControlThermalSolver",
    "*CONTROL_THERMAL_TIMESTEP": "ControlThermalTimestep",
    "*CONTROL_TIMESTEP": "ControlTimestep",
    "*CONTROL_TIME_STEP": "ControlTimeStep",
    "*CONTROL_UNITS": "ControlUnits",
    "*CONTROL_VIBRO_ACOUSTIC": "ControlVibroAcoustic",
    "*COSIM_FMI_CONTROL": "CosimFmiControl",
    "*COSIM_FMI_INTERFACE": "CosimFmiInterface",
    "*DAMPING_FREQUENCY_RANGE": "DampingFrequencyRange",
    "*DAMPING_FREQUENCY_RANGE_DEFORM": "DampingFrequencyRangeDeform",
    "*DAMPING_GLOBAL": "DampingGlobal",
    "*DAMPING_PART_MASS": "DampingPartMass",
    "*DAMPING_PART_MASS_SET": "DampingPartMassSet",
    "*DAMPING_PART_STIFFNESS": "DampingPartStiffness",
    "*DAMPING_PART_STIFFNESS_SET": "DampingPartStiffnessSet",
    "*DAMPING_POROSITY": "DampingPorosity",
    "*DAMPING_RELATIVE": "DampingRelative",
    "*DATABASE_ABSTAT": "DatabaseAbstat",
    "*DATABASE_ABSTAT_CPM": "DatabaseAbstatCpm",
    "*DATABASE_ACEOUT": "DatabaseAceout",
    "*DATABASE_ALE": "DatabaseAle",
    "*DATABASE_ALE_MAT": "DatabaseAleMat",
    "*DATABASE_ALE_OPERATION": "DatabaseAleOperation",
    "*DATABASE_ATDOUT": "DatabaseAtdout",
    "*DATABASE_AVSFLT": "DatabaseAvsflt",
    "*DATABASE_BEARING": "DatabaseBearing",
    "*DATABASE_BINARY_BLSTFOR": "DatabaseBinaryBlstfor",
    "*DATABASE_BINARY_CPMFOR": "DatabaseBinaryCpmfor",
    "*DATABASE_BINARY_D3CRACK": "DatabaseBinaryD3Crack",
    "*DATABASE_BINARY_D3DRLF": "DatabaseBinaryD3Drlf",
    "*DATABASE_BINARY_D3DUMP": "DatabaseBinaryD3Dump",
    "*DATABASE_BINARY_D3PART": "DatabaseBinaryD3Part",
    "*DATABASE_BINARY_D3PLOT": "DatabaseBinaryD3Plot",
    "*DATABASE_BINARY_D3PROP": "DatabaseBinaryD3Prop",
    "*DATABASE_BINARY_D3THDT": "DatabaseBinaryD3Thdt",
    "*DATABASE_BINARY_DEMFOR": "DatabaseBinaryDemfor",
    "*DATABASE_BINARY_FSIFOR": "DatabaseBinaryFsifor",
    "*DATABASE_BINARY_FSILNK": "DatabaseBinaryFsilnk",
    "*DATABASE_BINARY_INTFOR": "DatabaseBinaryIntfor",
    "*DATABASE_BINARY_INTFOR_FILE": "DatabaseBinaryIntforFile",
    "*DATABASE_BINARY_ISPHFOR": "DatabaseBinaryIsphfor",
    "*DATABASE_BINARY_PBMFOR": "DatabaseBinaryPbmfor",
    "*DATABASE_BINARY_RUNRSF": "DatabaseBinaryRunrsf",
    "*DATABASE_BINARY_XTFILE": "DatabaseBinaryXtfile",
    "*DATABASE_BNDOUT": "DatabaseBndout",
    "*DATABASE_CPM_SENSOR": "DatabaseCpmSensor",
    "*DATABASE_CROSS_SECTION_PLANE": "DatabaseCrossSectionPlane",
    "*DATABASE_CROSS_SECTION_SET": "DatabaseCrossSectionSet",
    "*DATABASE_CURVOUT": "DatabaseCurvout",
    "*DATABASE_D3FTG": "DatabaseD3Ftg",
    "*DATABASE_D3MAX": "DatabaseD3Max",
    "*DATABASE_DCFAIL": "DatabaseDcfail",
    "*DATABASE_DEFGEO": "DatabaseDefgeo",
    "*DATABASE_DEFORC": "DatabaseDeforc",
    "*DATABASE_DEMASSFLOW": "DatabaseDemassflow",
    "*DATABASE_DISBOUT": "DatabaseDisbout",
    "*DATABASE_ELOUT": "DatabaseElout",
    "*DATABASE_EXTENT_AVS": "DatabaseExtentAvs",
    "*DATABASE_EXTENT_BINARY": "DatabaseExtentBinary",
    "*DATABASE_EXTENT_BINARY_COMP": "DatabaseExtentBinaryComp",
    "*DATABASE_EXTENT_D3PART": "DatabaseExtentD3Part",
    "*DATABASE_EXTENT_INTFOR": "DatabaseExtentIntfor",
    "*DATABASE_EXTENT_MOVIE": "DatabaseExtentMovie",
    "*DATABASE_EXTENT_MPGS": "DatabaseExtentMpgs",
    "*DATABASE_EXTENT_SSSTAT": "DatabaseExtentSsstat",
    "*DATABASE_EXTENT_SSSTAT_ID": "DatabaseExtentSsstatId",
    "*DATABASE_FATXML": "DatabaseFatxml",
    "*DATABASE_FORMAT": "DatabaseFormat",
    "*DATABASE_FREQUENCY_ASCII_ELOUT_PSD": "DatabaseFrequencyAsciiEloutPsd",
    "*DATABASE_FREQUENCY_ASCII_ELOUT_SSD": "DatabaseFrequencyAsciiEloutSsd",
    "*DATABASE_FREQUENCY_ASCII_ELOUT_SSD_MODAL_CONTRIBUTION": "DatabaseFrequencyAsciiEloutSsdModalContribution",
    "*DATABASE_FREQUENCY_ASCII_ELOUT_SSD_SUBCASE": "DatabaseFrequencyAsciiEloutSsdSubcase",
    "*DATABASE_FREQUENCY_ASCII_NODFOR_SSD": "DatabaseFrequencyAsciiNodforSsd",
    "*DATABASE_FREQUENCY_ASCII_NODFOR_SSD_SUBCASE": "DatabaseFrequencyAsciiNodforSsdSubcase",
    "*DATABASE_FREQUENCY_ASCII_NODOUT_PSD": "DatabaseFrequencyAsciiNodoutPsd",
    "*DATABASE_FREQUENCY_ASCII_NODOUT_SSD": "DatabaseFrequencyAsciiNodoutSsd",
    "*DATABASE_FREQUENCY_ASCII_NODOUT_SSD_MODAL_CONTRIBUTION": "DatabaseFrequencyAsciiNodoutSsdModalContribution",
    "*DATABASE_FREQUENCY_ASCII_NODOUT_SSD_SUBCASE": "DatabaseFrequencyAsciiNodoutSsdSubcase",
    "*DATABASE_FREQUENCY_BINARY_D3ACC": "DatabaseFrequencyBinaryD3Acc",
    "*DATABASE_FREQUENCY_BINARY_D3ACS": "DatabaseFrequencyBinaryD3Acs",
    "*DATABASE_FREQUENCY_BINARY_D3ATV": "DatabaseFrequencyBinaryD3Atv",
    "*DATABASE_FREQUENCY_BINARY_D3ERP": "DatabaseFrequencyBinaryD3Erp",
    "*DATABASE_FREQUENCY_BINARY_D3FTG": "DatabaseFrequencyBinaryD3Ftg",
    "*DATABASE_FREQUENCY_BINARY_D3PSD": "DatabaseFrequencyBinaryD3Psd",
    "*DATABASE_FREQUENCY_BINARY_D3PSD_SUMMATION": "DatabaseFrequencyBinaryD3PsdSummation",
    "*DATABASE_FREQUENCY_BINARY_D3RMS": "DatabaseFrequencyBinaryD3Rms",
    "*DATABASE_FREQUENCY_BINARY_D3RMS_SUMMATION": "DatabaseFrequencyBinaryD3RmsSummation",
    "*DATABASE_FREQUENCY_BINARY_D3SPCM": "DatabaseFrequencyBinaryD3Spcm",
    "*DATABASE_FREQUENCY_BINARY_D3SSD": "DatabaseFrequencyBinaryD3Ssd",
    "*DATABASE_FREQUENCY_BINARY_D3SSD_SUBCASE": "DatabaseFrequencyBinaryD3SsdSubcase",
    "*DATABASE_FREQUENCY_BINARY_D3ZCF": "DatabaseFrequencyBinaryD3Zcf",
    "*DATABASE_FSI": "DatabaseFsi",
    "*DATABASE_FSI_SENSOR": "DatabaseFsiSensor",
    "*DATABASE_GCEOUT": "DatabaseGceout",
    "*DATABASE_GLSTAT": "DatabaseGlstat",
    "*DATABASE_GLSTAT_MASS_PROPERTIES": "DatabaseGlstatMassProperties",
    "*DATABASE_HISTORY_ACOUSTIC": "DatabaseHistoryAcoustic",
    "*DATABASE_HISTORY_BEAM": "DatabaseHistoryBeam",
    "*DATABASE_HISTORY_BEAM_ID": "DatabaseHistoryBeamId",
    "*DATABASE_HISTORY_BEAM_SET": "DatabaseHistoryBeamSet",
    "*DATABASE_HISTORY_DISCRETE": "DatabaseHistoryDiscrete",
    "*DATABASE_HISTORY_DISCRETE_ID": "DatabaseHistoryDiscreteId",
    "*DATABASE_HISTORY_DISCRETE_SET": "DatabaseHistoryDiscreteSet",
    "*DATABASE_HISTORY_NODE": "DatabaseHistoryNode",
    "*DATABASE_HISTORY_NODE_ID": "DatabaseHistoryNodeId",
    "*DATABASE_HISTORY_NODE_LOCAL": "DatabaseHistoryNodeLocal",
    "*DATABASE_HISTORY_NODE_LOCAL_ID": "DatabaseHistoryNodeLocalId",
    "*DATABASE_HISTORY_NODE_SET": "DatabaseHistoryNodeSet",
    "*DATABASE_HISTORY_NODE_SET_LOCAL": "DatabaseHistoryNodeSetLocal",
    "*DATABASE_HISTORY_SEATBELT": "DatabaseHistorySeatbelt",
    "*DATABASE_HISTORY_SEATBELT_ID": "DatabaseHistorySeatbeltId",
    "*DATABASE_HISTORY_SEATBELT_RETRACTOR": "DatabaseHistorySeatbeltRetractor",
    "*DATABASE_HISTORY_SEATBELT_RETRACTOR_ID": "DatabaseHistorySeatbeltRetractorId",
    "*DATABASE_HISTORY_SEATBELT_SLIPRING": "DatabaseHistorySeatbeltSlipring",
    "*DATABASE_HISTORY_SEATBELT_SLIPRING_ID": "DatabaseHistorySeatbeltSlipringId",
    "*DATABASE_HISTORY_SHELL": "DatabaseHistoryShell",
    "*DATABASE_HISTORY_SHELL_ID": "DatabaseHistoryShellId",
    "*DATABASE_HISTORY_SHELL_SET": "DatabaseHistoryShellSet",
    "*DATABASE_HISTORY_SOLID": "DatabaseHistorySolid",
    "*DATABASE_HISTORY_SOLID_ID": "DatabaseHistorySolidId",
    "*DATABASE_HISTORY_SOLID_SET": "DatabaseHistorySolidSet",
    "*DATABASE_HISTORY_SPH": "DatabaseHistorySph",
    "*DATABASE_HISTORY_SPH_SET": "DatabaseHistorySphSet",
    "*DATABASE_HISTORY_TSHELL": "DatabaseHistoryTshell",
    "*DATABASE_HISTORY_TSHELL_ID": "DatabaseHistoryTshellId",
    "*DATABASE_HISTORY_TSHELL_SET": "DatabaseHistoryTshellSet",
    "*DATABASE_ICVOUT": "DatabaseIcvout",
    "*DATABASE_JNTFORC": "DatabaseJntforc",
    "*DATABASE_MASSOUT": "DatabaseMassout",
    "*DATABASE_MATSUM": "DatabaseMatsum",
    "*DATABASE_MAX_BEAM": "DatabaseMaxBeam",
    "*DATABASE_MAX_BEAM_ID": "DatabaseMaxBeamId",
    "*DATABASE_MAX_BEAM_SET": "DatabaseMaxBeamSet",
    "*DATABASE_MAX_SHELL": "DatabaseMaxShell",
    "*DATABASE_MAX_SHELL_ID": "DatabaseMaxShellId",
    "*DATABASE_MAX_SHELL_SET": "DatabaseMaxShellSet",
    "*DATABASE_MAX_SOLID": "DatabaseMaxSolid",
    "*DATABASE_MAX_SOLID_ID": "DatabaseMaxSolidId",
    "*DATABASE_MAX_SOLID_SET": "DatabaseMaxSolidSet",
    "*DATABASE_MAX_TSHELL": "DatabaseMaxTshell",
    "*DATABASE_MAX_TSHELL_ID": "DatabaseMaxTshellId",
    "*DATABASE_MAX_TSHELL_SET": "DatabaseMaxTshellSet",
    "*DATABASE_MOVIE": "DatabaseMovie",
    "*DATABASE_MPGS": "DatabaseMpgs",
    "*DATABASE_NCFORC": "DatabaseNcforc",
    "*DATABASE_NCFORC_FILTER": "DatabaseNcforcFilter",
    "*DATABASE_NODAL_FORCE_GROUP": "DatabaseNodalForceGroup",
    "*DATABASE_NODFOR": "DatabaseNodfor",
    "*DATABASE_NODOUT": "DatabaseNodout",
    "*DATABASE_PAP_OUTPUT": "DatabasePapOutput",
    "*DATABASE_PBLAST_SENSOR": "DatabasePblastSensor",
    "*DATABASE_PBSTAT": "DatabasePbstat",
    "*DATABASE_PLLYOUT": "DatabasePllyout",
    "*DATABASE_POWER_SPECTRAL_DENSITY": "DatabasePowerSpectralDensity",
    "*DATABASE_POWER_SPECTRAL_DENSITY_FREQUENCY": "DatabasePowerSpectralDensityFrequency",
    "*DATABASE_PROFILE": "DatabaseProfile",
    "*DATABASE_PRTUBE": "DatabasePrtube",
    "*DATABASE_PWP_FLOW": "DatabasePwpFlow",
    "*DATABASE_PWP_OUTPUT": "DatabasePwpOutput",
    "*DATABASE_PYRO": "DatabasePyro",
    "*DATABASE_RBDOUT": "DatabaseRbdout",
    "*DATABASE_RCFORC": "DatabaseRcforc",
    "*DATABASE_RCFORC_MOMENT": "DatabaseRcforcMoment",
    "*DATABASE_RECOVER_NODE": "DatabaseRecoverNode",
    "*DATABASE_RVE": "DatabaseRve",
    "*DATABASE_RWFORC": "DatabaseRwforc",
    "*DATABASE_SALE": "DatabaseSale",
    "*DATABASE_SBTOUT": "DatabaseSbtout",
    "*DATABASE_SECFORC": "DatabaseSecforc",
    "*DATABASE_SECFORC_FILTER": "DatabaseSecforcFilter",
    "*DATABASE_SLEOUT": "DatabaseSleout",
    "*DATABASE_SPCFORC": "DatabaseSpcforc",
    "*DATABASE_SPHMASSFLOW": "DatabaseSphmassflow",
    "*DATABASE_SPHOUT": "DatabaseSphout",
    "*DATABASE_SPRING_FORWARD": "DatabaseSpringForward",
    "*DATABASE_SSSTAT": "DatabaseSsstat",
    "*DATABASE_SSSTAT_MASS_PROPERTIES": "DatabaseSsstatMassProperties",
    "*DATABASE_SUPERPLASTIC_FORMING": "DatabaseSuperplasticForming",
    "*DATABASE_SWFORC": "DatabaseSwforc",
    "*DATABASE_TPRINT": "DatabaseTprint",
    "*DATABASE_TRACER": "DatabaseTracer",
    "*DATABASE_TRACER_ALE": "DatabaseTracerAle",
    "*DATABASE_TRACER_DE": "DatabaseTracerDe",
    "*DATABASE_TRACER_GENERAL": "DatabaseTracerGeneral",
    "*DATABASE_TRACER_GENERATE": "DatabaseTracerGenerate",
    "*DATABASE_TRHIST": "DatabaseTrhist",
    "*DEFINE_ADAPTIVE_SOLID_TO_DES": "DefineAdaptiveSolidToDes",
    "*DEFINE_ADAPTIVE_SOLID_TO_DES_ID": "DefineAdaptiveSolidToDesId",
    "*DEFINE_ADAPTIVE_SOLID_TO_SPH": "DefineAdaptiveSolidToSph",
    "*DEFINE_ADAPTIVE_SOLID_TO_SPH_ID": "DefineAdaptiveSolidToSphId",
    "*DEFINE_ALEBAG_BAG": "DefineAlebagBag",
    "*DEFINE_ALEBAG_HOLE": "DefineAlebagHole",
    "*DEFINE_ALEBAG_INFLATOR": "DefineAlebagInflator",
    "*DEFINE_BEAM_SOLID_COUPLING": "DefineBeamSolidCoupling",
    "*DEFINE_BOX": "DefineBox",
    "*DEFINE_BOX_ADAPTIVE": "DefineBoxAdaptive",
    "*DEFINE_BOX_ADAPTIVE_LOCAL": "DefineBoxAdaptiveLocal",
    "*DEFINE_BOX_COARSEN": "DefineBoxCoarsen",
    "*DEFINE_BOX_COARSEN_LOCAL": "DefineBoxCoarsenLocal",
    "*DEFINE_BOX_DRAWBEAD": "DefineBoxDrawbead",
    "*DEFINE_BOX_DRAWBEAD_LOCAL": "DefineBoxDrawbeadLocal",
    "*DEFINE_BOX_LOCAL": "DefineBoxLocal",
    "*DEFINE_BOX_NODES_ADAPTIVE": "DefineBoxNodesAdaptive",
    "*DEFINE_BOX_SPH": "DefineBoxSph",
    "*DEFINE_BOX_SPH_LOCAL": "DefineBoxSphLocal",
    "*DEFINE_CONNECTION_PROPERTIES": "DefineConnectionProperties",
    "*DEFINE_CONNECTION_PROPERTIES_ADD": "DefineConnectionPropertiesAdd",
    "*DEFINE_CONSTRUCTION_STAGES": "DefineConstructionStages",
    "*DEFINE_CONTACT_EXCLUSION": "DefineContactExclusion",
    "*DEFINE_CONTACT_VOLUME": "DefineContactVolume",
    "*DEFINE_CONTROL_VOLUME": "DefineControlVolume",
    "*DEFINE_CONTROL_VOLUME_FLOW_AREA": "DefineControlVolumeFlowArea",
    "*DEFINE_CONTROL_VOLUME_INTERACTION": "DefineControlVolumeInteraction",
    "*DEFINE_COORDINATE_NODE": "DefineCoordinateNode",
    "*DEFINE_COORDINATE_NODES": "DefineCoordinateNodes",
    "*DEFINE_COORDINATE_SYSTEM": "DefineCoordinateSystem",
    "*DEFINE_COORDINATE_VECTOR": "DefineCoordinateVector",
    "*DEFINE_CPM_BAG_INTERACTION": "DefineCpmBagInteraction",
    "*DEFINE_CPM_CHAMBER": "DefineCpmChamber",
    "*DEFINE_CPM_CHAMBERS": "DefineCpmChambers",
    "*DEFINE_CPM_GAS_PROPERTIES": "DefineCpmGasProperties",
    "*DEFINE_CPM_NPDATA": "DefineCpmNpdata",
    "*DEFINE_CPM_VENT": "DefineCpmVent",
    "*DEFINE_CRASHFRONT": "DefineCrashfront",
    "*DEFINE_CURVE": "DefineCurve",
    "*DEFINE_CURVE_3858": "DefineCurve3858",
    "*DEFINE_CURVE_5434A": "DefineCurve5434A",
    "*DEFINE_CURVE_BOX_ADAPTIVITY": "DefineCurveBoxAdaptivity",
    "*DEFINE_CURVE_COMPENSATION_CONSTRAINT_BEGIN": "DefineCurveCompensationConstraintBegin",
    "*DEFINE_CURVE_COMPENSATION_CONSTRAINT_END": "DefineCurveCompensationConstraintEnd",
    "*DEFINE_CURVE_DRAWBEAD": "DefineCurveDrawbead",
    "*DEFINE_CURVE_DUPLICATE": "DefineCurveDuplicate",
    "*DEFINE_CURVE_ENTITY": "DefineCurveEntity",
    "*DEFINE_CURVE_FEEDBACK": "DefineCurveFeedback",
    "*DEFINE_CURVE_FLC": "DefineCurveFlc",
    "*DEFINE_CURVE_FLD_FROM_TRIAXIAL_LIMIT": "DefineCurveFldFromTriaxialLimit",
    "*DEFINE_CURVE_FUNCTION": "DefineCurveFunction",
    "*DEFINE_CURVE_SMOOTH": "DefineCurveSmooth",
    "*DEFINE_CURVE_STRESS": "DefineCurveStress",
    "*DEFINE_CURVE_TRIAXIAL_LIMIT_FROM_FLD": "DefineCurveTriaxialLimitFromFld",
    "*DEFINE_CURVE_TRIM": "DefineCurveTrim",
    "*DEFINE_CURVE_TRIM_2D": "DefineCurveTrim2D",
    "*DEFINE_CURVE_TRIM_3D": "DefineCurveTrim3D",
    "*DEFINE_CURVE_TRIM_NEW": "DefineCurveTrimNew",
    "*DEFINE_DEATH_TIMES_NODES": "DefineDeathTimesNodes",
    "*DEFINE_DEATH_TIMES_RIGID": "DefineDeathTimesRigid",
    "*DEFINE_DEATH_TIMES_SET": "DefineDeathTimesSet",
    "*DEFINE_DE_ACTIVE_REGION": "DefineDeActiveRegion",
    "*DEFINE_DE_BOND": "DefineDeBond",
    "*DEFINE_DE_BOND_BY_PART": "DefineDeBondByPart",
    "*DEFINE_DE_BOND_OVERRIDE": "DefineDeBondOverride",
    "*DEFINE_DE_BY_PART": "DefineDeByPart",
    "*DEFINE_DE_COHESIVE": "DefineDeCohesive",
    "*DEFINE_DE_FLOW_DRAG": "DefineDeFlowDrag",
    "*DEFINE_DE_HBOND": "DefineDeHbond",
    "*DEFINE_DE_INJECTION": "DefineDeInjection",
    "*DEFINE_DE_INJECTION_ELLIPSE": "DefineDeInjectionEllipse",
    "*DEFINE_DE_INJECT_BONDED": "DefineDeInjectBonded",
    "*DEFINE_DE_INJECT_BONDED_ELLIPSE": "DefineDeInjectBondedEllipse",
    "*DEFINE_DE_INJECT_SHAPE": "DefineDeInjectShape",
    "*DEFINE_DE_INTERNAL_SKIP": "DefineDeInternalSkip",
    "*DEFINE_DE_MASSFLOW_PLANE": "DefineDeMassflowPlane",
    "*DEFINE_DE_MESH_BEAM": "DefineDeMeshBeam",
    "*DEFINE_DE_MESH_SURFACE": "DefineDeMeshSurface",
    "*DEFINE_DE_PATTERN_OUTPUT": "DefineDePatternOutput",
    "*DEFINE_DE_TO_BEAM_COUPLING": "DefineDeToBeamCoupling",
    "*DEFINE_DE_TO_SURFACE_COUPLING": "DefineDeToSurfaceCoupling",
    "*DEFINE_DE_TO_SURFACE_COUPLING_TRANSDUCER": "DefineDeToSurfaceCouplingTransducer",
    "*DEFINE_DE_TO_SURFACE_TIED": "DefineDeToSurfaceTied",
    "*DEFINE_ELEMENT_DEATH_BEAM": "DefineElementDeathBeam",
    "*DEFINE_ELEMENT_DEATH_BEAM_SET": "DefineElementDeathBeamSet",
    "*DEFINE_ELEMENT_DEATH_SHELL": "DefineElementDeathShell",
    "*DEFINE_ELEMENT_DEATH_SHELL_SET": "DefineElementDeathShellSet",
    "*DEFINE_ELEMENT_DEATH_SOLID": "DefineElementDeathSolid",
    "*DEFINE_ELEMENT_DEATH_SOLID_SET": "DefineElementDeathSolidSet",
    "*DEFINE_ELEMENT_DEATH_THICK_SHELL": "DefineElementDeathThickShell",
    "*DEFINE_ELEMENT_DEATH_THICK_SHELL_SET": "DefineElementDeathThickShellSet",
    "*DEFINE_ELEMENT_EROSION_IGA": "DefineElementErosionIga",
    "*DEFINE_ELEMENT_EROSION_SHELL": "DefineElementErosionShell",
    "*DEFINE_ELEMENT_EROSION_TSHELL": "DefineElementErosionTshell",
    "*DEFINE_ELEMENT_GENERALIZED_SHELL": "DefineElementGeneralizedShell",
    "*DEFINE_ELEMENT_GENERALIZED_SOLID": "DefineElementGeneralizedSolid",
    "*DEFINE_FABRIC_ASSEMBLIES": "DefineFabricAssemblies",
    "*DEFINE_FIBERS": "DefineFibers",
    "*DEFINE_FILTER": "DefineFilter",
    "*DEFINE_FORMING_BLANKMESH": "DefineFormingBlankmesh",
    "*DEFINE_FORMING_CLAMP": "DefineFormingClamp",
    "*DEFINE_FORMING_CONTACT": "DefineFormingContact",
    "*DEFINE_FORMING_ONESTEP_MASTER": "DefineFormingOnestepMaster",
    "*DEFINE_FORMING_ONESTEP_PRIMARY": "DefineFormingOnestepPrimary",
    "*DEFINE_FORMING_SOLID_SURFACE": "DefineFormingSolidSurface",
    "*DEFINE_FP_TO_SURFACE_COUPLING": "DefineFpToSurfaceCoupling",
    "*DEFINE_FRICTION": "DefineFriction",
    "*DEFINE_FRICTION_AIRBAG_SINGLE_SURFACE": "DefineFrictionAirbagSingleSurface",
    "*DEFINE_FRICTION_AUTOMATIC_GENERAL": "DefineFrictionAutomaticGeneral",
    "*DEFINE_FRICTION_AUTOMATIC_NODES_TO_SURFACE": "DefineFrictionAutomaticNodesToSurface",
    "*DEFINE_FRICTION_AUTOMATIC_ONE_WAY_SURFACE_TO_SURFACE": "DefineFrictionAutomaticOneWaySurfaceToSurface",
    "*DEFINE_FRICTION_AUTOMATIC_SINGLE_SURFACE": "DefineFrictionAutomaticSingleSurface",
    "*DEFINE_FRICTION_AUTOMATIC_SINGLE_SURFACE_MORTAR": "DefineFrictionAutomaticSingleSurfaceMortar",
    "*DEFINE_FRICTION_AUTOMATIC_SURFACE_TO_SURFACE": "DefineFrictionAutomaticSurfaceToSurface",
    "*DEFINE_FRICTION_AUTOMATIC_SURFACE_TO_SURFACE_MORTAR": "DefineFrictionAutomaticSurfaceToSurfaceMortar",
    "*DEFINE_FRICTION_ERODING_SINGLE_SURFACE": "DefineFrictionErodingSingleSurface",
    "*DEFINE_FRICTION_ORIENTATION": "DefineFrictionOrientation",
    "*DEFINE_FRICTION_SCALING": "DefineFrictionScaling",
    "*DEFINE_FRICTION_SINGLE_SURFACE": "DefineFrictionSingleSurface",
    "*DEFINE_FUNCTION": "DefineFunction",
    "*DEFINE_FUNCTION_TABULATED": "DefineFunctionTabulated",
    "*DEFINE_GROUND_MOTION": "DefineGroundMotion",
    "*DEFINE_HAZ_PROPERTIES": "DefineHazProperties",
    "*DEFINE_HAZ_TAILOR_WELDED_BLANK": "DefineHazTailorWeldedBlank",
    "*DEFINE_HEX_SPOTWELD_ASSEMBLY": "DefineHexSpotweldAssembly",
    "*DEFINE_HEX_SPOTWELD_ASSEMBLY_16": "DefineHexSpotweldAssembly16",
    "*DEFINE_HEX_SPOTWELD_ASSEMBLY_4": "DefineHexSpotweldAssembly4",
    "*DEFINE_HEX_SPOTWELD_ASSEMBLY_8": "DefineHexSpotweldAssembly8",
    "*DEFINE_LANCE_SEED_POINT_COORDINATES": "DefineLanceSeedPointCoordinates",
    "*DEFINE_MATERIAL_HISTORIES": "DefineMaterialHistories",
    "*DEFINE_MATERIAL_HISTORIES_NAMES": "DefineMaterialHistoriesNames",
    "*DEFINE_MULTISCALE": "DefineMultiscale",
    "*DEFINE_MULTI_DRAWBEADS_IGES": "DefineMultiDrawbeadsIges",
    "*DEFINE_NURBS_CURVE": "DefineNurbsCurve",
    "*DEFINE_PARTICLE_BLAST": "DefineParticleBlast",
    "*DEFINE_PART_FROM_LAYER": "DefinePartFromLayer",
    "*DEFINE_PBLAST_AIRGEO": "DefinePblastAirgeo",
    "*DEFINE_PBLAST_GEOMETRY": "DefinePblastGeometry",
    "*DEFINE_PLANE": "DefinePlane",
    "*DEFINE_POROUS_ALE": "DefinePorousAle",
    "*DEFINE_POROUS_LAGRANGIAN": "DefinePorousLagrangian",
    "*DEFINE_PRESSURE_TUBE": "DefinePressureTube",
    "*DEFINE_QUASAR_COUPLING": "DefineQuasarCoupling",
    "*DEFINE_REGION": "DefineRegion",
    "*DEFINE_SD_ORIENTATION": "DefineSdOrientation",
    "*DEFINE_SET_ADAPTIVE": "DefineSetAdaptive",
    "*DEFINE_SPH_ACTIVE_REGION": "DefineSphActiveRegion",
    "*DEFINE_SPH_AMBIENT_DRAG": "DefineSphAmbientDrag",
    "*DEFINE_SPH_DE_COUPLING": "DefineSphDeCoupling",
    "*DEFINE_SPH_DE_COUPLING_ID": "DefineSphDeCouplingId",
    "*DEFINE_SPH_INJECTION": "DefineSphInjection",
    "*DEFINE_SPH_MASSFLOW_PLANE": "DefineSphMassflowPlane",
    "*DEFINE_SPH_MESH_BOX": "DefineSphMeshBox",
    "*DEFINE_SPH_MESH_SURFACE": "DefineSphMeshSurface",
    "*DEFINE_SPH_TO_SPH_COUPLING": "DefineSphToSphCoupling",
    "*DEFINE_SPH_TO_SPH_COUPLING_ID": "DefineSphToSphCouplingId",
    "*DEFINE_SPH_VICINITY_SENSOR": "DefineSphVicinitySensor",
    "*DEFINE_SPOTWELD_FAILURE": "DefineSpotweldFailure",
    "*DEFINE_SPOTWELD_FAILURE_ADD": "DefineSpotweldFailureAdd",
    "*DEFINE_SPOTWELD_FAILURE_PID": "DefineSpotweldFailurePid",
    "*DEFINE_SPOTWELD_FAILURE_RESULTANTS": "DefineSpotweldFailureResultants",
    "*DEFINE_SPOTWELD_MULTISCALE": "DefineSpotweldMultiscale",
    "*DEFINE_SPOTWELD_RUPTURE_PARAMETER": "DefineSpotweldRuptureParameter",
    "*DEFINE_SPOTWELD_RUPTURE_STRESS": "DefineSpotweldRuptureStress",
    "*DEFINE_STAGED_CONSTRUCTION_PART": "DefineStagedConstructionPart",
    "*DEFINE_STAGED_CONSTRUCTION_PART_SET": "DefineStagedConstructionPartSet",
    "*DEFINE_STOCHASTIC_ELEMENT_SHELL_VARIATON": "DefineStochasticElementShellVariaton",
    "*DEFINE_STOCHASTIC_ELEMENT_SOLID_VARIATON": "DefineStochasticElementSolidVariaton",
    "*DEFINE_STOCHASTIC_VARIATION": "DefineStochasticVariation",
    "*DEFINE_STOCHASTIC_VARIATION_PROPERTIES": "DefineStochasticVariationProperties",
    "*DEFINE_TABLE": "DefineTable",
    "*DEFINE_TABLE_2D": "DefineTable2D",
    "*DEFINE_TABLE_3D": "DefineTable3D",
    "*DEFINE_TABLE_COMPACT": "DefineTableCompact",
    "*DEFINE_TABLE_MATRIX": "DefineTableMatrix",
    "*DEFINE_TARGET_BOUNDARY": "DefineTargetBoundary",
    "*DEFINE_TRACER_PARTICLES_2D": "DefineTracerParticles2D",
    "*DEFINE_TRANSFORM": "DefineTransform",
    "*DEFINE_TRANSFORMATION": "DefineTransformation",
    "*DEFINE_TRIM_SEED_POINT_COORDINATES": "DefineTrimSeedPointCoordinates",
    "*DEFINE_VECTOR": "DefineVector",
    "*DEFINE_VECTOR_NODES": "DefineVectorNodes",
    "*DEFORMABLE_TO_RIGID": "DeformableToRigid",
    "*DEFORMABLE_TO_RIGID_AUTOMATIC": "DeformableToRigidAutomatic",
    "*DEFORMABLE_TO_RIGID_INERTIA": "DeformableToRigidInertia",
    "*DELETE_CONTACT": "DeleteContact",
    "*DELETE_CONTACT_2DAUTO": "DeleteContact2Dauto",
    "*DELETE_ELEMENT_BEAM": "DeleteElementBeam",
    "*DELETE_ELEMENT_SHELL": "DeleteElementShell",
    "*DELETE_ELEMENT_SOLID": "DeleteElementSolid",
    "*DELETE_ELEMENT_TSHELL": "DeleteElementTshell",
    "*DELETE_ENTITY": "DeleteEntity",
    "*DELETE_FSI": "DeleteFsi",
    "*DELETE_PART": "DeletePart",
    "*DUALCESE_BOUNDARY_AXISYMMETRIC_MSURF": "DualceseBoundaryAxisymmetricMsurf",
    "*DUALCESE_BOUNDARY_AXISYMMETRIC_SEGMENT_SET": "DualceseBoundaryAxisymmetricSegmentSet",
    "*DUALCESE_BOUNDARY_CYCLIC_MSURF": "DualceseBoundaryCyclicMsurf",
    "*DUALCESE_BOUNDARY_CYCLIC_SEGMENT_SET": "DualceseBoundaryCyclicSegmentSet",
    "*DUALCESE_BOUNDARY_FSI_MSURF": "DualceseBoundaryFsiMsurf",
    "*DUALCESE_BOUNDARY_FSI_SEGMENT_SET": "DualceseBoundaryFsiSegmentSet",
    "*DUALCESE_BOUNDARY_NON_REFLECTIVE_MSURF": "DualceseBoundaryNonReflectiveMsurf",
    "*DUALCESE_BOUNDARY_NON_REFLECTIVE_SEGMENT_SET": "DualceseBoundaryNonReflectiveSegmentSet",
    "*DUALCESE_BOUNDARY_PRESCRIBED_HYBRID_MSURF": "DualceseBoundaryPrescribedHybridMsurf",
    "*DUALCESE_BOUNDARY_PRESCRIBED_HYBRID_SEGMENT_SET": "DualceseBoundaryPrescribedHybridSegmentSet",
    "*DUALCESE_BOUNDARY_PRESCRIBED_MSURF": "DualceseBoundaryPrescribedMsurf",
    "*DUALCESE_BOUNDARY_PRESCRIBED_SEGMENT_SET": "DualceseBoundaryPrescribedSegmentSet",
    "*DUALCESE_BOUNDARY_PRESCRIBED_TWO-PHASE_MSURF": "DualceseBoundaryPrescribedTwoPhaseMsurf",
    "*DUALCESE_BOUNDARY_PRESCRIBED_TWO-PHASE_SEGMENT_SET": "DualceseBoundaryPrescribedTwoPhaseSegmentSet",
    "*DUALCESE_BOUNDARY_PRESCRIBED_VN_MSURF": "DualceseBoundaryPrescribedVnMsurf",
    "*DUALCESE_BOUNDARY_PRESCRIBED_VN_SEGMENT_SET": "DualceseBoundaryPrescribedVnSegmentSet",
    "*DUALCESE_BOUNDARY_REFLECTIVE_MSURF": "DualceseBoundaryReflectiveMsurf",
    "*DUALCESE_BOUNDARY_REFLECTIVE_SEGMENT_SET": "DualceseBoundaryReflectiveSegmentSet",
    "*DUALCESE_BOUNDARY_SLIDING_MSURF": "DualceseBoundarySlidingMsurf",
    "*DUALCESE_BOUNDARY_SLIDING_SEGMENT_SET": "DualceseBoundarySlidingSegmentSet",
    "*DUALCESE_BOUNDARY_SOLID_WALL_MSURF": "DualceseBoundarySolidWallMsurf",
    "*DUALCESE_BOUNDARY_SOLID_WALL_MSURF_ROTATE": "DualceseBoundarySolidWallMsurfRotate",
    "*DUALCESE_BOUNDARY_SOLID_WALL_SEGMENT_SET": "DualceseBoundarySolidWallSegmentSet",
    "*DUALCESE_BOUNDARY_SOLID_WALL_SEGMENT_SET_ROTATE": "DualceseBoundarySolidWallSegmentSetRotate",
    "*DUALCESE_CONTROL_LIMITER": "DualceseControlLimiter",
    "*DUALCESE_CONTROL_MESH_MOV": "DualceseControlMeshMov",
    "*DUALCESE_CONTROL_SOLVER": "DualceseControlSolver",
    "*DUALCESE_CONTROL_TIMESTEP": "DualceseControlTimestep",
    "*DUALCESE_D3PLOT": "DualceseD3Plot",
    "*DUALCESE_D3PLOT_FLUID_SSID": "DualceseD3PlotFluidSsid",
    "*DUALCESE_ELE2D": "DualceseEle2D",
    "*DUALCESE_ELE3D": "DualceseEle3D",
    "*DUALCESE_ELEMENTSET": "DualceseElementset",
    "*DUALCESE_EOS_COCHRAN_CHAN": "DualceseEosCochranChan",
    "*DUALCESE_EOS_COOLPROP": "DualceseEosCoolprop",
    "*DUALCESE_EOS_IDEAL_GAS": "DualceseEosIdealGas",
    "*DUALCESE_EOS_INFLATOR1": "DualceseEosInflator1",
    "*DUALCESE_EOS_INFLATOR2": "DualceseEosInflator2",
    "*DUALCESE_EOS_JWL": "DualceseEosJwl",
    "*DUALCESE_EOS_REFPROP": "DualceseEosRefprop",
    "*DUALCESE_EOS_REFPROP_PATH": "DualceseEosRefpropPath",
    "*DUALCESE_EOS_SET": "DualceseEosSet",
    "*DUALCESE_EOS_STIFFENED_GAS": "DualceseEosStiffenedGas",
    "*DUALCESE_EOS_VAN_DER_WAALS_GENERALIZED": "DualceseEosVanDerWaalsGeneralized",
    "*DUALCESE_FSI_EXCLUDE": "DualceseFsiExclude",
    "*DUALCESE_INCLUDE_MODEL": "DualceseIncludeModel",
    "*DUALCESE_INITIAL": "DualceseInitial",
    "*DUALCESE_INITIAL_HYBRID": "DualceseInitialHybrid",
    "*DUALCESE_INITIAL_HYBRID_SET": "DualceseInitialHybridSet",
    "*DUALCESE_INITIAL_SET": "DualceseInitialSet",
    "*DUALCESE_INITIAL_TWO-PHASE": "DualceseInitialTwoPhase",
    "*DUALCESE_INITIAL_TWO-PHASE_SET": "DualceseInitialTwoPhaseSet",
    "*DUALCESE_INITIAL_TWOPHASE": "DualceseInitialTwophase",
    "*DUALCESE_MAT_GAS": "DualceseMatGas",
    "*DUALCESE_MAT_GAS_0": "DualceseMatGas0",
    "*DUALCESE_MAT_GAS_2": "DualceseMatGas2",
    "*DUALCESE_MODEL": "DualceseModel",
    "*DUALCESE_NODE2D": "DualceseNode2D",
    "*DUALCESE_NODE3D": "DualceseNode3D",
    "*DUALCESE_NODESET": "DualceseNodeset",
    "*DUALCESE_PART": "DualcesePart",
    "*DUALCESE_PART_MULTIPHASE": "DualcesePartMultiphase",
    "*DUALCESE_PART_SURFACE": "DualcesePartSurface",
    "*DUALCESE_REACTION_RATE_IG": "DualceseReactionRateIg",
    "*DUALCESE_REACTION_RATE_IG_REDUCED": "DualceseReactionRateIgReduced",
    "*DUALCESE_REACTION_RATE_P_DEPEND": "DualceseReactionRatePDepend",
    "*DUALCESE_SEGMENTSET": "DualceseSegmentset",
    "*EF_CONTROL": "EfControl",
    "*EF_GRID": "EfGrid",
    "*EF_MATERIAL": "EfMaterial",
    "*EF_TOGGLES": "EfToggles",
    "*ELEMENT_BEAM": "ElementBeam",
    "*ELEMENT_BEAM_ELBOW": "ElementBeamElbow",
    "*ELEMENT_BEAM_OFFSET": "ElementBeamOffset",
    "*ELEMENT_BEAM_ORIENTATION": "ElementBeamOrientation",
    "*ELEMENT_BEAM_ORIENTATION_OFFSET": "ElementBeamOrientationOffset",
    "*ELEMENT_BEAM_PID": "ElementBeamPid",
    "*ELEMENT_BEAM_PID_OFFSET": "ElementBeamPidOffset",
    "*ELEMENT_BEAM_PID_ORIENTATION": "ElementBeamPidOrientation",
    "*ELEMENT_BEAM_PULLEY": "ElementBeamPulley",
    "*ELEMENT_BEAM_SCALAR": "ElementBeamScalar",
    "*ELEMENT_BEAM_SCALAR_OFFSET": "ElementBeamScalarOffset",
    "*ELEMENT_BEAM_SCALAR_ORIENTATION": "ElementBeamScalarOrientation",
    "*ELEMENT_BEAM_SCALAR_PID": "ElementBeamScalarPid",
    "*ELEMENT_BEAM_SECTION": "ElementBeamSection",
    "*ELEMENT_BEAM_SECTION_OFFSET": "ElementBeamSectionOffset",
    "*ELEMENT_BEAM_SECTION_ORIENTATION": "ElementBeamSectionOrientation",
    "*ELEMENT_BEAM_SECTION_PID": "ElementBeamSectionPid",
    "*ELEMENT_BEAM_SECTION_SCALAR": "ElementBeamSectionScalar",
    "*ELEMENT_BEAM_SOURCE": "ElementBeamSource",
    "*ELEMENT_BEAM_THICKNESS": "ElementBeamThickness",
    "*ELEMENT_BEAM_THICKNESS_OFFSET": "ElementBeamThicknessOffset",
    "*ELEMENT_BEAM_THICKNESS_ORIENTATION": "ElementBeamThicknessOrientation",
    "*ELEMENT_BEAM_THICKNESS_PID": "ElementBeamThicknessPid",
    "*ELEMENT_BEAM_THICKNESS_SCALAR": "ElementBeamThicknessScalar",
    "*ELEMENT_BEAM_WARPAGE": "ElementBeamWarpage",
    "*ELEMENT_BEARING": "ElementBearing",
    "*ELEMENT_BLANKING": "ElementBlanking",
    "*ELEMENT_DIRECT_MATRIX_INPUT": "ElementDirectMatrixInput",
    "*ELEMENT_DIRECT_MATRIX_INPUT_BINARY": "ElementDirectMatrixInputBinary",
    "*ELEMENT_DISCRETE": "ElementDiscrete",
    "*ELEMENT_DISCRETE_LCO": "ElementDiscreteLco",
    "*ELEMENT_DISCRETE_SPHERE": "ElementDiscreteSphere",
    "*ELEMENT_DISCRETE_SPHERE_VOLUME": "ElementDiscreteSphereVolume",
    "*ELEMENT_GENERALIZED_SHELL": "ElementGeneralizedShell",
    "*ELEMENT_GENERALIZED_SOLID": "ElementGeneralizedSolid",
    "*ELEMENT_INERTIA": "ElementInertia",
    "*ELEMENT_INERTIA_OFFSET": "ElementInertiaOffset",
    "*ELEMENT_INTERPOLATION_SHELL": "ElementInterpolationShell",
    "*ELEMENT_INTERPOLATION_SOLID": "ElementInterpolationSolid",
    "*ELEMENT_LANCING": "ElementLancing",
    "*ELEMENT_MASS": "ElementMass",
    "*ELEMENT_MASS_MATRIX": "ElementMassMatrix",
    "*ELEMENT_MASS_MATRIX_NODE_SET": "ElementMassMatrixNodeSet",
    "*ELEMENT_MASS_NODE_SET": "ElementMassNodeSet",
    "*ELEMENT_MASS_PART": "ElementMassPart",
    "*ELEMENT_MASS_PART_SET": "ElementMassPartSet",
    "*ELEMENT_NURBS_PATCH_2D_TRIMMED": "ElementNurbsPatch2DTrimmed",
    "*ELEMENT_PLOTEL": "ElementPlotel",
    "*ELEMENT_SEATBELT": "ElementSeatbelt",
    "*ELEMENT_SEATBELT_ACCELEROMETER": "ElementSeatbeltAccelerometer",
    "*ELEMENT_SEATBELT_PRETENSIONER": "ElementSeatbeltPretensioner",
    "*ELEMENT_SEATBELT_RETRACTOR": "ElementSeatbeltRetractor",
    "*ELEMENT_SEATBELT_SENSOR": "ElementSeatbeltSensor",
    "*ELEMENT_SEATBELT_SLIPRING": "ElementSeatbeltSlipring",
    "*ELEMENT_SHELL": "ElementShell",
    "*ELEMENT_SHELL_BETA": "ElementShellBeta",
    "*ELEMENT_SHELL_BETA_COMPOSITE": "ElementShellBetaComposite",
    "*ELEMENT_SHELL_BETA_COMPOSITE_LONG": "ElementShellBetaCompositeLong",
    "*ELEMENT_SHELL_BETA_OFFSET": "ElementShellBetaOffset",
    "*ELEMENT_SHELL_BETA_OFFSET_COMPOSITE": "ElementShellBetaOffsetComposite",
    "*ELEMENT_SHELL_BETA_OFFSET_COMPOSITE_LONG": "ElementShellBetaOffsetCompositeLong",
    "*ELEMENT_SHELL_BEXT_PATCH": "ElementShellBextPatch",
    "*ELEMENT_SHELL_COMPOSITE": "ElementShellComposite",
    "*ELEMENT_SHELL_COMPOSITE_LONG": "ElementShellCompositeLong",
    "*ELEMENT_SHELL_DOF": "ElementShellDof",
    "*ELEMENT_SHELL_MCID": "ElementShellMcid",
    "*ELEMENT_SHELL_MCID_OFFSET": "ElementShellMcidOffset",
    "*ELEMENT_SHELL_NURBS_PATCH": "ElementShellNurbsPatch",
    "*ELEMENT_SHELL_NURBS_PATCH_TRIMMED": "ElementShellNurbsPatchTrimmed",
    "*ELEMENT_SHELL_NURBS_PATCH_V3": "ElementShellNurbsPatchV3",
    "*ELEMENT_SHELL_OFFSET": "ElementShellOffset",
    "*ELEMENT_SHELL_OFFSET_COMPOSITE": "ElementShellOffsetComposite",
    "*ELEMENT_SHELL_OFFSET_COMPOSITE_LONG": "ElementShellOffsetCompositeLong",
    "*ELEMENT_SHELL_SHL4_TO_SHL8": "ElementShellShl4ToShl8",
    "*ELEMENT_SHELL_SOURCE_SINK": "ElementShellSourceSink",
    "*ELEMENT_SHELL_THICKNESS": "ElementShellThickness",
    "*ELEMENT_SHELL_THICKNESS_BETA": "ElementShellThicknessBeta",
    "*ELEMENT_SHELL_THICKNESS_BETA_OFFSET": "ElementShellThicknessBetaOffset",
    "*ELEMENT_SHELL_THICKNESS_MCID": "ElementShellThicknessMcid",
    "*ELEMENT_SHELL_THICKNESS_MCID_OFFSET": "ElementShellThicknessMcidOffset",
    "*ELEMENT_SHELL_THICKNESS_OFFSET": "ElementShellThicknessOffset",
    "*ELEMENT_SOLID": "ElementSolid",
    "*ELEMENT_SOLID (ten nodes format)": "ElementSolidTenNodesFormat",
    "*ELEMENT_SOLID_DOF": "ElementSolidDof",
    "*ELEMENT_SOLID_DOF (ten nodes format)": "ElementSolidDofTenNodesFormat",
    "*ELEMENT_SOLID_H20": "ElementSolidH20",
    "*ELEMENT_SOLID_H20_DOF": "ElementSolidH20Dof",
    "*ELEMENT_SOLID_H27": "ElementSolidH27",
    "*ELEMENT_SOLID_H27_DOF": "ElementSolidH27Dof",
    "*ELEMENT_SOLID_H64": "ElementSolidH64",
    "*ELEMENT_SOLID_H8TOH20": "ElementSolidH8Toh20",
    "*ELEMENT_SOLID_H8TOH20_DOF": "ElementSolidH8Toh20Dof",
    "*ELEMENT_SOLID_H8TOH20_FORMAT2": "ElementSolidH8Toh20Format2",
    "*ELEMENT_SOLID_H8TOH20_ORTHO": "ElementSolidH8Toh20Ortho",
    "*ELEMENT_SOLID_H8TOH20_ORTHO_DOF": "ElementSolidH8Toh20OrthoDof",
    "*ELEMENT_SOLID_H8TOH20_ORTHO_FORMAT2": "ElementSolidH8Toh20OrthoFormat2",
    "*ELEMENT_SOLID_H8TOH27": "ElementSolidH8Toh27",
    "*ELEMENT_SOLID_H8TOH27_DOF": "ElementSolidH8Toh27Dof",
    "*ELEMENT_SOLID_H8TOH27_FORMAT2": "ElementSolidH8Toh27Format2",
    "*ELEMENT_SOLID_H8TOH27_ORTHO": "ElementSolidH8Toh27Ortho",
    "*ELEMENT_SOLID_H8TOH27_ORTHO_DOF": "ElementSolidH8Toh27OrthoDof",
    "*ELEMENT_SOLID_H8TOH27_ORTHO_FORMAT2": "ElementSolidH8Toh27OrthoFormat2",
    "*ELEMENT_SOLID_H8TOH64": "ElementSolidH8Toh64",
    "*ELEMENT_SOLID_H8TOH64_FORMAT2": "ElementSolidH8Toh64Format2",
    "*ELEMENT_SOLID_NURBS_PATCH": "ElementSolidNurbsPatch",
    "*ELEMENT_SOLID_ORTHO": "ElementSolidOrtho",
    "*ELEMENT_SOLID_ORTHO (ten nodes format)": "ElementSolidOrthoTenNodesFormat",
    "*ELEMENT_SOLID_ORTHO_DOF": "ElementSolidOrthoDof",
    "*ELEMENT_SOLID_ORTHO_DOF (ten nodes format)": "ElementSolidOrthoDofTenNodesFormat",
    "*ELEMENT_SOLID_P21": "ElementSolidP21",
    "*ELEMENT_SOLID_P40": "ElementSolidP40",
    "*ELEMENT_SOLID_P6TOP21": "ElementSolidP6Top21",
    "*ELEMENT_SOLID_P6TOP21_FORMAT2": "ElementSolidP6Top21Format2",
    "*ELEMENT_SOLID_PERI": "ElementSolidPeri",
    "*ELEMENT_SOLID_T15": "ElementSolidT15",
    "*ELEMENT_SOLID_T20": "ElementSolidT20",
    "*ELEMENT_SOLID_T4TOT10": "ElementSolidT4Tot10",
    "*ELEMENT_SOLID_T4TOT10_FORMAT2": "ElementSolidT4Tot10Format2",
    "*ELEMENT_SOLID_T4TOT15": "ElementSolidT4Tot15",
    "*ELEMENT_SOLID_T4TOT15_FORMAT2": "ElementSolidT4Tot15Format2",
    "*ELEMENT_SOLID_TET4TOTET10": "ElementSolidTet4Totet10",
    "*ELEMENT_SOLID_TET4TOTET10_DOF_FORMAT2": "ElementSolidTet4Totet10DofFormat2",
    "*ELEMENT_SOLID_TET4TOTET10_FORMAT2": "ElementSolidTet4Totet10Format2",
    "*ELEMENT_SOLID_TET4TOTET10_ORTHO": "ElementSolidTet4Totet10Ortho",
    "*ELEMENT_SOLID_TET4TOTET10_ORTHO_DOF": "ElementSolidTet4Totet10OrthoDof",
    "*ELEMENT_SPH": "ElementSph",
    "*ELEMENT_TRIM": "ElementTrim",
    "*ELEMENT_TSHELL": "ElementTshell",
    "*ELEMENT_TSHELL_BETA": "ElementTshellBeta",
    "*ELEMENT_TSHELL_BETA_COMPOSITE": "ElementTshellBetaComposite",
    "*ELEMENT_TSHELL_COMPOSITE": "ElementTshellComposite",
    "*ELEMENT_TSHELL_COMPOSITE_BETA": "ElementTshellCompositeBeta",
    "*EM_2DAXI": "Em2Daxi",
    "*EM_BATTERY_RANDLES": "EmBatteryRandles",
    "*EM_BOUNDARY": "EmBoundary",
    "*EM_BOUNDARY_PRESCRIBED": "EmBoundaryPrescribed",
    "*EM_CIRCUIT": "EmCircuit",
    "*EM_CIRCUIT_CONNECT": "EmCircuitConnect",
    "*EM_CIRCUIT_ROGO": "EmCircuitRogo",
    "*EM_CIRCUIT_SOURCE": "EmCircuitSource",
    "*EM_CONTACT": "EmContact",
    "*EM_CONTACT_RESISTANCE": "EmContactResistance",
    "*EM_CONTACT_SUBDOM": "EmContactSubdom",
    "*EM_CONTROL": "EmControl",
    "*EM_CONTROL_CONTACT": "EmControlContact",
    "*EM_CONTROL_COUPLING": "EmControlCoupling",
    "*EM_CONTROL_EP": "EmControlEp",
    "*EM_CONTROL_EROSION": "EmControlErosion",
    "*EM_CONTROL_MAGENT": "EmControlMagent",
    "*EM_CONTROL_SOLUTION": "EmControlSolution",
    "*EM_CONTROL_SWITCH": "EmControlSwitch",
    "*EM_CONTROL_SWITCH_CONTACT": "EmControlSwitchContact",
    "*EM_CONTROL_TIMESTEP": "EmControlTimestep",
    "*EM_DATABASE_CIRCUIT": "EmDatabaseCircuit",
    "*EM_DATABASE_CIRCUIT0D": "EmDatabaseCircuit0D",
    "*EM_DATABASE_ELOUT": "EmDatabaseElout",
    "*EM_DATABASE_FIELDLINE": "EmDatabaseFieldline",
    "*EM_DATABASE_GLOBALENERGY": "EmDatabaseGlobalenergy",
    "*EM_DATABASE_NODOUT": "EmDatabaseNodout",
    "*EM_DATABASE_PARTDATA": "EmDatabasePartdata",
    "*EM_DATABASE_POINTOUT": "EmDatabasePointout",
    "*EM_DATABASE_ROGO": "EmDatabaseRogo",
    "*EM_DATABASE_TIMESTEP": "EmDatabaseTimestep",
    "*EM_EOS_BURGESS": "EmEosBurgess",
    "*EM_EOS_MEADON": "EmEosMeadon",
    "*EM_EOS_PERMEABILITY": "EmEosPermeability",
    "*EM_EOS_TABULATED1": "EmEosTabulated1",
    "*EM_EOS_TABULATED2": "EmEosTabulated2",
    "*EM_EP_CELLMODEL_DEFINEFUNCTION": "EmEpCellmodelDefinefunction",
    "*EM_EP_CELLMODEL_FENTONKARMA": "EmEpCellmodelFentonkarma",
    "*EM_EP_CELLMODEL_FITZHUGHNAGUMO": "EmEpCellmodelFitzhughnagumo",
    "*EM_EP_CELLMODEL_TENTUSSCHER": "EmEpCellmodelTentusscher",
    "*EM_EP_CELLMODEL_TOMEK": "EmEpCellmodelTomek",
    "*EM_EP_CELLMODEL_USERMAT": "EmEpCellmodelUsermat",
    "*EM_EP_CREATEFIBERORIENTATION": "EmEpCreatefiberorientation",
    "*EM_EP_EKG": "EmEpEkg",
    "*EM_EP_FIBERINITIAL": "EmEpFiberinitial",
    "*EM_EP_PURKINJE_NETWORK": "EmEpPurkinjeNetwork",
    "*EM_EXTERNAL_FIELD": "EmExternalField",
    "*EM_ISOPOTENTIAL": "EmIsopotential",
    "*EM_ISOPOTENTIAL_CONNECT": "EmIsopotentialConnect",
    "*EM_ISOPOTENTIAL_ROGO": "EmIsopotentialRogo",
    "*EM_MAT_001": "EmMat001",
    "*EM_MAT_002": "EmMat002",
    "*EM_MAT_003": "EmMat003",
    "*EM_MAT_004": "EmMat004",
    "*EM_MAT_005": "EmMat005",
    "*EM_MAT_006": "EmMat006",
    "*EM_OUTPUT": "EmOutput",
    "*EM_PERMANENT_MAGNET": "EmPermanentMagnet",
    "*EM_POINT_SET": "EmPointSet",
    "*EM_RANDLES_BATMAC": "EmRandlesBatmac",
    "*EM_RANDLES_EXOTHERMIC_REACTION": "EmRandlesExothermicReaction",
    "*EM_RANDLES_LAYERED": "EmRandlesLayered",
    "*EM_RANDLES_MESHLESS": "EmRandlesMeshless",
    "*EM_RANDLES_SHORT": "EmRandlesShort",
    "*EM_RANDLES_SOLID": "EmRandlesSolid",
    "*EM_RANDLES_TSHELL": "EmRandlesTshell",
    "*EM_ROTATION_AXIS": "EmRotationAxis",
    "*EM_SOLVER_BEM": "EmSolverBem",
    "*EM_SOLVER_BEMMAT": "EmSolverBemmat",
    "*EM_SOLVER_FEM": "EmSolverFem",
    "*EM_SOLVER_FEMBEM": "EmSolverFembem",
    "*EM_SOLVER_FEMBEM_MONOLITHIC": "EmSolverFembemMonolithic",
    "*EM_VOLTAGE_DROP": "EmVoltageDrop",
    "*EOS_001": "Eos001",
    "*EOS_002": "Eos002",
    "*EOS_002_AFTERBURN": "Eos002Afterburn",
    "*EOS_003": "Eos003",
    "*EOS_004": "Eos004",
    "*EOS_005": "Eos005",
    "*EOS_006": "Eos006",
    "*EOS_007": "Eos007",
    "*EOS_008": "Eos008",
    "*EOS_009": "Eos009",
    "*EOS_010": "Eos010",
    "*EOS_011": "Eos011",
    "*EOS_012": "Eos012",
    "*EOS_013": "Eos013",
    "*EOS_014": "Eos014",
    "*EOS_015": "Eos015",
    "*EOS_016": "Eos016",
    "*EOS_019": "Eos019",
    "*EOS_021": "Eos021",
    "*EOS_GASKET": "EosGasket",
    "*EOS_GRUNEISEN": "EosGruneisen",
    "*EOS_IDEAL_GAS": "EosIdealGas",
    "*EOS_IGNITION_AND_GROWTH_OF_REACTION_IN_HE": "EosIgnitionAndGrowthOfReactionInHe",
    "*EOS_JWL": "EosJwl",
    "*EOS_JWLB": "EosJwlb",
    "*EOS_JWL_AFTERBURN": "EosJwlAfterburn",
    "*EOS_LINEAR_POLYNOMIAL": "EosLinearPolynomial",
    "*EOS_LINEAR_POLYNOMIAL_WITH_ENERGY_LEAK": "EosLinearPolynomialWithEnergyLeak",
    "*EOS_MIE_GRUNEISEN": "EosMieGruneisen",
    "*EOS_MURNAGHAN": "EosMurnaghan",
    "*EOS_PHASE_CHANGE": "EosPhaseChange",
    "*EOS_PROPELLANT_DEFLAGRATION": "EosPropellantDeflagration",
    "*EOS_RATIO_OF_POLYNOMIALS": "EosRatioOfPolynomials",
    "*EOS_SACK_TUESDAY": "EosSackTuesday",
    "*EOS_TABULATED": "EosTabulated",
    "*EOS_TABULATED_COMPACTION": "EosTabulatedCompaction",
    "*EOS_TENSOR_PORE_COLLAPSE": "EosTensorPoreCollapse",
    "*EOS_USER_DEFINED": "EosUserDefined",
    "*EOS_USER_LIBRARY": "EosUserLibrary",
    "*FATIGUE_D3PLOT": "FatigueD3Plot",
    "*FATIGUE_ELOUT": "FatigueElout",
    "*FATIGUE_FAILURE": "FatigueFailure",
    "*FATIGUE": "Fatigue",
    "*FATIGUE_LOADSTEP": "FatigueLoadstep",
    "*FATIGUE_MEAN_STRESS_CORRECTION": "FatigueMeanStressCorrection",
    "*FATIGUE_MULTIAXIAL": "FatigueMultiaxial",
    "*FREQUENCY_DOMAIN_ACCELERATION_UNIT": "FrequencyDomainAccelerationUnit",
    "*FREQUENCY_DOMAIN_ACOUSTIC_BEM": "FrequencyDomainAcousticBem",
    "*FREQUENCY_DOMAIN_ACOUSTIC_BEM_ATV": "FrequencyDomainAcousticBemAtv",
    "*FREQUENCY_DOMAIN_ACOUSTIC_BEM_HALF_SPACE": "FrequencyDomainAcousticBemHalfSpace",
    "*FREQUENCY_DOMAIN_ACOUSTIC_BEM_MATV": "FrequencyDomainAcousticBemMatv",
    "*FREQUENCY_DOMAIN_ACOUSTIC_BEM_PANEL_CONTRIBUTION": "FrequencyDomainAcousticBemPanelContribution",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FEM": "FrequencyDomainAcousticFem",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FEM_EIGENVALUE": "FrequencyDomainAcousticFemEigenvalue",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FRINGE_PLOT_NODE_SET": "FrequencyDomainAcousticFringePlotNodeSet",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FRINGE_PLOT_PART": "FrequencyDomainAcousticFringePlotPart",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FRINGE_PLOT_PART_SET": "FrequencyDomainAcousticFringePlotPartSet",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FRINGE_PLOT_PLATE": "FrequencyDomainAcousticFringePlotPlate",
    "*FREQUENCY_DOMAIN_ACOUSTIC_FRINGE_PLOT_SPHERE": "FrequencyDomainAcousticFringePlotSphere",
    "*FREQUENCY_DOMAIN_ACOUSTIC_INCIDENT_WAVE": "FrequencyDomainAcousticIncidentWave",
    "*FREQUENCY_DOMAIN_ACOUSTIC_SOUND_SPEED": "FrequencyDomainAcousticSoundSpeed",
    "*FREQUENCY_DOMAIN_FRF": "FrequencyDomainFrf",
    "*FREQUENCY_DOMAIN_LOCAL_NODE_SET": "FrequencyDomainLocalNodeSet",
    "*FREQUENCY_DOMAIN_LOCAL_NODE_SET_EXCLUDE": "FrequencyDomainLocalNodeSetExclude",
    "*FREQUENCY_DOMAIN_LOCAL_PART": "FrequencyDomainLocalPart",
    "*FREQUENCY_DOMAIN_LOCAL_PART_EXCLUDE": "FrequencyDomainLocalPartExclude",
    "*FREQUENCY_DOMAIN_LOCAL_PART_SET": "FrequencyDomainLocalPartSet",
    "*FREQUENCY_DOMAIN_LOCAL_PART_SET_EXCLUDE": "FrequencyDomainLocalPartSetExclude",
    "*FREQUENCY_DOMAIN_MODE_GENERATE": "FrequencyDomainModeGenerate",
    "*FREQUENCY_DOMAIN_MODE_GENERATE_EXCLUDE": "FrequencyDomainModeGenerateExclude",
    "*FREQUENCY_DOMAIN_MODE_LIST": "FrequencyDomainModeList",
    "*FREQUENCY_DOMAIN_MODE_LIST_EXCLUDE": "FrequencyDomainModeListExclude",
    "*FREQUENCY_DOMAIN_MODE_LOAD_PROJECTION": "FrequencyDomainModeLoadProjection",
    "*FREQUENCY_DOMAIN_MODE_LOAD_PROJECTION_EXCLUDE": "FrequencyDomainModeLoadProjectionExclude",
    "*FREQUENCY_DOMAIN_MODE_MODAL_COEFFICIENT": "FrequencyDomainModeModalCoefficient",
    "*FREQUENCY_DOMAIN_MODE_MODAL_COEFFICIENT_EXCLUDE": "FrequencyDomainModeModalCoefficientExclude",
    "*FREQUENCY_DOMAIN_MODE_SET": "FrequencyDomainModeSet",
    "*FREQUENCY_DOMAIN_MODE_SET_EXCLUDE": "FrequencyDomainModeSetExclude",
    "*FREQUENCY_DOMAIN_PATH": "FrequencyDomainPath",
    "*FREQUENCY_DOMAIN_PATH_NOJOBID": "FrequencyDomainPathNojobid",
    "*FREQUENCY_DOMAIN_PATH_PARTITION": "FrequencyDomainPathPartition",
    "*FREQUENCY_DOMAIN_RANDOM_VIBRATION": "FrequencyDomainRandomVibration",
    "*FREQUENCY_DOMAIN_RANDOM_VIBRATION_FATIGUE": "FrequencyDomainRandomVibrationFatigue",
    "*FREQUENCY_DOMAIN_RESPONSE_SPECTRUM": "FrequencyDomainResponseSpectrum",
    "*FREQUENCY_DOMAIN_RESPONSE_SPECTRUM_DDAM": "FrequencyDomainResponseSpectrumDdam",
    "*FREQUENCY_DOMAIN_SEA_CONNECTION": "FrequencyDomainSeaConnection",
    "*FREQUENCY_DOMAIN_SEA_INPUT": "FrequencyDomainSeaInput",
    "*FREQUENCY_DOMAIN_SEA_SUBSYSTEM": "FrequencyDomainSeaSubsystem",
    "*FREQUENCY_DOMAIN_SSD": "FrequencyDomainSsd",
    "*FREQUENCY_DOMAIN_SSD_DIRECT": "FrequencyDomainSsdDirect",
    "*FREQUENCY_DOMAIN_SSD_DIRECT_FREQUENCY_DEPENDENT": "FrequencyDomainSsdDirectFrequencyDependent",
    "*FREQUENCY_DOMAIN_SSD_ERP": "FrequencyDomainSsdErp",
    "*FREQUENCY_DOMAIN_SSD_FATIGUE": "FrequencyDomainSsdFatigue",
    "*FREQUENCY_DOMAIN_SSD_FRF": "FrequencyDomainSsdFrf",
    "*FREQUENCY_DOMAIN_SSD_SUBCASE": "FrequencyDomainSsdSubcase",
    "*HOURGLASS": "Hourglass",
    "*ICFD_BOUNDARY_CONJ_HEAT": "IcfdBoundaryConjHeat",
    "*ICFD_BOUNDARY_CONVECTION_TEMP": "IcfdBoundaryConvectionTemp",
    "*ICFD_BOUNDARY_FLUX_TEMP": "IcfdBoundaryFluxTemp",
    "*ICFD_BOUNDARY_FREESLIP": "IcfdBoundaryFreeslip",
    "*ICFD_BOUNDARY_FSI": "IcfdBoundaryFsi",
    "*ICFD_BOUNDARY_FSI_EXCLUDE": "IcfdBoundaryFsiExclude",
    "*ICFD_BOUNDARY_FSI_FIXED": "IcfdBoundaryFsiFixed",
    "*ICFD_BOUNDARY_FSWAVE": "IcfdBoundaryFswave",
    "*ICFD_BOUNDARY_GROUND": "IcfdBoundaryGround",
    "*ICFD_BOUNDARY_NAVIERSLIP": "IcfdBoundaryNavierslip",
    "*ICFD_BOUNDARY_NONSLIP": "IcfdBoundaryNonslip",
    "*ICFD_BOUNDARY_PERIODIC": "IcfdBoundaryPeriodic",
    "*ICFD_BOUNDARY_PRESCRIBED_LEVELSET": "IcfdBoundaryPrescribedLevelset",
    "*ICFD_BOUNDARY_PRESCRIBED_MOVEMESH": "IcfdBoundaryPrescribedMovemesh",
    "*ICFD_BOUNDARY_PRESCRIBED_PRE": "IcfdBoundaryPrescribedPre",
    "*ICFD_BOUNDARY_PRESCRIBED_TEMP": "IcfdBoundaryPrescribedTemp",
    "*ICFD_BOUNDARY_PRESCRIBED_TURBULENCE": "IcfdBoundaryPrescribedTurbulence",
    "*ICFD_BOUNDARY_PRESCRIBED_VEL": "IcfdBoundaryPrescribedVel",
    "*ICFD_BOUNDARY_WINDKESSEL": "IcfdBoundaryWindkessel",
    "*ICFD_CONTROL_ADAPT": "IcfdControlAdapt",
    "*ICFD_CONTROL_ADAPT_SIZE": "IcfdControlAdaptSize",
    "*ICFD_CONTROL_CONJ": "IcfdControlConj",
    "*ICFD_CONTROL_DEM_COUPLING": "IcfdControlDemCoupling",
    "*ICFD_CONTROL_EMBEDSHELL": "IcfdControlEmbedshell",
    "*ICFD_CONTROL_FSI": "IcfdControlFsi",
    "*ICFD_CONTROL_GENERAL": "IcfdControlGeneral",
    "*ICFD_CONTROL_IMPOSED_MOVE": "IcfdControlImposedMove",
    "*ICFD_CONTROL_LOAD": "IcfdControlLoad",
    "*ICFD_CONTROL_MESH": "IcfdControlMesh",
    "*ICFD_CONTROL_MESH_MOV": "IcfdControlMeshMov",
    "*ICFD_CONTROL_MONOLITHIC": "IcfdControlMonolithic",
    "*ICFD_CONTROL_OUTPUT": "IcfdControlOutput",
    "*ICFD_CONTROL_OUTPUT_SUBDOM": "IcfdControlOutputSubdom",
    "*ICFD_CONTROL_OUTPUT_VAR": "IcfdControlOutputVar",
    "*ICFD_CONTROL_PARTITION": "IcfdControlPartition",
    "*ICFD_CONTROL_POROUS": "IcfdControlPorous",
    "*ICFD_CONTROL_STEADY": "IcfdControlSteady",
    "*ICFD_CONTROL_SURFMESH": "IcfdControlSurfmesh",
    "*ICFD_CONTROL_TAVERAGE": "IcfdControlTaverage",
    "*ICFD_CONTROL_TIME": "IcfdControlTime",
    "*ICFD_CONTROL_TRANSIENT": "IcfdControlTransient",
    "*ICFD_CONTROL_TURBULENCE": "IcfdControlTurbulence",
    "*ICFD_CONTROL_TURB_SYNTHESIS": "IcfdControlTurbSynthesis",
    "*ICFD_DATABASE_AVERAGE": "IcfdDatabaseAverage",
    "*ICFD_DATABASE_DRAG": "IcfdDatabaseDrag",
    "*ICFD_DATABASE_DRAG_VOL": "IcfdDatabaseDragVol",
    "*ICFD_DATABASE_FLUX": "IcfdDatabaseFlux",
    "*ICFD_DATABASE_HTC": "IcfdDatabaseHtc",
    "*ICFD_DATABASE_NODEAVG": "IcfdDatabaseNodeavg",
    "*ICFD_DATABASE_NODOUT": "IcfdDatabaseNodout",
    "*ICFD_DATABASE_NTEMPOUT": "IcfdDatabaseNtempout",
    "*ICFD_DATABASE_POINTAVG": "IcfdDatabasePointavg",
    "*ICFD_DATABASE_POINTOUT": "IcfdDatabasePointout",
    "*ICFD_DATABASE_RESIDUALS": "IcfdDatabaseResiduals",
    "*ICFD_DATABASE_SSOUT": "IcfdDatabaseSsout",
    "*ICFD_DATABASE_SSOUT_EXCLUDE": "IcfdDatabaseSsoutExclude",
    "*ICFD_DATABASE_TEMP": "IcfdDatabaseTemp",
    "*ICFD_DATABASE_TIMESTEP": "IcfdDatabaseTimestep",
    "*ICFD_DATABASE_UINDEX": "IcfdDatabaseUindex",
    "*ICFD_DEFINE_HEATSOURCE": "IcfdDefineHeatsource",
    "*ICFD_DEFINE_NONINERTIAL": "IcfdDefineNoninertial",
    "*ICFD_DEFINE_POINT": "IcfdDefinePoint",
    "*ICFD_DEFINE_SOURCE": "IcfdDefineSource",
    "*ICFD_DEFINE_TURBSOURCE": "IcfdDefineTurbsource",
    "*ICFD_DEFINE_WAVE_DAMPING": "IcfdDefineWaveDamping",
    "*ICFD_INITIAL": "IcfdInitial",
    "*ICFD_INITIAL_LEVELSET": "IcfdInitialLevelset",
    "*ICFD_INITIAL_TEMPNODE": "IcfdInitialTempnode",
    "*ICFD_INITIAL_TURBULENCE": "IcfdInitialTurbulence",
    "*ICFD_MAT": "IcfdMat",
    "*ICFD_MODEL_NONNEWT": "IcfdModelNonnewt",
    "*ICFD_MODEL_POROUS": "IcfdModelPorous",
    "*ICFD_PART": "IcfdPart",
    "*ICFD_PART_VOL": "IcfdPartVol",
    "*ICFD_SECTION": "IcfdSection",
    "*ICFD_SET_NODE_LIST": "IcfdSetNodeList",
    "*ICFD_SOLVER_SPLIT": "IcfdSolverSplit",
    "*ICFD_SOLVER_TOL_FSI": "IcfdSolverTolFsi",
    "*ICFD_SOLVER_TOL_LSET": "IcfdSolverTolLset",
    "*ICFD_SOLVER_TOL_MMOV": "IcfdSolverTolMmov",
    "*ICFD_SOLVER_TOL_MOM": "IcfdSolverTolMom",
    "*ICFD_SOLVER_TOL_MONOLITHIC": "IcfdSolverTolMonolithic",
    "*ICFD_SOLVER_TOL_PRE": "IcfdSolverTolPre",
    "*ICFD_SOLVER_TOL_TEMP": "IcfdSolverTolTemp",
    "*IGA_1D_BREP": "Iga1DBrep",
    "*IGA_1D_NURBS_UVW": "Iga1DNurbsUvw",
    "*IGA_1D_NURBS_XYZ": "Iga1DNurbsXyz",
    "*IGA_2D_BREP": "Iga2DBrep",
    "*IGA_2D_NURBS_UVW": "Iga2DNurbsUvw",
    "*IGA_2D_NURBS_XYZ": "Iga2DNurbsXyz",
    "*IGA_3D_NURBS_XYZ": "Iga3DNurbsXyz",
    "*IGA_EDGE_UVW": "IgaEdgeUvw",
    "*IGA_EDGE_XYZ": "IgaEdgeXyz",
    "*IGA_FACE_UVW": "IgaFaceUvw",
    "*IGA_FACE_XYZ": "IgaFaceXyz",
    "*IGA_INCLUDE_BEZIER": "IgaIncludeBezier",
    "*IGA_POINT_UVW": "IgaPointUvw",
    "*IGA_SHELL": "IgaShell",
    "*IGA_SOLID": "IgaSolid",
    "*IGA_TIED_EDGE_TO_EDGE": "IgaTiedEdgeToEdge",
    "*IGA_VOLUME_XYZ": "IgaVolumeXyz",
    "*INCLUDE_AUTO_OFFSET": "IncludeAutoOffset",
    "*INCLUDE_AUTO_OFFSET_USER": "IncludeAutoOffsetUser",
    "*INCLUDE_BINARY": "IncludeBinary",
    "*INCLUDE_COMPENSATION_BEFORE_SPRINGBACK": "IncludeCompensationBeforeSpringback",
    "*INCLUDE_COMPENSATION_BLANK_AFTER_SPRINGBACK": "IncludeCompensationBlankAfterSpringback",
    "*INCLUDE_COMPENSATION_BLANK_BEFORE_SPRINGBACK": "IncludeCompensationBlankBeforeSpringback",
    "*INCLUDE_COMPENSATION_COMPENSATED_SHAPE": "IncludeCompensationCompensatedShape",
    "*INCLUDE_COMPENSATION_COMPENSATED_SHAP_ENEXT_STEP": "IncludeCompensationCompensatedShapEnextStep",
    "*INCLUDE_COMPENSATION_CURRENT_TOOLS": "IncludeCompensationCurrentTools",
    "*INCLUDE_COMPENSATION_CURVE": "IncludeCompensationCurve",
    "*INCLUDE_COMPENSATION_DESIRED_BLANK_SHAPE": "IncludeCompensationDesiredBlankShape",
    "*INCLUDE_COMPENSATION_NEW_RIGID_TOOL": "IncludeCompensationNewRigidTool",
    "*INCLUDE_COMPENSATION_ORIGINAL_DYNAIN": "IncludeCompensationOriginalDynain",
    "*INCLUDE_COMPENSATION_ORIGINAL_RIGID_TOOL": "IncludeCompensationOriginalRigidTool",
    "*INCLUDE_COMPENSATION_ORIGINAL_TOOL": "IncludeCompensationOriginalTool",
    "*INCLUDE_COMPENSATION_SPRINGBACK_INPUTE": "IncludeCompensationSpringbackInpute",
    "*INCLUDE_COMPENSATION_SYMMETRIC_LINES": "IncludeCompensationSymmetricLines",
    "*INCLUDE_COMPENSATION_TANGENT_CONSTRAINT": "IncludeCompensationTangentConstraint",
    "*INCLUDE_COMPENSATION_TRIM_CURVE": "IncludeCompensationTrimCurve",
    "*INCLUDE_COMPENSATION_TRIM_NODE": "IncludeCompensationTrimNode",
    "*INCLUDE_COMPENSATION_UPDATED_BLANK_SHAPE": "IncludeCompensationUpdatedBlankShape",
    "*INCLUDE_COMPENSATION_UPDATED_RIGID_TOOL": "IncludeCompensationUpdatedRigidTool",
    "*INCLUDE_COSIM": "IncludeCosim",
    "*INCLUDE": "Include",
    "*INCLUDE_MULTISCALE": "IncludeMultiscale",
    "*INCLUDE_MULTISCALE_SPOTWELD": "IncludeMultiscaleSpotweld",
    "*INCLUDE_NASTRAN": "IncludeNastran",
    "*INCLUDE_PATH": "IncludePath",
    "*INCLUDE_PATH_RELATIVE": "IncludePathRelative",
    "*INCLUDE_STAMPED_PART": "IncludeStampedPart",
    "*INCLUDE_STAMPED_PART_MATRIX": "IncludeStampedPartMatrix",
    "*INCLUDE_STAMPED_PART_MATRIX_INVERSE": "IncludeStampedPartMatrixInverse",
    "*INCLUDE_STAMPED_PART_SET": "IncludeStampedPartSet",
    "*INCLUDE_STAMPED_PART_SOLID_TO_SOLID": "IncludeStampedPartSolidToSolid",
    "*INCLUDE_STAMPED_SET": "IncludeStampedSet",
    "*INCLUDE_STAMPED_SET_MATRIX": "IncludeStampedSetMatrix",
    "*INCLUDE_STAMPED_SET_MATRIX_INVERSE": "IncludeStampedSetMatrixInverse",
    "*INCLUDE_TRANSFORM": "IncludeTransform",
    "*INCLUDE_TRANSFORM_BINARY": "IncludeTransformBinary",
    "*INCLUDE_TRIM": "IncludeTrim",
    "*INCLUDE_UNITCELL": "IncludeUnitcell",
    "*INCLUDE_WD_FINIAL_PART": "IncludeWdFinialPart",
    "*INCLUDE_WD_INITIAL_BLANK": "IncludeWdInitialBlank",
    "*INCLUDE_WD_WELDLINE_CURVE": "IncludeWdWeldlineCurve",
    "*INITIAL_AIRBAG_PARTICLE_POSITION": "InitialAirbagParticlePosition",
    "*INITIAL_ALE_MAPPING": "InitialAleMapping",
    "*INITIAL_AXIAL_FORCE_BEAM": "InitialAxialForceBeam",
    "*INITIAL_CONTACT_WEAR": "InitialContactWear",
    "*INITIAL_CRASHFRONT": "InitialCrashfront",
    "*INITIAL_DETONATION": "InitialDetonation",
    "*INITIAL_DETONATION_GEOMETRY": "InitialDetonationGeometry",
    "*INITIAL_FATIGUE_DAMAGE_RATIO": "InitialFatigueDamageRatio",
    "*INITIAL_FATIGUE_DAMAGE_RATIO_D3FTG": "InitialFatigueDamageRatioD3Ftg",
    "*INITIAL_FATIGUE_DAMAGE_RATIO_D3PLOT": "InitialFatigueDamageRatioD3Plot",
    "*INITIAL_FIELD_SOLID": "InitialFieldSolid",
    "*INITIAL_FOAM_REFERENCE_GEOMETRY": "InitialFoamReferenceGeometry",
    "*INITIAL_FOAM_REFERENCE_GEOMETRY_RAMP": "InitialFoamReferenceGeometryRamp",
    "*INITIAL_GAS_MIXTURE": "InitialGasMixture",
    "*INITIAL_HISTORY_NODE": "InitialHistoryNode",
    "*INITIAL_HISTORY_NODE_SET": "InitialHistoryNodeSet",
    "*INITIAL_HYDROSTATIC_ALE": "InitialHydrostaticAle",
    "*INITIAL_II_EOS_ALE": "InitialIiEosAle",
    "*INITIAL_IMPULSE_MINE": "InitialImpulseMine",
    "*INITIAL_INTERNAL_DOF_SOLID_TYPE3": "InitialInternalDofSolidType3",
    "*INITIAL_INTERNAL_DOF_SOLID_TYPE4": "InitialInternalDofSolidType4",
    "*INITIAL_LAG_MAPPING": "InitialLagMapping",
    "*INITIAL_LAG_MAPPING_WRITE": "InitialLagMappingWrite",
    "*INITIAL_LAG_MAPPING_WRITE3DAXI": "InitialLagMappingWrite3Daxi",
    "*INITIAL_MOMENTUM": "InitialMomentum",
    "*INITIAL_PWP_DEPTH": "InitialPwpDepth",
    "*INITIAL_PWP_DEPTH_SET": "InitialPwpDepthSet",
    "*INITIAL_PWP_NODAL_DATA": "InitialPwpNodalData",
    "*INITIAL_SOLID_VOLUME": "InitialSolidVolume",
    "*INITIAL_STRAIN_SHELL": "InitialStrainShell",
    "*INITIAL_STRAIN_SHELL_IGA": "InitialStrainShellIga",
    "*INITIAL_STRAIN_SHELL_NURBS_PATCH": "InitialStrainShellNurbsPatch",
    "*INITIAL_STRAIN_SHELL_SET": "InitialStrainShellSet",
    "*INITIAL_STRAIN_SOLID": "InitialStrainSolid",
    "*INITIAL_STRAIN_SOLID_SET": "InitialStrainSolidSet",
    "*INITIAL_STRAIN_TSHELL": "InitialStrainTshell",
    "*INITIAL_STRESS_BEAM": "InitialStressBeam",
    "*INITIAL_STRESS_DEPTH": "InitialStressDepth",
    "*INITIAL_STRESS_DEPTH_SET": "InitialStressDepthSet",
    "*INITIAL_STRESS_DES": "InitialStressDes",
    "*INITIAL_STRESS_IGA_SHELL": "InitialStressIgaShell",
    "*INITIAL_STRESS_SECTION": "InitialStressSection",
    "*INITIAL_STRESS_SHELL": "InitialStressShell",
    "*INITIAL_STRESS_SHELL_NURBS_PATCH": "InitialStressShellNurbsPatch",
    "*INITIAL_STRESS_SHELL_SET": "InitialStressShellSet",
    "*INITIAL_STRESS_SOLID": "InitialStressSolid",
    "*INITIAL_STRESS_SOLID_NURBS_PATCH": "InitialStressSolidNurbsPatch",
    "*INITIAL_STRESS_SOLID_SET": "InitialStressSolidSet",
    "*INITIAL_STRESS_SPH": "InitialStressSph",
    "*INITIAL_STRESS_TSHELL": "InitialStressTshell",
    "*INITIAL_STRESS_TSHELL_SET": "InitialStressTshellSet",
    "*INITIAL_TEMPERATURE_NODE": "InitialTemperatureNode",
    "*INITIAL_TEMPERATURE_SET": "InitialTemperatureSet",
    "*INITIAL_VAPOR_PART": "InitialVaporPart",
    "*INITIAL_VEHICLE_KINEMATICS": "InitialVehicleKinematics",
    "*INITIAL_VELOCITY": "InitialVelocity",
    "*INITIAL_VELOCITY_GENERATION": "InitialVelocityGeneration",
    "*INITIAL_VELOCITY_GENERATION_START_TIME": "InitialVelocityGenerationStartTime",
    "*INITIAL_VELOCITY_NODE": "InitialVelocityNode",
    "*INITIAL_VELOCITY_RIGID_BODY": "InitialVelocityRigidBody",
    "*INITIAL_VOID_PART": "InitialVoidPart",
    "*INITIAL_VOID_SET": "InitialVoidSet",
    "*INITIAL_VOLUME_FRACTION": "InitialVolumeFraction",
    "*INITIAL_VOLUME_FRACTION_GEOMETRY": "InitialVolumeFractionGeometry",
    "*INITIAL_VOLUME_FRACTION_NALEGP": "InitialVolumeFractionNalegp",
    "*INTEGRATION_BEAM": "IntegrationBeam",
    "*INTEGRATION_SHELL": "IntegrationShell",
    "*INTERFACE_ACOUSTIC": "InterfaceAcoustic",
    "*INTERFACE_BLANKSIZE_DEVELOPMENT": "InterfaceBlanksizeDevelopment",
    "*INTERFACE_BLANKSIZE_INITIAL_ADAPTIVE": "InterfaceBlanksizeInitialAdaptive",
    "*INTERFACE_BLANKSIZE_INITIAL_TRIM": "InterfaceBlanksizeInitialTrim",
    "*INTERFACE_BLANKSIZE_SCALE_FACTOR": "InterfaceBlanksizeScaleFactor",
    "*INTERFACE_BLANKSIZE_SYMMETRIC_PLANE": "InterfaceBlanksizeSymmetricPlane",
    "*INTERFACE_COMPENSATION": "InterfaceCompensation",
    "*INTERFACE_COMPENSATION_3D": "InterfaceCompensation3D",
    "*INTERFACE_COMPENSATION_3D_ACCELERATOR": "InterfaceCompensation3DAccelerator",
    "*INTERFACE_COMPENSATION_3D_FLANGE": "InterfaceCompensation3DFlange",
    "*INTERFACE_COMPENSATION_3D_LOCAL_SMOOTH": "InterfaceCompensation3DLocalSmooth",
    "*INTERFACE_COMPENSATION_3D_MULTI_STEPS": "InterfaceCompensation3DMultiSteps",
    "*INTERFACE_COMPENSATION_3D_PART_CHANGE": "InterfaceCompensation3DPartChange",
    "*INTERFACE_COMPENSATION_3D_REFINE_RIGID": "InterfaceCompensation3DRefineRigid",
    "*INTERFACE_COMPENSATION_NEW": "InterfaceCompensationNew",
    "*INTERFACE_COMPENSATION_NEW_ACCELERATOR": "InterfaceCompensationNewAccelerator",
    "*INTERFACE_COMPENSATION_NEW_LOCAL_SMOOTH": "InterfaceCompensationNewLocalSmooth",
    "*INTERFACE_COMPENSATION_NEW_MULTI_STEPS": "InterfaceCompensationNewMultiSteps",
    "*INTERFACE_COMPENSATION_NEW_PART_CHANGE": "InterfaceCompensationNewPartChange",
    "*INTERFACE_COMPONENT_FILE": "InterfaceComponentFile",
    "*INTERFACE_COMPONENT_NODE": "InterfaceComponentNode",
    "*INTERFACE_COMPONENT_SEGMENT": "InterfaceComponentSegment",
    "*INTERFACE_COMPONENT_SPH": "InterfaceComponentSph",
    "*INTERFACE_DE_HBOND": "InterfaceDeHbond",
    "*INTERFACE_ENSIGHT": "InterfaceEnsight",
    "*INTERFACE_JOY": "InterfaceJoy",
    "*INTERFACE_LINKING_DISCRETE_NODE_NODE": "InterfaceLinkingDiscreteNodeNode",
    "*INTERFACE_LINKING_DISCRETE_NODE_SET": "InterfaceLinkingDiscreteNodeSet",
    "*INTERFACE_LINKING_EDGE": "InterfaceLinkingEdge",
    "*INTERFACE_LINKING_FILE": "InterfaceLinkingFile",
    "*INTERFACE_LINKING_FORCES": "InterfaceLinkingForces",
    "*INTERFACE_LINKING_NODE_LOCAL": "InterfaceLinkingNodeLocal",
    "*INTERFACE_LINKING_NODE_NODE": "InterfaceLinkingNodeNode",
    "*INTERFACE_LINKING_NODE_SET": "InterfaceLinkingNodeSet",
    "*INTERFACE_LINKING_NODE_SET_LOCAL": "InterfaceLinkingNodeSetLocal",
    "*INTERFACE_LINKING_SEGMENT": "InterfaceLinkingSegment",
    "*INTERFACE_SPG_1": "InterfaceSpg1",
    "*INTERFACE_SPG_2": "InterfaceSpg2",
    "*INTERFACE_SPRINGBACK": "InterfaceSpringback",
    "*INTERFACE_SPRINGBACK_DYNA3D": "InterfaceSpringbackDyna3D",
    "*INTERFACE_SPRINGBACK_DYNA3D_NOTHICKNESS": "InterfaceSpringbackDyna3DNothickness",
    "*INTERFACE_SPRINGBACK_DYNA3D_THICKNESS": "InterfaceSpringbackDyna3DThickness",
    "*INTERFACE_SPRINGBACK_EXCLUDE": "InterfaceSpringbackExclude",
    "*INTERFACE_SPRINGBACK_EXCLUDE_THICKNESS": "InterfaceSpringbackExcludeThickness",
    "*INTERFACE_SPRINGBACK_LSDYNA": "InterfaceSpringbackLsdyna",
    "*INTERFACE_SPRINGBACK_LSDYNA_NOTHICKNESS": "InterfaceSpringbackLsdynaNothickness",
    "*INTERFACE_SPRINGBACK_LSDYNA_THICKNESS": "InterfaceSpringbackLsdynaThickness",
    "*INTERFACE_SPRINGBACK_NASTRAN": "InterfaceSpringbackNastran",
    "*INTERFACE_SPRINGBACK_NASTRAN_NOTHICKNESS": "InterfaceSpringbackNastranNothickness",
    "*INTERFACE_SPRINGBACK_NASTRAN_THICKNESS": "InterfaceSpringbackNastranThickness",
    "*INTERFACE_SPRINGBACK_NIKE3D": "InterfaceSpringbackNike3D",
    "*INTERFACE_SPRINGBACK_NIKE3D_THICKNESS": "InterfaceSpringbackNike3DThickness",
    "*INTERFACE_SPRINGBACK_SEAMLESS": "InterfaceSpringbackSeamless",
    "*INTERFACE_SPRINGBACK_SEAMLESS_THICKNESS": "InterfaceSpringbackSeamlessThickness",
    "*INTERFACE_SSI": "InterfaceSsi",
    "*INTERFACE_SSI_AUX": "InterfaceSsiAux",
    "*INTERFACE_SSI_AUX_EMBEDDED": "InterfaceSsiAuxEmbedded",
    "*INTERFACE_SSI_AUX_EMBEDDED_CONSTRAINED_OFFSET": "InterfaceSsiAuxEmbeddedConstrainedOffset",
    "*INTERFACE_SSI_AUX_EMBEDDED_OFFSET": "InterfaceSsiAuxEmbeddedOffset",
    "*INTERFACE_SSI_AUX_NODE": "InterfaceSsiAuxNode",
    "*INTERFACE_SSI_CONSTRAINED_OFFSET": "InterfaceSsiConstrainedOffset",
    "*INTERFACE_SSI_OFFSET": "InterfaceSsiOffset",
    "*INTERFACE_SSI_STATIC": "InterfaceSsiStatic",
    "*INTERFACE_SSI_STATIC_CONSTRAINED_OFFSET": "InterfaceSsiStaticConstrainedOffset",
    "*INTERFACE_SSI_STATIC_OFFSET": "InterfaceSsiStaticOffset",
    "*INTERFACE_THICKNESS_CHANGE_COMPENSATION": "InterfaceThicknessChangeCompensation",
    "*INTERFACE_WELDLINE_DEVELOPMENT": "InterfaceWeldlineDevelopment",
    "*KEYWORD": "Keyword",
    "*KEYWORD_KEYWORD_ID": "KeywordKeywordId",
    "*KEYWORD_KEYWORD_JOBID": "KeywordKeywordJobid",
    "*LOAD_ACOUSTIC_SOURCE": "LoadAcousticSource",
    "*LOAD_ALE_CONVECTION": "LoadAleConvection",
    "*LOAD_BEAM_ELEMENT": "LoadBeamElement",
    "*LOAD_BEAM_SET": "LoadBeamSet",
    "*LOAD_BLAST": "LoadBlast",
    "*LOAD_BLAST_CLEARING": "LoadBlastClearing",
    "*LOAD_BLAST_ENHANCED": "LoadBlastEnhanced",
    "*LOAD_BLAST_SEGMENT": "LoadBlastSegment",
    "*LOAD_BLAST_SEGMENT_SET": "LoadBlastSegmentSet",
    "*LOAD_BODY_GENERALIZED": "LoadBodyGeneralized",
    "*LOAD_BODY_GENERALIZED_SET_NODE": "LoadBodyGeneralizedSetNode",
    "*LOAD_BODY_GENERALIZED_SET_PART": "LoadBodyGeneralizedSetPart",
    "*LOAD_BODY_PARTS": "LoadBodyParts",
    "*LOAD_BODY_POROUS": "LoadBodyPorous",
    "*LOAD_BODY_RX": "LoadBodyRx",
    "*LOAD_BODY_RY": "LoadBodyRy",
    "*LOAD_BODY_RZ": "LoadBodyRz",
    "*LOAD_BODY_VECTOR": "LoadBodyVector",
    "*LOAD_BODY_X": "LoadBodyX",
    "*LOAD_BODY_Y": "LoadBodyY",
    "*LOAD_BODY_Z": "LoadBodyZ",
    "*LOAD_BRODE": "LoadBrode",
    "*LOAD_DENSITY_DEPTH": "LoadDensityDepth",
    "*LOAD_ERODING_PART_SET": "LoadErodingPartSet",
    "*LOAD_EXPANSION_PRESSURE": "LoadExpansionPressure",
    "*LOAD_FACE_UVW": "LoadFaceUvw",
    "*LOAD_FACE_UVW_SET": "LoadFaceUvwSet",
    "*LOAD_FACE_XYZ": "LoadFaceXyz",
    "*LOAD_FACE_XYZ_SET": "LoadFaceXyzSet",
    "*LOAD_GRAVITY_PART": "LoadGravityPart",
    "*LOAD_GRAVITY_PART_SET": "LoadGravityPartSet",
    "*LOAD_HEAT_CONTROLLER": "LoadHeatController",
    "*LOAD_HEAT_EXOTHERMIC_REACTION": "LoadHeatExothermicReaction",
    "*LOAD_HEAT_GENERATION_SET": "LoadHeatGenerationSet",
    "*LOAD_HEAT_GENERATION_SET_SHELL": "LoadHeatGenerationSetShell",
    "*LOAD_HEAT_GENERATION_SET_SOLID": "LoadHeatGenerationSetSolid",
    "*LOAD_HEAT_GENERATION_SHELL": "LoadHeatGenerationShell",
    "*LOAD_HEAT_GENERATION_SOLID": "LoadHeatGenerationSolid",
    "*LOAD_MASK": "LoadMask",
    "*LOAD_MOTION_NODE": "LoadMotionNode",
    "*LOAD_MOVING_PRESSURE": "LoadMovingPressure",
    "*LOAD_NODE": "LoadNode",
    "*LOAD_NODE_POINT": "LoadNodePoint",
    "*LOAD_NODE_SET": "LoadNodeSet",
    "*LOAD_NODE_SET_ONCE": "LoadNodeSetOnce",
    "*LOAD_NURBS_SHELL": "LoadNurbsShell",
    "*LOAD_POINT_UVW": "LoadPointUvw",
    "*LOAD_POINT_UVW_SET": "LoadPointUvwSet",
    "*LOAD_PYRO_ACTUATOR": "LoadPyroActuator",
    "*LOAD_PZE": "LoadPze",
    "*LOAD_REMOVE_PART": "LoadRemovePart",
    "*LOAD_REMOVE_PART_SET": "LoadRemovePartSet",
    "*LOAD_RIGID_BODY": "LoadRigidBody",
    "*LOAD_SEGMENT": "LoadSegment",
    "*LOAD_SEGMENT_ID": "LoadSegmentId",
    "*LOAD_SEGMENT_CONTACT_MASK": "LoadSegmentContactMask",
    "*LOAD_SEGMENT_FILE": "LoadSegmentFile",
    "*LOAD_SEGMENT_FSILNK": "LoadSegmentFsilnk",
    "*LOAD_SEGMENT_NONUNIFORM": "LoadSegmentNonuniform",
    "*LOAD_SEGMENT_SET": "LoadSegmentSet",
    "*LOAD_SEGMENT_SET_ID": "LoadSegmentSetId",
    "*LOAD_SEGMENT_SET_ANGLE": "LoadSegmentSetAngle",
    "*LOAD_SEGMENT_SET_NONUNIFORM": "LoadSegmentSetNonuniform",
    "*LOAD_SEISMIC_SSI_AUX": "LoadSeismicSsiAux",
    "*LOAD_SEISMIC_SSI_AUX_ID": "LoadSeismicSsiAuxId",
    "*LOAD_SEISMIC_SSI_DECONV": "LoadSeismicSsiDeconv",
    "*LOAD_SEISMIC_SSI_DECONV_ID": "LoadSeismicSsiDeconvId",
    "*LOAD_SEISMIC_SSI_NODE": "LoadSeismicSsiNode",
    "*LOAD_SEISMIC_SSI_NODE_ID": "LoadSeismicSsiNodeId",
    "*LOAD_SEISMIC_SSI_POINT": "LoadSeismicSsiPoint",
    "*LOAD_SEISMIC_SSI_POINT_ID": "LoadSeismicSsiPointId",
    "*LOAD_SEISMIC_SSI_SET": "LoadSeismicSsiSet",
    "*LOAD_SEISMIC_SSI_SET_ID": "LoadSeismicSsiSetId",
    "*LOAD_SHELL_ELEMENT": "LoadShellElement",
    "*LOAD_SHELL_SET": "LoadShellSet",
    "*LOAD_SPCFORC": "LoadSpcforc",
    "*LOAD_SSA": "LoadSsa",
    "*LOAD_STEADY_STATE_ROLLING": "LoadSteadyStateRolling",
    "*LOAD_STIFFEN_PART": "LoadStiffenPart",
    "*LOAD_STIFFEN_PART_SET": "LoadStiffenPartSet",
    "*LOAD_SUPERPLASTIC_FORMING": "LoadSuperplasticForming",
    "*LOAD_SURFACE_STRESS": "LoadSurfaceStress",
    "*LOAD_SURFACE_STRESS_SET": "LoadSurfaceStressSet",
    "*LOAD_THERMAL_BINOUT": "LoadThermalBinout",
    "*LOAD_THERMAL_CONSTANT": "LoadThermalConstant",
    "*LOAD_THERMAL_CONSTANT_ELEMENT_BEAM": "LoadThermalConstantElementBeam",
    "*LOAD_THERMAL_CONSTANT_ELEMENT_SHELL": "LoadThermalConstantElementShell",
    "*LOAD_THERMAL_CONSTANT_ELEMENT_SOLID": "LoadThermalConstantElementSolid",
    "*LOAD_THERMAL_CONSTANT_ELEMENT_TSHELL": "LoadThermalConstantElementTshell",
    "*LOAD_THERMAL_CONSTANT_NODE": "LoadThermalConstantNode",
    "*LOAD_THERMAL_D3PLOT": "LoadThermalD3Plot",
    "*LOAD_THERMAL_LOAD_CURVE": "LoadThermalLoadCurve",
    "*LOAD_THERMAL_RSW": "LoadThermalRsw",
    "*LOAD_THERMAL_TOPAZ": "LoadThermalTopaz",
    "*LOAD_THERMAL_VARIABLE": "LoadThermalVariable",
    "*LOAD_THERMAL_VARIABLE_BEAM": "LoadThermalVariableBeam",
    "*LOAD_THERMAL_VARIABLE_BEAM_SET": "LoadThermalVariableBeamSet",
    "*LOAD_THERMAL_VARIABLE_ELEMENT_BEAM": "LoadThermalVariableElementBeam",
    "*LOAD_THERMAL_VARIABLE_ELEMENT_SHELL": "LoadThermalVariableElementShell",
    "*LOAD_THERMAL_VARIABLE_ELEMENT_SOLID": "LoadThermalVariableElementSolid",
    "*LOAD_THERMAL_VARIABLE_ELEMENT_TSHELL": "LoadThermalVariableElementTshell",
    "*LOAD_THERMAL_VARIABLE_NODE": "LoadThermalVariableNode",
    "*LOAD_THERMAL_VARIABLE_SHELL": "LoadThermalVariableShell",
    "*LOAD_THERMAL_VARIABLE_SHELL_SET": "LoadThermalVariableShellSet",
    "*LOAD_VIBRO_ACOUSTIC": "LoadVibroAcoustic",
    "*LOAD_VOLUME_LOSS": "LoadVolumeLoss",
    "*LSO_DOMAIN": "LsoDomain",
    "*LSO_ID_SET": "LsoIdSet",
    "*LSO_POINT_SET": "LsoPointSet",
    "*LSO_TIME_SEQUENCE": "LsoTimeSequence",
    "*LSO_VARIABLE_GROUP": "LsoVariableGroup",
    "*MAT_000": "Mat000",
    "*MAT_001": "Mat001",
    "*MAT_001_FLUID": "Mat001Fluid",
    "*MAT_002": "Mat002",
    "*MAT_002_ANIS": "Mat002Anis",
    "*MAT_002_SUNIL": "Mat002Sunil",
    "*MAT_003": "Mat003",
    "*MAT_004": "Mat004",
    "*MAT_005": "Mat005",
    "*MAT_006": "Mat006",
    "*MAT_007": "Mat007",
    "*MAT_008": "Mat008",
    "*MAT_010": "Mat010",
    "*MAT_010_SPALL": "Mat010Spall",
    "*MAT_011": "Mat011",
    "*MAT_011_LUND": "Mat011Lund",
    "*MAT_012": "Mat012",
    "*MAT_013": "Mat013",
    "*MAT_014": "Mat014",
    "*MAT_015": "Mat015",
    "*MAT_016": "Mat016",
    "*MAT_017": "Mat017",
    "*MAT_018": "Mat018",
    "*MAT_019": "Mat019",
    "*MAT_020": "Mat020",
    "*MAT_021": "Mat021",
    "*MAT_022": "Mat022",
    "*MAT_023": "Mat023",
    "*MAT_024": "Mat024",
    "*MAT_025": "Mat025",
    "*MAT_026": "Mat026",
    "*MAT_027": "Mat027",
    "*MAT_028": "Mat028",
    "*MAT_029": "Mat029",
    "*MAT_030": "Mat030",
    "*MAT_031": "Mat031",
    "*MAT_032": "Mat032",
    "*MAT_033": "Mat033",
    "*MAT_033_96": "Mat03396",
    "*MAT_034": "Mat034",
    "*MAT_034M": "Mat034M",
    "*MAT_035": "Mat035",
    "*MAT_036": "Mat036",
    "*MAT_036E": "Mat036E",
    "*MAT_037": "Mat037",
    "*MAT_038": "Mat038",
    "*MAT_039": "Mat039",
    "*MAT_040": "Mat040",
    "*MAT_041_050": "Mat041050",
    "*MAT_051": "Mat051",
    "*MAT_052": "Mat052",
    "*MAT_053": "Mat053",
    "*MAT_054/055": "Mat054055",
    "*MAT_057": "Mat057",
    "*MAT_058": "Mat058",
    "*MAT_058_SOLID": "Mat058Solid",
    "*MAT_059_SHELL": "Mat059Shell",
    "*MAT_059_SOLID": "Mat059Solid",
    "*MAT_059_SPH": "Mat059Sph",
    "*MAT_060": "Mat060",
    "*MAT_060C": "Mat060C",
    "*MAT_061": "Mat061",
    "*MAT_062": "Mat062",
    "*MAT_063": "Mat063",
    "*MAT_064": "Mat064",
    "*MAT_065": "Mat065",
    "*MAT_066": "Mat066",
    "*MAT_067": "Mat067",
    "*MAT_068": "Mat068",
    "*MAT_069": "Mat069",
    "*MAT_070": "Mat070",
    "*MAT_071": "Mat071",
    "*MAT_072": "Mat072",
    "*MAT_072R3": "Mat072R3",
    "*MAT_073": "Mat073",
    "*MAT_074": "Mat074",
    "*MAT_075": "Mat075",
    "*MAT_076": "Mat076",
    "*MAT_077_H": "Mat077H",
    "*MAT_077_O": "Mat077O",
    "*MAT_078": "Mat078",
    "*MAT_079": "Mat079",
    "*MAT_080": "Mat080",
    "*MAT_081": "Mat081",
    "*MAT_082": "Mat082",
    "*MAT_083": "Mat083",
    "*MAT_083_1": "Mat0831",
    "*MAT_083_2": "Mat0832",
    "*MAT_084": "Mat084",
    "*MAT_084/085": "Mat084085",
    "*MAT_086": "Mat086",
    "*MAT_087": "Mat087",
    "*MAT_088": "Mat088",
    "*MAT_089": "Mat089",
    "*MAT_090": "Mat090",
    "*MAT_090_COMPLEX": "Mat090Complex",
    "*MAT_090_DAMP": "Mat090Damp",
    "*MAT_090_POROUS_DB": "Mat090PorousDb",
    "*MAT_091": "Mat091",
    "*MAT_092": "Mat092",
    "*MAT_093": "Mat093",
    "*MAT_094": "Mat094",
    "*MAT_095": "Mat095",
    "*MAT_096": "Mat096",
    "*MAT_097": "Mat097",
    "*MAT_098": "Mat098",
    "*MAT_099": "Mat099",
    "*MAT_100": "Mat100",
    "*MAT_100_DA": "Mat100Da",
    "*MAT_100_DAMAGE": "Mat100Damage",
    "*MAT_101": "Mat101",
    "*MAT_102": "Mat102",
    "*MAT_102_T": "Mat102T",
    "*MAT_103": "Mat103",
    "*MAT_103_P": "Mat103P",
    "*MAT_104": "Mat104",
    "*MAT_105": "Mat105",
    "*MAT_106": "Mat106",
    "*MAT_107": "Mat107",
    "*MAT_108": "Mat108",
    "*MAT_110": "Mat110",
    "*MAT_111": "Mat111",
    "*MAT_112": "Mat112",
    "*MAT_113": "Mat113",
    "*MAT_114": "Mat114",
    "*MAT_115": "Mat115",
    "*MAT_115_o": "Mat115O",
    "*MAT_116": "Mat116",
    "*MAT_117": "Mat117",
    "*MAT_118": "Mat118",
    "*MAT_119": "Mat119",
    "*MAT_120": "Mat120",
    "*MAT_120_JC": "Mat120Jc",
    "*MAT_120_RCDC": "Mat120Rcdc",
    "*MAT_121": "Mat121",
    "*MAT_122": "Mat122",
    "*MAT_122_2D": "Mat1222D",
    "*MAT_123": "Mat123",
    "*MAT_124": "Mat124",
    "*MAT_125": "Mat125",
    "*MAT_126": "Mat126",
    "*MAT_127": "Mat127",
    "*MAT_128": "Mat128",
    "*MAT_129": "Mat129",
    "*MAT_130": "Mat130",
    "*MAT_131": "Mat131",
    "*MAT_132": "Mat132",
    "*MAT_133": "Mat133",
    "*MAT_134": "Mat134",
    "*MAT_135": "Mat135",
    "*MAT_136": "Mat136",
    "*MAT_136_2017": "Mat1362017",
    "*MAT_136_STD": "Mat136Std",
    "*MAT_138": "Mat138",
    "*MAT_139": "Mat139",
    "*MAT_140": "Mat140",
    "*MAT_141": "Mat141",
    "*MAT_142": "Mat142",
    "*MAT_143": "Mat143",
    "*MAT_143_FIR": "Mat143Fir",
    "*MAT_143_PINE": "Mat143Pine",
    "*MAT_144": "Mat144",
    "*MAT_145": "Mat145",
    "*MAT_146": "Mat146",
    "*MAT_147": "Mat147",
    "*MAT_147_N": "Mat147N",
    "*MAT_148": "Mat148",
    "*MAT_151": "Mat151",
    "*MAT_153": "Mat153",
    "*MAT_154": "Mat154",
    "*MAT_155": "Mat155",
    "*MAT_156": "Mat156",
    "*MAT_157": "Mat157",
    "*MAT_158": "Mat158",
    "*MAT_159": "Mat159",
    "*MAT_160": "Mat160",
    "*MAT_161": "Mat161",
    "*MAT_162": "Mat162",
    "*MAT_163": "Mat163",
    "*MAT_164": "Mat164",
    "*MAT_165": "Mat165",
    "*MAT_165B": "Mat165B",
    "*MAT_166": "Mat166",
    "*MAT_167": "Mat167",
    "*MAT_168": "Mat168",
    "*MAT_169": "Mat169",
    "*MAT_170": "Mat170",
    "*MAT_171": "Mat171",
    "*MAT_172": "Mat172",
    "*MAT_173": "Mat173",
    "*MAT_174": "Mat174",
    "*MAT_175": "Mat175",
    "*MAT_176": "Mat176",
    "*MAT_177": "Mat177",
    "*MAT_178": "Mat178",
    "*MAT_179": "Mat179",
    "*MAT_180": "Mat180",
    "*MAT_181": "Mat181",
    "*MAT_183": "Mat183",
    "*MAT_184": "Mat184",
    "*MAT_185": "Mat185",
    "*MAT_186": "Mat186",
    "*MAT_187": "Mat187",
    "*MAT_187L": "Mat187L",
    "*MAT_188": "Mat188",
    "*MAT_189": "Mat189",
    "*MAT_190": "Mat190",
    "*MAT_191": "Mat191",
    "*MAT_192": "Mat192",
    "*MAT_193": "Mat193",
    "*MAT_194": "Mat194",
    "*MAT_195": "Mat195",
    "*MAT_196": "Mat196",
    "*MAT_197": "Mat197",
    "*MAT_198": "Mat198",
    "*MAT_199": "Mat199",
    "*MAT_1DOF_GENERALIZED_SPRING": "Mat1DofGeneralizedSpring",
    "*MAT_202": "Mat202",
    "*MAT_203": "Mat203",
    "*MAT_205": "Mat205",
    "*MAT_208": "Mat208",
    "*MAT_209": "Mat209",
    "*MAT_211": "Mat211",
    "*MAT_213": "Mat213",
    "*MAT_214": "Mat214",
    "*MAT_215": "Mat215",
    "*MAT_216": "Mat216",
    "*MAT_217": "Mat217",
    "*MAT_217_ANIS": "Mat217Anis",
    "*MAT_218": "Mat218",
    "*MAT_219": "Mat219",
    "*MAT_220": "Mat220",
    "*MAT_221": "Mat221",
    "*MAT_224": "Mat224",
    "*MAT_224_GYS": "Mat224Gys",
    "*MAT_226": "Mat226",
    "*MAT_226_NLP": "Mat226Nlp",
    "*MAT_230": "Mat230",
    "*MAT_231": "Mat231",
    "*MAT_232": "Mat232",
    "*MAT_233": "Mat233",
    "*MAT_234": "Mat234",
    "*MAT_235": "Mat235",
    "*MAT_236": "Mat236",
    "*MAT_237": "Mat237",
    "*MAT_238": "Mat238",
    "*MAT_240": "Mat240",
    "*MAT_240_3MODES": "Mat2403Modes",
    "*MAT_240_FUNCTIONS": "Mat240Functions",
    "*MAT_240_FUNCTIONS_3MODES": "Mat240Functions3Modes",
    "*MAT_240_THERMAL": "Mat240Thermal",
    "*MAT_240_THERMAL_3MODES": "Mat240Thermal3Modes",
    "*MAT_241": "Mat241",
    "*MAT_242": "Mat242",
    "*MAT_243": "Mat243",
    "*MAT_244": "Mat244",
    "*MAT_245": "Mat245",
    "*MAT_246": "Mat246",
    "*MAT_248": "Mat248",
    "*MAT_249": "Mat249",
    "*MAT_249_CRASH": "Mat249Crash",
    "*MAT_249_UDfiber": "Mat249Udfiber",
    "*MAT_251": "Mat251",
    "*MAT_252": "Mat252",
    "*MAT_254": "Mat254",
    "*MAT_255": "Mat255",
    "*MAT_256": "Mat256",
    "*MAT_258": "Mat258",
    "*MAT_260A": "Mat260A",
    "*MAT_260B": "Mat260B",
    "*MAT_261": "Mat261",
    "*MAT_262": "Mat262",
    "*MAT_263": "Mat263",
    "*MAT_264": "Mat264",
    "*MAT_265": "Mat265",
    "*MAT_266": "Mat266",
    "*MAT_267": "Mat267",
    "*MAT_269": "Mat269",
    "*MAT_270": "Mat270",
    "*MAT_271": "Mat271",
    "*MAT_273": "Mat273",
    "*MAT_274": "Mat274",
    "*MAT_275": "Mat275",
    "*MAT_276": "Mat276",
    "*MAT_277": "Mat277",
    "*MAT_278": "Mat278",
    "*MAT_279": "Mat279",
    "*MAT_280": "Mat280",
    "*MAT_291": "Mat291",
    "*MAT_292": "Mat292",
    "*MAT_292A": "Mat292A",
    "*MAT_293": "Mat293",
    "*MAT_295": "Mat295",
    "*MAT_296": "Mat296",
    "*MAT_3-PARAMETER_BARLAT": "Mat3ParameterBarlat",
    "*MAT_3-PARAMETER_BARLAT_NLP": "Mat3ParameterBarlatNlp",
    "*MAT_305": "Mat305",
    "*MAT_318": "Mat318",
    "*MAT_319": "Mat319",
    "*MAT_326": "Mat326",
    "*MAT_3PARAMETER_BARLAT": "Mat3ParameterBarlat",
    "*MAT_4A_MICROMEC": "Mat4AMicromec",
    "*MAT_ACOUSTIC": "MatAcoustic",
    "*MAT_ACOUSTIC_COMPLEX": "MatAcousticComplex",
    "*MAT_ACOUSTIC_DAMP": "MatAcousticDamp",
    "*MAT_ACOUSTIC_POROUS_DB": "MatAcousticPorousDb",
    "*MAT_ADD_AIRBAG_POROSITY_LEAKAGE": "MatAddAirbagPorosityLeakage",
    "*MAT_ADD_CHEM_SHRINKAGE": "MatAddChemShrinkage",
    "*MAT_ADD_COHESIVE": "MatAddCohesive",
    "*MAT_ADD_DAMAGE_DIEM": "MatAddDamageDiem",
    "*MAT_ADD_DAMAGE_GISSMO": "MatAddDamageGissmo",
    "*MAT_ADD_DAMAGE_GISSMO_STOCHASTIC": "MatAddDamageGissmoStochastic",
    "*MAT_ADD_EROSION": "MatAddErosion",
    "*MAT_ADD_FATIGUE": "MatAddFatigue",
    "*MAT_ADD_FATIGUE_EN": "MatAddFatigueEn",
    "*MAT_ADD_GENERALIZED_DAMAGE": "MatAddGeneralizedDamage",
    "*MAT_ADD_INELASTICITY": "MatAddInelasticity",
    "*MAT_ADD_PERMEABILITY": "MatAddPermeability",
    "*MAT_ADD_PORE_AIR": "MatAddPoreAir",
    "*MAT_ADD_PROPERTY_DEPENDENCE": "MatAddPropertyDependence",
    "*MAT_ADD_PROPERTY_DEPENDENCE_FREQ": "MatAddPropertyDependenceFreq",
    "*MAT_ADD_PROPERTY_DEPENDENCE_TIME": "MatAddPropertyDependenceTime",
    "*MAT_ADD_PZELECTRIC": "MatAddPzelectric",
    "*MAT_ADD_SOC_EXPANSION": "MatAddSocExpansion",
    "*MAT_ADD_THERMAL_EXPANSION": "MatAddThermalExpansion",
    "*MAT_ADHESIVE_CURING_VISCOELASTIC": "MatAdhesiveCuringViscoelastic",
    "*MAT_ALE_01": "MatAle01",
    "*MAT_ALE_02": "MatAle02",
    "*MAT_ALE_03": "MatAle03",
    "*MAT_ALE_GAS_MIXTURE": "MatAleGasMixture",
    "*MAT_ALE_HERSCHEL": "MatAleHerschel",
    "*MAT_ALE_INCOMPRESSIBLE": "MatAleIncompressible",
    "*MAT_ALE_MIXING_LENGTH": "MatAleMixingLength",
    "*MAT_ALE_VACUUM": "MatAleVacuum",
    "*MAT_ALE_VISCOUS": "MatAleViscous",
    "*MAT_AMORPHOUS_SOLIDS_FINITE_STRAIN": "MatAmorphousSolidsFiniteStrain",
    "*MAT_ANAND_VISCOPLASTICITY": "MatAnandViscoplasticity",
    "*MAT_ANISOTROPIC_ELASTIC": "MatAnisotropicElastic",
    "*MAT_ANISOTROPIC_ELASTIC_PHASE_CHANGE": "MatAnisotropicElasticPhaseChange",
    "*MAT_ANISOTROPIC_ELASTIC_PLASTIC": "MatAnisotropicElasticPlastic",
    "*MAT_ANISOTROPIC_HYPERELASTIC": "MatAnisotropicHyperelastic",
    "*MAT_ANISOTROPIC_PLASTIC": "MatAnisotropicPlastic",
    "*MAT_ANISOTROPIC_THERMOELASTIC": "MatAnisotropicThermoelastic",
    "*MAT_ANISOTROPIC_VISCOPLASTIC": "MatAnisotropicViscoplastic",
    "*MAT_ARRUDA_BOYCE_RUBBER": "MatArrudaBoyceRubber",
    "*MAT_ARUP_ADHESIVE": "MatArupAdhesive",
    "*MAT_B01": "MatB01",
    "*MAT_BAMMAN": "MatBamman",
    "*MAT_BAMMAN_DAMAGE": "MatBammanDamage",
    "*MAT_BARLAT_ANISOTROPIC_PLASTICITY": "MatBarlatAnisotropicPlasticity",
    "*MAT_BARLAT_YLD2000": "MatBarlatYld2000",
    "*MAT_BARLAT_YLD2004": "MatBarlatYld2004",
    "*MAT_BARLAT_YLD96": "MatBarlatYld96",
    "*MAT_BERGSTROM_BOYCE_RUBBER": "MatBergstromBoyceRubber",
    "*MAT_BILKHU/DUBOIS_FOAM": "MatBilkhuDuboisFoam",
    "*MAT_BIOT_HYSTERETIC": "MatBiotHysteretic",
    "*MAT_BLATZ-KO_FOAM": "MatBlatzKoFoam",
    "*MAT_BLATZ-KO_RUBBER": "MatBlatzKoRubber",
    "*MAT_BOLT_BEAM": "MatBoltBeam",
    "*MAT_BRAIN_LINEAR_VISCOELASTIC": "MatBrainLinearViscoelastic",
    "*MAT_BRITTLE_DAMAGE": "MatBrittleDamage",
    "*MAT_CABLE_DISCRETE_BEAM": "MatCableDiscreteBeam",
    "*MAT_CAZACU_BARLAT": "MatCazacuBarlat",
    "*MAT_CAZACU_BARLAT_MAGNESIUM": "MatCazacuBarlatMagnesium",
    "*MAT_CDPM": "MatCdpm",
    "*MAT_CELLULAR_RUBBER": "MatCellularRubber",
    "*MAT_CF_MICROMECHANICS": "MatCfMicromechanics",
    "*MAT_CHRONOLOGICAL_VISCOELASTIC": "MatChronologicalViscoelastic",
    "*MAT_CLOSED_CELL_FOAM": "MatClosedCellFoam",
    "*MAT_CODAM2": "MatCodam2",
    "*MAT_COHESIVE_ELASTIC": "MatCohesiveElastic",
    "*MAT_COHESIVE_GASKET": "MatCohesiveGasket",
    "*MAT_COHESIVE_GENERAL": "MatCohesiveGeneral",
    "*MAT_COHESIVE_MIXED_MODE": "MatCohesiveMixedMode",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE": "MatCohesiveMixedModeElastoplasticRate",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE_3MODES": "MatCohesiveMixedModeElastoplasticRate3Modes",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE_FUNCTIONS": "MatCohesiveMixedModeElastoplasticRateFunctions",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE_FUNCTIONS_3MODES": "MatCohesiveMixedModeElastoplasticRateFunctions3Modes",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE_THERMAL": "MatCohesiveMixedModeElastoplasticRateThermal",
    "*MAT_COHESIVE_MIXED_MODE_ELASTOPLASTIC_RATE_THERMAL_3MODES": "MatCohesiveMixedModeElastoplasticRateThermal3Modes",
    "*MAT_COHESIVE_PAPER": "MatCohesivePaper",
    "*MAT_COHESIVE_TH": "MatCohesiveTh",
    "*MAT_COMPOSITE_DAMAGE": "MatCompositeDamage",
    "*MAT_COMPOSITE_DIRECT": "MatCompositeDirect",
    "*MAT_COMPOSITE_FAILURE_SHELL_MODEL": "MatCompositeFailureShellModel",
    "*MAT_COMPOSITE_FAILURE_SOLID_MODEL": "MatCompositeFailureSolidModel",
    "*MAT_COMPOSITE_FAILURE_SPH_MODEL": "MatCompositeFailureSphModel",
    "*MAT_COMPOSITE_FAILURE_SUNIL": "MatCompositeFailureSunil",
    "*MAT_COMPOSITE_LAYUP": "MatCompositeLayup",
    "*MAT_COMPOSITE_MATRIX": "MatCompositeMatrix",
    "*MAT_COMPOSITE_MSC": "MatCompositeMsc",
    "*MAT_COMPOSITE_MSC_DMG": "MatCompositeMscDmg",
    "*MAT_COMPOSITE_TABULATED_PLASTICITY_DAMAGE": "MatCompositeTabulatedPlasticityDamage",
    "*MAT_COMPRF": "MatComprf",
    "*MAT_CONCRETE_BEAM": "MatConcreteBeam",
    "*MAT_CONCRETE_DAMAGE": "MatConcreteDamage",
    "*MAT_CONCRETE_DAMAGE_PLASTIC_MODEL": "MatConcreteDamagePlasticModel",
    "*MAT_CONCRETE_DAMAGE_REL3": "MatConcreteDamageRel3",
    "*MAT_CONCRETE_EC2": "MatConcreteEc2",
    "*MAT_CONSTRAINED_SPR2": "MatConstrainedSpr2",
    "*MAT_CONSTRAINED_SPR3": "MatConstrainedSpr3",
    "*MAT_CORUS_VEGTER": "MatCorusVegter",
    "*MAT_CRUSHABLE_FOAM": "MatCrushableFoam",
    "*MAT_CSCM": "MatCscm",
    "*MAT_CSCM_CONCRETE": "MatCscmConcrete",
    "*MAT_CWM": "MatCwm",
    "*MAT_DAMAGE_1": "MatDamage1",
    "*MAT_DAMAGE_2": "MatDamage2",
    "*MAT_DAMAGE_3": "MatDamage3",
    "*MAT_DAMPER_NONLINEAR_VISCOUS": "MatDamperNonlinearViscous",
    "*MAT_DAMPER_VISCOUS": "MatDamperViscous",
    "*MAT_DESHPANDE_FLECK_FOAM": "MatDeshpandeFleckFoam",
    "*MAT_DISCRETE_BEAM_POINT_CONTACT": "MatDiscreteBeamPointContact",
    "*MAT_DRUCKER_PRAGER": "MatDruckerPrager",
    "*MAT_DRY_FABRIC": "MatDryFabric",
    "*MAT_EIGHT_CHAIN_RUBBER": "MatEightChainRubber",
    "*MAT_ELASTIC": "MatElastic",
    "*MAT_ELASTIC_6DOF_SPRING_DISCRETE_BEAM": "MatElastic6DofSpringDiscreteBeam",
    "*MAT_ELASTIC_FLUID": "MatElasticFluid",
    "*MAT_ELASTIC_PERI": "MatElasticPeri",
    "*MAT_ELASTIC_PERI_LAMINATE": "MatElasticPeriLaminate",
    "*MAT_ELASTIC_PHASE_CHANGE": "MatElasticPhaseChange",
    "*MAT_ELASTIC_PLASTIC_HYDRO": "MatElasticPlasticHydro",
    "*MAT_ELASTIC_PLASTIC_HYDRO_SPALL": "MatElasticPlasticHydroSpall",
    "*MAT_ELASTIC_PLASTIC_HYDRO_STOCHASTIC": "MatElasticPlasticHydroStochastic",
    "*MAT_ELASTIC_PLASTIC_THERMAL": "MatElasticPlasticThermal",
    "*MAT_ELASTIC_SPRING_DISCRETE_BEAM": "MatElasticSpringDiscreteBeam",
    "*MAT_ELASTIC_VISCOPLASTIC_THERMAL": "MatElasticViscoplasticThermal",
    "*MAT_ELASTIC_WITH_VISCOSITY": "MatElasticWithViscosity",
    "*MAT_ELASTIC_WITH_VISCOSITY_CURVE": "MatElasticWithViscosityCurve",
    "*MAT_EMMI": "MatEmmi",
    "*MAT_ENHANCED_COMPOSITE_DAMAGE": "MatEnhancedCompositeDamage",
    "*MAT_ENHANCED_COMPOSITE_DAMAGE_MODEL": "MatEnhancedCompositeDamageModel",
    "*MAT_EXTENDED_3-PARAMETER_BARLAT": "MatExtended3ParameterBarlat",
    "*MAT_FABRIC": "MatFabric",
    "*MAT_FABRIC_MAP": "MatFabricMap",
    "*MAT_FHWA_SOIL": "MatFhwaSoil",
    "*MAT_FHWA_SOIL_NEBRASKA": "MatFhwaSoilNebraska",
    "*MAT_FINITE_ELASTIC_STRAIN_PLASTICITY": "MatFiniteElasticStrainPlasticity",
    "*MAT_FLD_3-PARAMETER_BARLAT": "MatFld3ParameterBarlat",
    "*MAT_FLD_TRANSVERSELY_ANISOTROPIC": "MatFldTransverselyAnisotropic",
    "*MAT_FORCE_LIMITED": "MatForceLimited",
    "*MAT_FRAZER-NASH_RUBBER": "MatFrazerNashRubber",
    "*MAT_FRAZER_NASH_RUBBER_MODEL": "MatFrazerNashRubberModel",
    "*MAT_FU_CHANG_FOAM": "MatFuChangFoam",
    "*MAT_FU_CHANG_FOAM_DAMAGE_DECAY": "MatFuChangFoamDamageDecay",
    "*MAT_FU_CHANG_FOAM_LOG_LOG_INTERPOLATION": "MatFuChangFoamLogLogInterpolation",
    "*MAT_GAS_MIXTURE": "MatGasMixture",
    "*MAT_GENERALIZED_PHASE_CHANGE": "MatGeneralizedPhaseChange",
    "*MAT_GENERAL_JOINT_DISCRETE_BEAM": "MatGeneralJointDiscreteBeam",
    "*MAT_GENERAL_NONLINEAR_1DOF_DISCRETE_BEAM": "MatGeneralNonlinear1DofDiscreteBeam",
    "*MAT_GENERAL_NONLINEAR_6DOF_DISCRETE_BEAM": "MatGeneralNonlinear6DofDiscreteBeam",
    "*MAT_GENERAL_SPRING_DISCRETE_BEAM": "MatGeneralSpringDiscreteBeam",
    "*MAT_GENERAL_VISCOELASTIC": "MatGeneralViscoelastic",
    "*MAT_GENERAL_VISCOELASTIC_MOISTURE": "MatGeneralViscoelasticMoisture",
    "*MAT_GEOLOGIC_CAP_MODEL": "MatGeologicCapModel",
    "*MAT_GEPLASTIC_SRATE_2000A": "MatGeplasticSrate2000A",
    "*MAT_GLASS": "MatGlass",
    "*MAT_GURSON": "MatGurson",
    "*MAT_GURSON_JC": "MatGursonJc",
    "*MAT_GURSON_RCDC": "MatGursonRcdc",
    "*MAT_HEART_TISSUE": "MatHeartTissue",
    "*MAT_HIGH_EXPLOSIVE_BURN": "MatHighExplosiveBurn",
    "*MAT_HILL_3R": "MatHill3R",
    "*MAT_HILL_3R_3D": "MatHill3R3D",
    "*MAT_HILL_3R_TABULATED": "MatHill3RTabulated",
    "*MAT_HILL_90": "MatHill90",
    "*MAT_HILL_FOAM": "MatHillFoam",
    "*MAT_HONEYCOMB": "MatHoneycomb",
    "*MAT_HOT_PLATE_ROLLING": "MatHotPlateRolling",
    "*MAT_HYDRAULIC_GAS_DAMPER_DISCRETE_BEAM": "MatHydraulicGasDamperDiscreteBeam",
    "*MAT_HYPERELASTIC_RUBBER": "MatHyperelasticRubber",
    "*MAT_HYSTERETIC_BEAM": "MatHystereticBeam",
    "*MAT_HYSTERETIC_REINFORCEMENT": "MatHystereticReinforcement",
    "*MAT_HYSTERETIC_SOIL": "MatHystereticSoil",
    "*MAT_IFPD": "MatIfpd",
    "*MAT_INELASTIC_6DOF_SPRING_DISCRETE_BEAM": "MatInelastic6DofSpringDiscreteBeam",
    "*MAT_INELASTIC_SPRING_DISCRETE_BEAM": "MatInelasticSpringDiscreteBeam",
    "*MAT_INV_HYPERBOLIC_SIN": "MatInvHyperbolicSin",
    "*MAT_INV_HYPERBOLIC_SIN_THERMAL": "MatInvHyperbolicSinThermal",
    "*MAT_ISOTROPIC_ELASTIC_FAILURE": "MatIsotropicElasticFailure",
    "*MAT_ISOTROPIC_ELASTIC_PLASTIC": "MatIsotropicElasticPlastic",
    "*MAT_ISOTROPIC_SMEARED_CRACK": "MatIsotropicSmearedCrack",
    "*MAT_JOHNSON_COOK": "MatJohnsonCook",
    "*MAT_JOHNSON_COOK_STOCHASTIC": "MatJohnsonCookStochastic",
    "*MAT_JOHNSON_HOLMQUIST_CERAMICS": "MatJohnsonHolmquistCeramics",
    "*MAT_JOHNSON_HOLMQUIST_CONCRETE": "MatJohnsonHolmquistConcrete",
    "*MAT_JOHNSON_HOLMQUIST_JH1": "MatJohnsonHolmquistJh1",
    "*MAT_JOINTED_ROCK": "MatJointedRock",
    "*MAT_KELVIN-MAXWELL_VISCOELASTIC": "MatKelvinMaxwellViscoelastic",
    "*MAT_KINEMATIC_HARDENING_BARLAT2000": "MatKinematicHardeningBarlat2000",
    "*MAT_KINEMATIC_HARDENING_BARLAT89": "MatKinematicHardeningBarlat89",
    "*MAT_KINEMATIC_HARDENING_BARLAT89_NLP": "MatKinematicHardeningBarlat89Nlp",
    "*MAT_KINEMATIC_HARDENING_TRANSVERSELY_ANISOTROPIC": "MatKinematicHardeningTransverselyAnisotropic",
    "*MAT_KINEMATIC_HARDENING_TRANSVERSELY_ANISOTROPIC_NLP": "MatKinematicHardeningTransverselyAnisotropicNlp",
    "*MAT_LAMINATED_COMPOSITE_FABRIC": "MatLaminatedCompositeFabric",
    "*MAT_LAMINATED_COMPOSITE_FABRIC_SOLID": "MatLaminatedCompositeFabricSolid",
    "*MAT_LAMINATED_FRACTURE_DAIMLER_CAMANHO": "MatLaminatedFractureDaimlerCamanho",
    "*MAT_LAMINATED_FRACTURE_DAIMLER_PINHO": "MatLaminatedFractureDaimlerPinho",
    "*MAT_LAMINATED_GLASS": "MatLaminatedGlass",
    "*MAT_LAYERED_LINEAR_PLASTICITY": "MatLayeredLinearPlasticity",
    "*MAT_LINEAR_ELASTIC_DISCRETE_BEAM": "MatLinearElasticDiscreteBeam",
    "*MAT_LOU-YOON_ANISOTROPIC_PLASTICTIY": "MatLouYoonAnisotropicPlastictiy",
    "*MAT_LOW_DENSITY_FOAM": "MatLowDensityFoam",
    "*MAT_LOW_DENSITY_SYNTHETIC_FOAM": "MatLowDensitySyntheticFoam",
    "*MAT_LOW_DENSITY_SYNTHETIC_FOAM_ORTHO": "MatLowDensitySyntheticFoamOrtho",
    "*MAT_LOW_DENSITY_VISCOUS_FOAM": "MatLowDensityViscousFoam",
    "*MAT_LUNG_TISSUE": "MatLungTissue",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_PRESTRAIN": "MatModifiedPiecewiseLinearPlasticityPrestrain",
    "*MAT_MCCORMICK": "MatMccormick",
    "*MAT_MICROMECHANICS_DRY_FABRIC": "MatMicromechanicsDryFabric",
    "*MAT_MODIFIED_CRUSHABLE_FOAM": "MatModifiedCrushableFoam",
    "*MAT_MODIFIED_FORCE_LIMITED": "MatModifiedForceLimited",
    "*MAT_MODIFIED_HONEYCOMB": "MatModifiedHoneycomb",
    "*MAT_MODIFIED_JOHNSON_COOK": "MatModifiedJohnsonCook",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY": "MatModifiedPiecewiseLinearPlasticity",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_LOG_INTERPOLATION": "MatModifiedPiecewiseLinearPlasticityLogInterpolation",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_RATE": "MatModifiedPiecewiseLinearPlasticityRate",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_RTCL": "MatModifiedPiecewiseLinearPlasticityRtcl",
    "*MAT_MODIFIED_PIECEWISE_LINEAR_PLASTICITY_STOCHASTIC": "MatModifiedPiecewiseLinearPlasticityStochastic",
    "*MAT_MODIFIED_ZERILLI_ARMSTRONG": "MatModifiedZerilliArmstrong",
    "*MAT_MOHR_COULOMB": "MatMohrCoulomb",
    "*MAT_MOHR_NON_ASSOCIATED_FLOW": "MatMohrNonAssociatedFlow",
    "*MAT_MOHR_NON_ASSOCIATED_FLOW_XUE": "MatMohrNonAssociatedFlowXue",
    "*MAT_MOMENT_CURVATURE_BEAM": "MatMomentCurvatureBeam",
    "*MAT_MOONEY-RIVLIN_PHASE_CHANGE": "MatMooneyRivlinPhaseChange",
    "*MAT_MOONEY-RIVLIN_RUBBER": "MatMooneyRivlinRubber",
    "*MAT_MOONEY-RIVLIN_RUBBER_PHASE_CHANGE": "MatMooneyRivlinRubberPhaseChange",
    "*MAT_MTS": "MatMts",
    "*MAT_MUSCLE": "MatMuscle",
    "*MAT_NONLINEAR_ELASTIC_DISCRETE_BEAM": "MatNonlinearElasticDiscreteBeam",
    "*MAT_NONLINEAR_ORTHOTROPIC": "MatNonlinearOrthotropic",
    "*MAT_NONLINEAR_PLASTIC_DISCRETE_BEAM": "MatNonlinearPlasticDiscreteBeam",
    "*MAT_NONLOCAL": "MatNonlocal",
    "*MAT_NON_QUADRATIC_FAILURE": "MatNonQuadraticFailure",
    "*MAT_NULL": "MatNull",
    "*MAT_009": "Mat009",
    "*MAT_OGDEN_RUBBER": "MatOgdenRubber",
    "*MAT_ORIENTED_CRACK": "MatOrientedCrack",
    "*MAT_ORTHOTROPIC_ELASTIC": "MatOrthotropicElastic",
    "*MAT_ORTHOTROPIC_ELASTIC_PHASE_CHANGE": "MatOrthotropicElasticPhaseChange",
    "*MAT_ORTHOTROPIC_SIMPLIFIED_DAMAGE": "MatOrthotropicSimplifiedDamage",
    "*MAT_ORTHOTROPIC_SMEARED_CRACK": "MatOrthotropicSmearedCrack",
    "*MAT_ORTHOTROPIC_THERMAL": "MatOrthotropicThermal",
    "*MAT_ORTHOTROPIC_THERMAL_CURING": "MatOrthotropicThermalCuring",
    "*MAT_ORTHOTROPIC_THERMAL_FAILURE": "MatOrthotropicThermalFailure",
    "*MAT_ORTHOTROPIC_VISCOELASTIC": "MatOrthotropicViscoelastic",
    "*MAT_ORTHO_ELASTIC_PLASTIC": "MatOrthoElasticPlastic",
    "*MAT_PAPER": "MatPaper",
    "*MAT_PERT_PIECEWISE_LINEAR_PLASTICITY": "MatPertPiecewiseLinearPlasticity",
    "*MAT_PHS_BMW": "MatPhsBmw",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY": "MatPiecewiseLinearPlasticity",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY_2D": "MatPiecewiseLinearPlasticity2D",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY_HAZ": "MatPiecewiseLinearPlasticityHaz",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY_LOG_INTERPOLATION": "MatPiecewiseLinearPlasticityLogInterpolation",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY_MIDFAIL": "MatPiecewiseLinearPlasticityMidfail",
    "*MAT_PIECEWISE_LINEAR_PLASTICITY_STOCHASTIC": "MatPiecewiseLinearPlasticityStochastic",
    "*MAT_PIECEWISE_LINEAR_PLASTIC_THERMAL": "MatPiecewiseLinearPlasticThermal",
    "*MAT_PITZER_CRUSHABLE_FOAM": "MatPitzerCrushableFoam",
    "*MAT_PLASTICITY_COMPRESSION_TENSION": "MatPlasticityCompressionTension",
    "*MAT_PLASTICITY_COMPRESSION_TENSION_EOS": "MatPlasticityCompressionTensionEos",
    "*MAT_PLASTICITY_POLYMER": "MatPlasticityPolymer",
    "*MAT_PLASTICITY_WITH_DAMAGE": "MatPlasticityWithDamage",
    "*MAT_PLASTICITY_WITH_DAMAGE_ORTHO": "MatPlasticityWithDamageOrtho",
    "*MAT_PLASTICITY_WITH_DAMAGE_ORTHO_RCDC": "MatPlasticityWithDamageOrthoRcdc",
    "*MAT_PLASTICITY_WITH_DAMAGE_STOCHASTIC": "MatPlasticityWithDamageStochastic",
    "*MAT_PLASTIC_GREEN-NAGHDI_RATE": "MatPlasticGreenNaghdiRate",
    "*MAT_PLASTIC_KINEMATIC": "MatPlasticKinematic",
    "*MAT_PLASTIC_NONLINEAR_KINEMATIC": "MatPlasticNonlinearKinematic",
    "*MAT_PLASTIC_NONLINEAR_KINEMATIC_B": "MatPlasticNonlinearKinematicB",
    "*MAT_PML_ACOUSTIC": "MatPmlAcoustic",
    "*MAT_PML_ANISOTROPIC_ELASTIC": "MatPmlAnisotropicElastic",
    "*MAT_PML_ELASTIC": "MatPmlElastic",
    "*MAT_PML_ELASTIC_FLUID": "MatPmlElasticFluid",
    "*MAT_PML_HYSTERETIC": "MatPmlHysteretic",
    "*MAT_PML_NULL": "MatPmlNull",
    "*MAT_PML_ORTHOTROPIC_ELASTIC": "MatPmlOrthotropicElastic",
    "*MAT_POLYMER": "MatPolymer",
    "*MAT_POWDER": "MatPowder",
    "*MAT_POWER_LAW_PLASTICITY": "MatPowerLawPlasticity",
    "*MAT_PSEUDO_TENSOR": "MatPseudoTensor",
    "*MAT_QUASILINEAR_VISCOELASTIC": "MatQuasilinearViscoelastic",
    "*MAT_RAMBERG-OSGOOD": "MatRambergOsgood",
    "*MAT_RAMBERG_OSGOOD": "MatRambergOsgood",
    "*MAT_RATE_SENSITIVE_COMPOSITE_FABRIC": "MatRateSensitiveCompositeFabric",
    "*MAT_RATE_SENSITIVE_POLYMER": "MatRateSensitivePolymer",
    "*MAT_RATE_SENSITIVE_POWERLAW_PLASTICITY": "MatRateSensitivePowerlawPlasticity",
    "*MAT_RC_BEAM": "MatRcBeam",
    "*MAT_RC_SHEAR_WALL": "MatRcShearWall",
    "*MAT_REINFORCED_THERMOPLASTIC": "MatReinforcedThermoplastic",
    "*MAT_REINFORCED_THERMOPLASTIC_CRASH": "MatReinforcedThermoplasticCrash",
    "*MAT_REINFORCED_THERMOPLASTIC_UDFIBER": "MatReinforcedThermoplasticUdfiber",
    "*MAT_RESULTANT_ANISOTROPIC": "MatResultantAnisotropic",
    "*MAT_RESULTANT_PLASTICITY": "MatResultantPlasticity",
    "*MAT_RHT": "MatRht",
    "*MAT_RIGID": "MatRigid",
    "*MAT_RIGID_DISCRETE": "MatRigidDiscrete",
    "*MAT_S01": "MatS01",
    "*MAT_S02": "MatS02",
    "*MAT_S03": "MatS03",
    "*MAT_S04": "MatS04",
    "*MAT_S05": "MatS05",
    "*MAT_S06": "MatS06",
    "*MAT_S07": "MatS07",
    "*MAT_S08": "MatS08",
    "*MAT_S13": "MatS13",
    "*MAT_S14": "MatS14",
    "*MAT_S15": "MatS15",
    "*MAT_SAMP-1": "MatSamp1",
    "*MAT_SAMP_1": "MatSamp1",
    "*MAT_SAMP_LIGHT": "MatSampLight",
    "*MAT_SCC_ON_RCC": "MatSccOnRcc",
    "*MAT_SCHWER_MURRAY_CAP": "MatSchwerMurrayCap",
    "*MAT_SCHWER_MURRAY_CAP_MODEL": "MatSchwerMurrayCapModel",
    "*MAT_SEATBELT": "MatSeatbelt",
    "*MAT_SEATBELT_2D": "MatSeatbelt2D",
    "*MAT_SEISMIC_BEAM": "MatSeismicBeam",
    "*MAT_SEISMIC_ISOLATOR": "MatSeismicIsolator",
    "*MAT_SHAPE_MEMORY": "MatShapeMemory",
    "*MAT_SHAPE_MEMORY_ALLOY": "MatShapeMemoryAlloy",
    "*MAT_SHAPE_MEMORY_ALLOY_MEDTRONIC": "MatShapeMemoryAlloyMedtronic",
    "*MAT_SID_DAMPER_DISCRETE_BEAM": "MatSidDamperDiscreteBeam",
    "*MAT_SIMPLIFIED_JOHNSON_COOK": "MatSimplifiedJohnsonCook",
    "*MAT_SIMPLIFIED_JOHNSON_COOK_ORTHOTROPIC_DAMAGE": "MatSimplifiedJohnsonCookOrthotropicDamage",
    "*MAT_SIMPLIFIED_JOHNSON_COOK_STOCHASTIC": "MatSimplifiedJohnsonCookStochastic",
    "*MAT_SIMPLIFIED_RUBBER": "MatSimplifiedRubber",
    "*MAT_SIMPLIFIED_RUBBER/FOAM": "MatSimplifiedRubberFoam",
    "*MAT_SIMPLIFIED_RUBBER/FOAM_LOG_LOG_INTERPOLATION": "MatSimplifiedRubberFoamLogLogInterpolation",
    "*MAT_SIMPLIFIED_RUBBER/FOAM_LOG_LOG_INTERPOLATION_WITH_FAILURE": "MatSimplifiedRubberFoamLogLogInterpolationWithFailure",
    "*MAT_SIMPLIFIED_RUBBER/FOAM_WITH_FAILURE": "MatSimplifiedRubberFoamWithFailure",
    "*MAT_SIMPLIFIED_RUBBER/FOAM_WITH_FAILURE_LOG_LOG_INTERPOLATION": "MatSimplifiedRubberFoamWithFailureLogLogInterpolation",
    "*MAT_SIMPLIFIED_RUBBERFOAM": "MatSimplifiedRubberfoam",
    "*MAT_SIMPLIFIED_RUBBER_WITH_DAMAGE": "MatSimplifiedRubberWithDamage",
    "*MAT_SIMPLIFIED_RUBBER_WITH_DAMAGE_LOG_LOG_INTERPOLATION": "MatSimplifiedRubberWithDamageLogLogInterpolation",
    "*MAT_SMOOTH_VISCOELASTIC_VISCOPLASTIC": "MatSmoothViscoelasticViscoplastic",
    "*MAT_SOFT_TISSUE": "MatSoftTissue",
    "*MAT_SOFT_TISSUE_VISCO": "MatSoftTissueVisco",
    "*MAT_SOIL_AND_FOAM": "MatSoilAndFoam",
    "*MAT_SOIL_AND_FOAM_FAILURE": "MatSoilAndFoamFailure",
    "*MAT_SOIL_BRICK": "MatSoilBrick",
    "*MAT_SOIL_CONCRETE": "MatSoilConcrete",
    "*MAT_SPECIAL_ORTHOTROPIC": "MatSpecialOrthotropic",
    "*MAT_SPH_01": "MatSph01",
    "*MAT_SPH_02": "MatSph02",
    "*MAT_SPH_03": "MatSph03",
    "*MAT_SPH_IMPLICIT_FLUID": "MatSphImplicitFluid",
    "*MAT_SPH_IMPLICIT_STRUCTURE": "MatSphImplicitStructure",
    "*MAT_SPH_INCOMPRESSIBLE_FLUID": "MatSphIncompressibleFluid",
    "*MAT_SPH_INCOMPRESSIBLE_STRUCTURE": "MatSphIncompressibleStructure",
    "*MAT_SPH_VISCOUS": "MatSphViscous",
    "*MAT_SPOTWELD": "MatSpotweld",
    "*MAT_SPOTWELD_DAIMLERCHRYSLER": "MatSpotweldDaimlerchrysler",
    "*MAT_SPOTWELD_DAIMLERCHRYSLER_UNIAXIAL": "MatSpotweldDaimlerchryslerUniaxial",
    "*MAT_SPOTWELD_DAMAGE-FAILURE": "MatSpotweldDamageFailure",
    "*MAT_SPOTWELD_DAMAGE-FAILURE_UNIAXIAL": "MatSpotweldDamageFailureUniaxial",
    "*MAT_SPOTWELD_DAMAGE_FAILURE": "MatSpotweldDamageFailure",
    "*MAT_SPOTWELD_UNIAXIAL": "MatSpotweldUniaxial",
    "*MAT_SPRING_ELASTIC": "MatSpringElastic",
    "*MAT_SPRING_ELASTOPLASTIC": "MatSpringElastoplastic",
    "*MAT_SPRING_GENERAL_NONLINEAR": "MatSpringGeneralNonlinear",
    "*MAT_SPRING_INELASTIC": "MatSpringInelastic",
    "*MAT_SPRING_MAXWELL": "MatSpringMaxwell",
    "*MAT_SPRING_MUSCLE": "MatSpringMuscle",
    "*MAT_SPRING_NONLINEAR_ELASTIC": "MatSpringNonlinearElastic",
    "*MAT_SPRING_SQUAT_SHEARWALL": "MatSpringSquatShearwall",
    "*MAT_SPRING_TRILINEAR_DEGRADING": "MatSpringTrilinearDegrading",
    "*MAT_SPR_JLR": "MatSprJlr",
    "*MAT_STEEL_CONCENTRIC_BRACE": "MatSteelConcentricBrace",
    "*MAT_STEEL_EC3": "MatSteelEc3",
    "*MAT_STEINBERG": "MatSteinberg",
    "*MAT_STEINBERG_LUND": "MatSteinbergLund",
    "*MAT_STOUGHTON_NON_ASSOCIATED_FLOW": "MatStoughtonNonAssociatedFlow",
    "*MAT_STOUGHTON_NON_ASSOCIATED_FLOW_XUE": "MatStoughtonNonAssociatedFlowXue",
    "*MAT_STRAIN_RATE_DEPENDENT_PLASTICITY": "MatStrainRateDependentPlasticity",
    "*MAT_T01": "MatT01",
    "*MAT_T02": "MatT02",
    "*MAT_T03": "MatT03",
    "*MAT_T04": "MatT04",
    "*MAT_T05": "MatT05",
    "*MAT_T06": "MatT06",
    "*MAT_T07": "MatT07",
    "*MAT_T08": "MatT08",
    "*MAT_T09": "MatT09",
    "*MAT_T10": "MatT10",
    "*MAT_T11": "MatT11",
    "*MAT_T17": "MatT17",
    "*MAT_TABULATED_JOHNSON_COOK": "MatTabulatedJohnsonCook",
    "*MAT_TABULATED_JOHNSON_COOK_GYS": "MatTabulatedJohnsonCookGys",
    "*MAT_TABULATED_JOHNSON_COOK_GYS_LOG_INTERPOLATION": "MatTabulatedJohnsonCookGysLogInterpolation",
    "*MAT_TABULATED_JOHNSON_COOK_LOG_INTERPOLATION": "MatTabulatedJohnsonCookLogInterpolation",
    "*MAT_TABULATED_JOHNSON_COOK_ORTHO_PLASTICITY": "MatTabulatedJohnsonCookOrthoPlasticity",
    "*MAT_TAILORED_PROPERTIES": "MatTailoredProperties",
    "*MAT_TEMPERATURE_DEPENDENT_ORTHOTROPIC": "MatTemperatureDependentOrthotropic",
    "*MAT_THERMAL_CHEMICAL_REACTION": "MatThermalChemicalReaction",
    "*MAT_THERMAL_CHEMICAL_REACTION_ORTHOTROPIC": "MatThermalChemicalReactionOrthotropic",
    "*MAT_THERMAL_CWM": "MatThermalCwm",
    "*MAT_THERMAL_DISCRETE_BEAM": "MatThermalDiscreteBeam",
    "*MAT_THERMAL_ISOTROPIC": "MatThermalIsotropic",
    "*MAT_THERMAL_ISOTROPIC_PHASE_CHANGE": "MatThermalIsotropicPhaseChange",
    "*MAT_THERMAL_ISOTROPIC_TD": "MatThermalIsotropicTd",
    "*MAT_THERMAL_ISOTROPIC_TD_LC": "MatThermalIsotropicTdLc",
    "*MAT_THERMAL_ORTHOTROPIC": "MatThermalOrthotropic",
    "*MAT_THERMAL_ORTHOTROPIC_TD": "MatThermalOrthotropicTd",
    "*MAT_THERMAL_ORTHOTROPIC_TD_LC": "MatThermalOrthotropicTdLc",
    "*MAT_THERMAL_USER_DEFINED": "MatThermalUserDefined",
    "*MAT_THERMO_ELASTO_VISCOPLASTIC_CREEP": "MatThermoElastoViscoplasticCreep",
    "*MAT_TISSUE_DISPERSED": "MatTissueDispersed",
    "*MAT_TNM_POLYMER": "MatTnmPolymer",
    "*MAT_TOUGHENED_ADHESIVE_POLYMER": "MatToughenedAdhesivePolymer",
    "*MAT_TRANSVERSELY_ANISOTROPIC_CRUSHABLE_FOAM": "MatTransverselyAnisotropicCrushableFoam",
    "*MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC": "MatTransverselyAnisotropicElasticPlastic",
    "*MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC_ECHANGE": "MatTransverselyAnisotropicElasticPlasticEchange",
    "*MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC_NLP2": "MatTransverselyAnisotropicElasticPlasticNlp2",
    "*MAT_TRANSVERSELY_ANISOTROPIC_ELASTIC_PLASTIC_NLP_FAILURE": "MatTransverselyAnisotropicElasticPlasticNlpFailure",
    "*MAT_TRANSVERSELY_ISOTROPIC_CRUSHABLE_FOAM": "MatTransverselyIsotropicCrushableFoam",
    "*MAT_TRIP": "MatTrip",
    "*MAT_UHS_STEEL": "MatUhsSteel",
    "*MAT_UNIFIED_CREEP": "MatUnifiedCreep",
    "*MAT_UNIFIED_CREEP_ORTHO": "MatUnifiedCreepOrtho",
    "*MAT_USER_DEFINED_MATERIAL_MODELS": "MatUserDefinedMaterialModels",
    "*MAT_VACUUM": "MatVacuum",
    "*MAT_VEGTER": "MatVegter",
    "*MAT_VEGTER_2017": "MatVegter2017",
    "*MAT_VEGTER_STANDARD": "MatVegterStandard",
    "*MAT_VISCOELASTIC": "MatViscoelastic",
    "*MAT_VISCOELASTIC_FABRIC": "MatViscoelasticFabric",
    "*MAT_VISCOELASTIC_HILL_FOAM": "MatViscoelasticHillFoam",
    "*MAT_VISCOELASTIC_LOOSE_FABRIC": "MatViscoelasticLooseFabric",
    "*MAT_VISCOELASTIC_THERMAL": "MatViscoelasticThermal",
    "*MAT_VISCOPLASTIC_MIXED_HARDENING": "MatViscoplasticMixedHardening",
    "*MAT_VISCOUS_FOAM": "MatViscousFoam",
    "*MAT_WINFRITH_CONCRETE": "MatWinfrithConcrete",
    "*MAT_WINFRITH_CONCRETE_REINFORCEMENT": "MatWinfrithConcreteReinforcement",
    "*MAT_WOOD": "MatWood",
    "*MAT_WOOD_FIR": "MatWoodFir",
    "*MAT_WOOD_PINE": "MatWoodPine",
    "*MAT_WTM_STM": "MatWtmStm",
    "*MAT_WTM_STM_PLC": "MatWtmStmPlc",
    "*MESH_BL": "MeshBl",
    "*MESH_BL_SYM": "MeshBlSym",
    "*MESH_EMBEDSHELL": "MeshEmbedshell",
    "*MESH_INTERF": "MeshInterf",
    "*MESH_NODE": "MeshNode",
    "*MESH_SIZE": "MeshSize",
    "*MESH_SIZE_SHAPE": "MeshSizeShape",
    "*MESH_SURFACE_ELEMENT": "MeshSurfaceElement",
    "*MESH_SURFACE_NODE": "MeshSurfaceNode",
    "*MESH_VOLUME": "MeshVolume",
    "*MESH_VOLUME_ELEMENT": "MeshVolumeElement",
    "*MESH_VOLUME_NODE": "MeshVolumeNode",
    "*MESH_VOLUME_PART": "MeshVolumePart",
    "*MODULE_LOAD": "ModuleLoad",
    "*MODULE_PATH": "ModulePath",
    "*MODULE_PATH_RELATIVE": "ModulePathRelative",
    "*MODULE_USE": "ModuleUse",
    "*NODE_MERGE": "NodeMerge",
    "*NODE_MERGE_SET": "NodeMergeSet",
    "*NODE_MERGE_TOLERANCE": "NodeMergeTolerance",
    "*NODE": "Node",
    "*NODE_NODES": "NodeNodes",
    "*NODE_RIGID_SURFACE": "NodeRigidSurface",
    "*NODE_SCALAR": "NodeScalar",
    "*NODE_SCALAR_VALUE": "NodeScalarValue",
    "*NODE_THICKNESS": "NodeThickness",
    "*NODE_THICKNESS_GENERATE": "NodeThicknessGenerate",
    "*NODE_THICKNESS_SET": "NodeThicknessSet",
    "*NODE_THICKNESS_SET_GENERATE": "NodeThicknessSetGenerate",
    "*NODE_TO_TARGET_VECTOR": "NodeToTargetVector",
    "*NODE_TRANSFORM": "NodeTransform",
    "*PARAMETER_DUPLICATION": "ParameterDuplication",
    "*PARAMETER_EXPRESSION": "ParameterExpression",
    "*PARAMETER_EXPRESSION_LOCAL": "ParameterExpressionLocal",
    "*PARAMETER_EXPRESSION_NOECHO": "ParameterExpressionNoecho",
    "*PARAMETER_LOCAL": "ParameterLocal",
    "*PARAMETER_NOECHO": "ParameterNoecho",
    "*PARAMETER": "Parameter",
    "*PARAMETER_TYPE": "ParameterType",
    "*PARTICLE_BLAST": "ParticleBlast",
    "*PART_ADAPTIVE_FAILURE": "PartAdaptiveFailure",
    "*PART_ANNEAL": "PartAnneal",
    "*PART_ANNEAL_SET": "PartAnnealSet",
    "*PART_ATTACHMENT_NODES": "PartAttachmentNodes",
    "*PART_AVERAGED": "PartAveraged",
    "*PART_COMPOSITE": "PartComposite",
    "*PART_COMPOSITE_CONTACT": "PartCompositeContact",
    "*PART_COMPOSITE_IGA_SHELL": "PartCompositeIgaShell",
    "*PART_COMPOSITE_LONG": "PartCompositeLong",
    "*PART_COMPOSITE_LONG_CONTACT": "PartCompositeLongContact",
    "*PART_COMPOSITE_TSHELL": "PartCompositeTshell",
    "*PART_COMPOSITE_TSHELL_LONG": "PartCompositeTshellLong",
    "*PART_CONTACT": "PartContact",
    "*PART_CONTACT_ATTACHMENT_NODES": "PartContactAttachmentNodes",
    "*PART_CONTACT_PRINT": "PartContactPrint",
    "*PART_CONTACT_PRINT_ATTACHMENT_NODES": "PartContactPrintAttachmentNodes",
    "*PART_DUPLICATE": "PartDuplicate",
    "*PART_DUPLICATE_NULL_OVERLAY": "PartDuplicateNullOverlay",
    "*PART_INERTIA": "PartInertia",
    "*PART_INERTIA_ATTACHMENT_NODES": "PartInertiaAttachmentNodes",
    "*PART_INERTIA_CONTACT": "PartInertiaContact",
    "*PART_INERTIA_CONTACT_ATTACHMENT_NODES": "PartInertiaContactAttachmentNodes",
    "*PART_INERTIA_CONTACT_PRINT": "PartInertiaContactPrint",
    "*PART_INERTIA_CONTACT_PRINT_ATTACHMENT_NODES": "PartInertiaContactPrintAttachmentNodes",
    "*PART_INERTIA_PRINT": "PartInertiaPrint",
    "*PART_INERTIA_PRINT_ATTACHMENT_NODES": "PartInertiaPrintAttachmentNodes",
    "*PART_MODES": "PartModes",
    "*PART_MOVE": "PartMove",
    "*PART": "Part",
    "*PART_PRINT": "PartPrint",
    "*PART_PRINT_ATTACHMENT_NODES": "PartPrintAttachmentNodes",
    "*PART_REPOSITION": "PartReposition",
    "*PART_REPOSITION_ATTACHMENT_NODES": "PartRepositionAttachmentNodes",
    "*PART_REPOSITION_CONTACT": "PartRepositionContact",
    "*PART_REPOSITION_CONTACT_ATTACHMENT_NODES": "PartRepositionContactAttachmentNodes",
    "*PART_REPOSITION_CONTACT_PRINT": "PartRepositionContactPrint",
    "*PART_REPOSITION_CONTACT_PRINT_ATTACHMENT_NODES": "PartRepositionContactPrintAttachmentNodes",
    "*PART_REPOSITION_PRINT": "PartRepositionPrint",
    "*PART_REPOSITION_PRINT_ATTACHMENT_NODES": "PartRepositionPrintAttachmentNodes",
    "*PART_SENSOR": "PartSensor",
    "*PART_STACKED_ELEMENTS": "PartStackedElements",
    "*PERTURBATION_MAT": "PerturbationMat",
    "*PERTURBATION_NODE": "PerturbationNode",
    "*PERTURBATION_SHELL_THICKNESS": "PerturbationShellThickness",
    "*RAIL_TRACK": "RailTrack",
    "*RAIL_TRAIN": "RailTrain",
    "*RIGIDWALL_FORCE_TRANSDUCER": "RigidwallForceTransducer",
    "*RIGIDWALL_GEOMETRIC_CYLINDER": "RigidwallGeometricCylinder",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM": "RigidwallGeometricCylinderDeform",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_DISPLAY": "RigidwallGeometricCylinderDeformDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_DISPLAY_MOTION": "RigidwallGeometricCylinderDeformDisplayMotion",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_INTERIOR": "RigidwallGeometricCylinderDeformInterior",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_INTERIOR_DISPLAY": "RigidwallGeometricCylinderDeformInteriorDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_INTERIOR_MOTION": "RigidwallGeometricCylinderDeformInteriorMotion",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_INTERIOR_MOTION_DISPLAY": "RigidwallGeometricCylinderDeformInteriorMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_MOTION": "RigidwallGeometricCylinderDeformMotion",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DEFORM_MOTION_DISPLAY": "RigidwallGeometricCylinderDeformMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_DISPLAY": "RigidwallGeometricCylinderDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_INTERIOR": "RigidwallGeometricCylinderInterior",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_INTERIOR_DEFORM_DISPLAY": "RigidwallGeometricCylinderInteriorDeformDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_INTERIOR_DISPLAY": "RigidwallGeometricCylinderInteriorDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_INTERIOR_MOTION": "RigidwallGeometricCylinderInteriorMotion",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_INTERIOR_MOTION_DISPLAY": "RigidwallGeometricCylinderInteriorMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_MOTION": "RigidwallGeometricCylinderMotion",
    "*RIGIDWALL_GEOMETRIC_CYLINDER_MOTION_DISPLAY": "RigidwallGeometricCylinderMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_FLAT": "RigidwallGeometricFlat",
    "*RIGIDWALL_GEOMETRIC_FLAT_DISPLAY": "RigidwallGeometricFlatDisplay",
    "*RIGIDWALL_GEOMETRIC_FLAT_MOTION": "RigidwallGeometricFlatMotion",
    "*RIGIDWALL_GEOMETRIC_FLAT_MOTION_DISPLAY": "RigidwallGeometricFlatMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_PRISM": "RigidwallGeometricPrism",
    "*RIGIDWALL_GEOMETRIC_PRISM_DISPLAY": "RigidwallGeometricPrismDisplay",
    "*RIGIDWALL_GEOMETRIC_PRISM_MOTION": "RigidwallGeometricPrismMotion",
    "*RIGIDWALL_GEOMETRIC_PRISM_MOTION_DISPLAY": "RigidwallGeometricPrismMotionDisplay",
    "*RIGIDWALL_GEOMETRIC_SPHERE": "RigidwallGeometricSphere",
    "*RIGIDWALL_GEOMETRIC_SPHERE_DISPLAY": "RigidwallGeometricSphereDisplay",
    "*RIGIDWALL_GEOMETRIC_SPHERE_MOTION": "RigidwallGeometricSphereMotion",
    "*RIGIDWALL_GEOMETRIC_SPHERE_MOTION_DISPLAY": "RigidwallGeometricSphereMotionDisplay",
    "*RIGIDWALL_PLANAR": "RigidwallPlanar",
    "*RIGIDWALL_PLANAR_ID": "RigidwallPlanarId",
    "*RIGIDWALL_PLANAR_FINITE": "RigidwallPlanarFinite",
    "*RIGIDWALL_PLANAR_FINITE_ID": "RigidwallPlanarFiniteId",
    "*RIGIDWALL_PLANAR_FINITE_DISPLAY": "RigidwallPlanarFiniteDisplay",
    "*RIGIDWALL_PLANAR_FINITE_DISPLAY_ID": "RigidwallPlanarFiniteDisplayId",
    "*RIGIDWALL_PLANAR_FINITE_FORCES": "RigidwallPlanarFiniteForces",
    "*RIGIDWALL_PLANAR_FINITE_FORCES_ID": "RigidwallPlanarFiniteForcesId",
    "*RIGIDWALL_PLANAR_FINITE_MOVING": "RigidwallPlanarFiniteMoving",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_ID": "RigidwallPlanarFiniteMovingId",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_DISPLAY": "RigidwallPlanarFiniteMovingDisplay",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_DISPLAY_ID": "RigidwallPlanarFiniteMovingDisplayId",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_FORCES": "RigidwallPlanarFiniteMovingForces",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_FORCES_ID": "RigidwallPlanarFiniteMovingForcesId",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_FORCES_DISPLAY": "RigidwallPlanarFiniteMovingForcesDisplay",
    "*RIGIDWALL_PLANAR_FINITE_MOVING_FORCES_DISPLAY_ID": "RigidwallPlanarFiniteMovingForcesDisplayId",
    "*RIGIDWALL_PLANAR_FORCES": "RigidwallPlanarForces",
    "*RIGIDWALL_PLANAR_FORCES_ID": "RigidwallPlanarForcesId",
    "*RIGIDWALL_PLANAR_MOVING": "RigidwallPlanarMoving",
    "*RIGIDWALL_PLANAR_MOVING_ID": "RigidwallPlanarMovingId",
    "*RIGIDWALL_PLANAR_MOVING_DISPLAY": "RigidwallPlanarMovingDisplay",
    "*RIGIDWALL_PLANAR_MOVING_DISPLAY_ID": "RigidwallPlanarMovingDisplayId",
    "*RIGIDWALL_PLANAR_MOVING_FORCES": "RigidwallPlanarMovingForces",
    "*RIGIDWALL_PLANAR_MOVING_FORCES_ID": "RigidwallPlanarMovingForcesId",
    "*RIGIDWALL_PLANAR_MOVING_FORCES_DISPLAY": "RigidwallPlanarMovingForcesDisplay",
    "*RIGIDWALL_PLANAR_MOVING_FORCES_DISPLAY_ID": "RigidwallPlanarMovingForcesDisplayId",
    "*RIGIDWALL_PLANAR_ORTHO": "RigidwallPlanarOrtho",
    "*RIGIDWALL_PLANAR_ORTHO_ID": "RigidwallPlanarOrthoId",
    "*RIGIDWALL_PLANAR_ORTHO_FINITE": "RigidwallPlanarOrthoFinite",
    "*RIGIDWALL_PLANAR_ORTHO_FINITE_ID": "RigidwallPlanarOrthoFiniteId",
    "*RIGIDWALL_PLANAR_ORTHO_FINITE_FORCES": "RigidwallPlanarOrthoFiniteForces",
    "*RIGIDWALL_PLANAR_ORTHO_FINITE_FORCES_ID": "RigidwallPlanarOrthoFiniteForcesId",
    "*RIGIDWALL_PLANAR_ORTHO_FORCES": "RigidwallPlanarOrthoForces",
    "*RIGIDWALL_PLANAR_ORTHO_FORCES_ID": "RigidwallPlanarOrthoForcesId",
    "*RIGID_DEFORMABLE_CONTROL": "RigidDeformableControl",
    "*RIGID_DEFORMABLE_D2R": "RigidDeformableD2R",
    "*RIGID_DEFORMABLE_R2D": "RigidDeformableR2D",
    "*RVE_ANALYSIS_FEM": "RveAnalysisFem",
    "*SECTION_ALE1D": "SectionAle1D",
    "*SECTION_ALE2D": "SectionAle2D",
    "*SECTION_BEAM": "SectionBeam",
    "*SECTION_BEAM_AISC": "SectionBeamAisc",
    "*SECTION_DISCRETE": "SectionDiscrete",
    "*SECTION_FPD": "SectionFpd",
    "*SECTION_IGA_SHELL": "SectionIgaShell",
    "*SECTION_IGA_SOLID": "SectionIgaSolid",
    "*SECTION_POINT_SOURCE": "SectionPointSource",
    "*SECTION_POINT_SOURCE_MIXTURE": "SectionPointSourceMixture",
    "*SECTION_SEATBELT": "SectionSeatbelt",
    "*SECTION_SHELL": "SectionShell",
    "*SECTION_SHELL_EFG": "SectionShellEfg",
    "*SECTION_SHELL_MISC": "SectionShellMisc",
    "*SECTION_SHELL_THERMAL": "SectionShellThermal",
    "*SECTION_SHELL_XFEM": "SectionShellXfem",
    "*SECTION_SOLID": "SectionSolid",
    "*SECTION_SOLID_EFG": "SectionSolidEfg",
    "*SECTION_SOLID_MISC": "SectionSolidMisc",
    "*SECTION_SOLID_PERI": "SectionSolidPeri",
    "*SECTION_SOLID_SPG": "SectionSolidSpg",
    "*SECTION_SPH": "SectionSph",
    "*SECTION_SPH_ELLIPSE": "SectionSphEllipse",
    "*SECTION_SPH_INTERACTION": "SectionSphInteraction",
    "*SECTION_SPH_USER": "SectionSphUser",
    "*SECTION_SPRING-DAMPER": "SectionSpringDamper",
    "*SECTION_SPRING_DAMPER": "SectionSpringDamper",
    "*SECTION_TSHELL": "SectionTShell",
    "*SENSOR_CONTROL": "SensorControl",
    "*SENSOR_CPM_AIRBAG": "SensorCpmAirbag",
    "*SENSOR_DEFINE_CALC-MATH": "SensorDefineCalcMath",
    "*SENSOR_DEFINE_CALC-MATH_UPDATE": "SensorDefineCalcMathUpdate",
    "*SENSOR_DEFINE_CALC_MATH": "SensorDefineCalcMath",
    "*SENSOR_DEFINE_CALC_MATH_UPDATE": "SensorDefineCalcMathUpdate",
    "*SENSOR_DEFINE_ELEMENT": "SensorDefineElement",
    "*SENSOR_DEFINE_ELEMENT_SET": "SensorDefineElementSet",
    "*SENSOR_DEFINE_ELEMENT_SET_UPDATE": "SensorDefineElementSetUpdate",
    "*SENSOR_DEFINE_ELEMENT_UPDATE": "SensorDefineElementUpdate",
    "*SENSOR_DEFINE_FORCE": "SensorDefineForce",
    "*SENSOR_DEFINE_FORCE_UPDATE": "SensorDefineForceUpdate",
    "*SENSOR_DEFINE_FUNCTION": "SensorDefineFunction",
    "*SENSOR_DEFINE_FUNCTION_UPDATE": "SensorDefineFunctionUpdate",
    "*SENSOR_DEFINE_MISC": "SensorDefineMisc",
    "*SENSOR_DEFINE_MISC_UPDATE": "SensorDefineMiscUpdate",
    "*SENSOR_DEFINE_NODE": "SensorDefineNode",
    "*SENSOR_DEFINE_NODE_SET": "SensorDefineNodeSet",
    "*SENSOR_DEFINE_NODE_SET_UPDATE": "SensorDefineNodeSetUpdate",
    "*SENSOR_DEFINE_NODE_UPDATE": "SensorDefineNodeUpdate",
    "*SENSOR_SWITCH": "SensorSwitch",
    "*SENSOR_SWITCH_CALC-LOGIC": "SensorSwitchCalcLogic",
    "*SENSOR_SWITCH_CALC_LOGIC": "SensorSwitchCalcLogic",
    "*SENSOR_SWITCH_SHELL_TO_VENT": "SensorSwitchShellToVent",
    "*SET_2D_SEGMENT": "Set2DSegment",
    "*SET_2D_SEGMENT_COLLECT": "Set2DSegmentCollect",
    "*SET_2D_SEGMENT_SET": "Set2DSegmentSet",
    "*SET_2D_SEGMENT_SET_COLLECT": "Set2DSegmentSetCollect",
    "*SET_BEAM": "SetBeam",
    "*SET_BEAM_ADD": "SetBeamAdd",
    "*SET_BEAM_COLLECT": "SetBeamCollect",
    "*SET_BEAM_GENERAL": "SetBeamGeneral",
    "*SET_BEAM_GENERAL_COLLECT": "SetBeamGeneralCollect",
    "*SET_BEAM_GENERATE": "SetBeamGenerate",
    "*SET_BEAM_GENERATE_COLLECT": "SetBeamGenerateCollect",
    "*SET_BEAM_GENERATE_INCREMENT": "SetBeamGenerateIncrement",
    "*SET_BEAM_GENERATE_INCREMENT_COLLECT": "SetBeamGenerateIncrementCollect",
    "*SET_BEAM_INTERSECT": "SetBeamIntersect",
    "*SET_BOX": "SetBox",
    "*SET_DISCRETE": "SetDiscrete",
    "*SET_DISCRETE_ADD": "SetDiscreteAdd",
    "*SET_DISCRETE_COLLECT": "SetDiscreteCollect",
    "*SET_DISCRETE_GENERAL": "SetDiscreteGeneral",
    "*SET_DISCRETE_GENERAL_COLLECT": "SetDiscreteGeneralCollect",
    "*SET_DISCRETE_GENERATE": "SetDiscreteGenerate",
    "*SET_DISCRETE_GENERATE_COLLECT": "SetDiscreteGenerateCollect",
    "*SET_IGA_EDGE_UVW": "SetIgaEdgeUvw",
    "*SET_IGA_EDGE_UVW_COLLECT": "SetIgaEdgeUvwCollect",
    "*SET_IGA_EDGE_UVW_LIST": "SetIgaEdgeUvwList",
    "*SET_IGA_EDGE_UVW_LIST_COLLECT": "SetIgaEdgeUvwListCollect",
    "*SET_IGA_EDGE_UVW_LIST_GENERATE": "SetIgaEdgeUvwListGenerate",
    "*SET_IGA_EDGE_UVW_LIST_GENERATE_COLLECT": "SetIgaEdgeUvwListGenerateCollect",
    "*SET_IGA_EDGE_UVW_LIST_GENERATE_INCREMENT": "SetIgaEdgeUvwListGenerateIncrement",
    "*SET_IGA_EDGE_UVW_LIST_GENERATE_INCREMENT_COLLECT": "SetIgaEdgeUvwListGenerateIncrementCollect",
    "*SET_IGA_EDGE_XYZ": "SetIgaEdgeXyz",
    "*SET_IGA_EDGE_XYZ_COLLECT": "SetIgaEdgeXyzCollect",
    "*SET_IGA_EDGE_XYZ_LIST": "SetIgaEdgeXyzList",
    "*SET_IGA_EDGE_XYZ_LIST_COLLECT": "SetIgaEdgeXyzListCollect",
    "*SET_IGA_EDGE_XYZ_LIST_GENERATE": "SetIgaEdgeXyzListGenerate",
    "*SET_IGA_EDGE_XYZ_LIST_GENERATE_COLLECT": "SetIgaEdgeXyzListGenerateCollect",
    "*SET_IGA_EDGE_XYZ_LIST_GENERATE_INCREMENT": "SetIgaEdgeXyzListGenerateIncrement",
    "*SET_IGA_EDGE_XYZ_LIST_GENERATE_INCREMENT_COLLECT": "SetIgaEdgeXyzListGenerateIncrementCollect",
    "*SET_IGA_FACE_UVW": "SetIgaFaceUvw",
    "*SET_IGA_FACE_UVW_COLLECT": "SetIgaFaceUvwCollect",
    "*SET_IGA_FACE_UVW_LIST": "SetIgaFaceUvwList",
    "*SET_IGA_FACE_UVW_LIST_COLLECT": "SetIgaFaceUvwListCollect",
    "*SET_IGA_FACE_UVW_LIST_GENERATE": "SetIgaFaceUvwListGenerate",
    "*SET_IGA_FACE_UVW_LIST_GENERATE_COLLECT": "SetIgaFaceUvwListGenerateCollect",
    "*SET_IGA_FACE_UVW_LIST_GENERATE_INCREMENT": "SetIgaFaceUvwListGenerateIncrement",
    "*SET_IGA_FACE_UVW_LIST_GENERATE_INCREMENT_COLLECT": "SetIgaFaceUvwListGenerateIncrementCollect",
    "*SET_IGA_FACE_XYZ": "SetIgaFaceXyz",
    "*SET_IGA_FACE_XYZ_COLLECT": "SetIgaFaceXyzCollect",
    "*SET_IGA_FACE_XYZ_LIST": "SetIgaFaceXyzList",
    "*SET_IGA_FACE_XYZ_LIST_COLLECT": "SetIgaFaceXyzListCollect",
    "*SET_IGA_FACE_XYZ_LIST_GENERATE": "SetIgaFaceXyzListGenerate",
    "*SET_IGA_FACE_XYZ_LIST_GENERATE_COLLECT": "SetIgaFaceXyzListGenerateCollect",
    "*SET_IGA_FACE_XYZ_LIST_GENERATE_INCREMENT": "SetIgaFaceXyzListGenerateIncrement",
    "*SET_IGA_FACE_XYZ_LIST_GENERATE_INCREMENT_COLLECT": "SetIgaFaceXyzListGenerateIncrementCollect",
    "*SET_IGA_POINT_UVW": "SetIgaPointUvw",
    "*SET_IGA_POINT_UVW_COLLECT": "SetIgaPointUvwCollect",
    "*SET_IGA_POINT_UVW_LIST": "SetIgaPointUvwList",
    "*SET_IGA_POINT_UVW_LIST_COLLECT": "SetIgaPointUvwListCollect",
    "*SET_IGA_POINT_UVW_LIST_GENERATE": "SetIgaPointUvwListGenerate",
    "*SET_IGA_POINT_UVW_LIST_GENERATE_COLLECT": "SetIgaPointUvwListGenerateCollect",
    "*SET_IGA_POINT_UVW_LIST_GENERATE_INCREMENT": "SetIgaPointUvwListGenerateIncrement",
    "*SET_IGA_POINT_UVW_LIST_GENERATE_INCREMENT_COLLECT": "SetIgaPointUvwListGenerateIncrementCollect",
    "*SET_MODE": "SetMode",
    "*SET_MODE_LIST": "SetModeList",
    "*SET_MODE_LIST_GENERATE": "SetModeListGenerate",
    "*SET_MULTI-MATERIAL_GROUP_LIST": "SetMultiMaterialGroupList",
    "*SET_MULTI_MATERIAL_GROUP_LIST_GPNAME": "SetMultiMaterialGroupListGpname",
    "*SET_NODE_ADD": "SetNodeAdd",
    "*SET_NODE_ADD_ADVANCED": "SetNodeAddAdvanced",
    "*SET_NODE_COLUMN": "SetNodeColumn",
    "*SET_NODE_COLUMN_COLLECT": "SetNodeColumnCollect",
    "*SET_NODE_GENERAL": "SetNodeGeneral",
    "*SET_NODE_GENERAL_COLLECT": "SetNodeGeneralCollect",
    "*SET_NODE_INTERSECT": "SetNodeIntersect",
    "*SET_NODE_LIST": "SetNodeList",
    "*SET_NODE_LIST_COLLECT": "SetNodeListCollect",
    "*SET_NODE_LIST_GENERATE": "SetNodeListGenerate",
    "*SET_NODE_LIST_GENERATE_COLLECT": "SetNodeListGenerateCollect",
    "*SET_NODE_LIST_GENERATE_INCREMENT": "SetNodeListGenerateIncrement",
    "*SET_NODE_LIST_GENERATE_INCREMENT_COLLECT": "SetNodeListGenerateIncrementCollect",
    "*SET_NODE_LIST_SMOOTH": "SetNodeListSmooth",
    "*SET_NODE_LIST_SMOOTH_COLLECT": "SetNodeListSmoothCollect",
    "*SET_PART_ADD": "SetPartAdd",
    "*SET_PART_COLLECT": "SetPartCollect",
    "*SET_PART_COLUMN": "SetPartColumn",
    "*SET_PART_COLUMN_COLLECT": "SetPartColumnCollect",
    "*SET_PART_LIST": "SetPartList",
    "*SET_PART_LIST_COLLECT": "SetPartListCollect",
    "*SET_PART_LIST_GENERATE": "SetPartListGenerate",
    "*SET_PART_LIST_GENERATE_COLLECT": "SetPartListGenerateCollect",
    "*SET_PART_LIST_GENERATE_INCREMENT": "SetPartListGenerateIncrement",
    "*SET_PART_LIST_GENERATE_INCREMENT_COLLECT": "SetPartListGenerateIncrementCollect",
    "*SET_PART_TREE": "SetPartTree",
    "*SET_PERI_LAMINATE": "SetPeriLaminate",
    "*SET_POINT_LIST": "SetPointList",
    "*SET_POROUS_ALE": "SetPorousAle",
    "*SET_POROUS_LAGRANGIAN": "SetPorousLagrangian",
    "*SET_SEGMENT": "SetSegment",
    "*SET_SEGMENT_ADD": "SetSegmentAdd",
    "*SET_SEGMENT_COLLECT": "SetSegmentCollect",
    "*SET_SEGMENT_GENERAL": "SetSegmentGeneral",
    "*SET_SEGMENT_GENERAL_COLLECT": "SetSegmentGeneralCollect",
    "*SET_SEGMENT_INTERSECT": "SetSegmentIntersect",
    "*SET_SHELL_ADD": "SetShellAdd",
    "*SET_SHELL_COLUMN": "SetShellColumn",
    "*SET_SHELL_COLUMN_COLLECT": "SetShellColumnCollect",
    "*SET_SHELL_GENERAL": "SetShellGeneral",
    "*SET_SHELL_GENERAL_COLLECT": "SetShellGeneralCollect",
    "*SET_SHELL_INTERSECT": "SetShellIntersect",
    "*SET_SHELL_LIST": "SetShellList",
    "*SET_SHELL_LIST_COLLECT": "SetShellListCollect",
    "*SET_SHELL_LIST_GENERATE": "SetShellListGenerate",
    "*SET_SHELL_LIST_GENERATE_COLLECT": "SetShellListGenerateCollect",
    "*SET_SHELL_LIST_GENERATE_INCREMENT": "SetShellListGenerateIncrement",
    "*SET_SHELL_LIST_GENERATE_INCREMENT_COLLECT": "SetShellListGenerateIncrementCollect",
    "*SET_SOLID": "SetSolid",
    "*SET_SOLID_ADD": "SetSolidAdd",
    "*SET_SOLID_COLLECT": "SetSolidCollect",
    "*SET_SOLID_GENERAL": "SetSolidGeneral",
    "*SET_SOLID_GENERAL_COLLECT": "SetSolidGeneralCollect",
    "*SET_SOLID_GENERATE": "SetSolidGenerate",
    "*SET_SOLID_GENERATE_COLLECT": "SetSolidGenerateCollect",
    "*SET_SOLID_GENERATE_INCREMENT": "SetSolidGenerateIncrement",
    "*SET_SOLID_GENERATE_INCREMENT_COLLECT": "SetSolidGenerateIncrementCollect",
    "*SET_NODE": "SetNode",
}